2009-04-17  Arnim Laeuger  <arniml>

  Version 0.10 released.

2009-04-17  Arnim Laeuger  <arniml>

  * configure.ac, NEWS: set release version 0.10

  * src/jtag.c: Update copyright year at both instances

2009-04-17  Kolja Waschk <kawk>

  * configure.ac: Last minute fix for USBCFLAGS for libusb
  * doc/UrJTAG.txt: Info about installing precompiled version on Win
  * src/flash/jedec.c: Add license info
  * UrJTAG.nsi: Create links to EXE and UrJTAG.txt in Start Menu

2009-04-16  Arnim Laeuger  <arniml>

  * THANKS: added contributors

2009-04-16  Kolja Waschk <kawk>

  * include/xpcu.h, src/flash/jedec_exp.c: Add license info
  * doc/UrJTAG.txt: Info about source for 64bit/Vista inpout32.dll
  * UrJTAG.nsi: Include inpout32.dll (needs some manual work)

2009-04-16  Arnim  <arniml>

  * doc/UrJTAG.txt: Documentation fixes (Uwe Hermann)

2009-04-13  Arnim  <arniml>

  * configure.ac: follow version info in NEWS

2009-04-12  Arnim  <arniml>

  * src/tap/cable/ft2232.c: flyswatter description update

  * NEWS: prepare for 0.10 release, still requires version update

2009-04-10  Arnim Laeuger  <arniml>

  * src/flash/flash.c (flasherase): fix missing base address for block_no calculation,
    re-use find_block() from flashmem() to align block_no calculation

2009-04-08  Arnim Laeuger  <arniml>

  * couple of files: enable Id keyword substitution

  * po/fr.po, po/rw.po, po/sk.po: update to latest status

  * src/bus/bscoach.c: use english text per default

  * po/POTFILES.in: update to current file list

  * data/Makefile.am: added missing files for install

  * doc/UrJTAG.txt: describe bus command

  * doc/bsdl2jtag.1, doc/jtag.1, THANKS: Various manpage updates (Uwe Hermann)

2009-04-06  Arnim Laeuger  <arniml>

  * src/Makefile.am, po/POTFILES.in: fix two build issues (Uwe Hermann)

  * src/tap/usbconn/libftdi.c: Better errors from ftdi (Jon Smirl)

  * src/flash/jedec.c: Author added.

2009-04-05  Arnim Laeuger  <arniml>

  * configure.ac: turn feature options that are enabled by default into
    --disable-*

  * src/tap/cable/ft2232.c: check target status for UsbScarab2 (Tomek Cedro)

2009-04-04  Arnim Laeuger  <arniml>

  * src/tap/cable/ft2232.c, src/tap/cable.c, src/tap/cable/generic_usbconn.c,
    THANKS, doc/UrJTAG.txt: usbscarab2 cable driver added (Tomek Cedro)

2009-03-30  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: multi-byte description

  * configure.ac: better description for flash-multi-byte

2009-03-29  Arnim Laeuger <arniml>

  * UrJTAG.txt: Update supported pod and device lists

2009-03-28  Arnim Laeuger  <arniml>

  * src/tap/chain.c (chain_set_pod_signal) : keep old value of trst in
    case trst isn't modified by mask/val

  * src/tap/chain.c: [ 2610857 ] chain_set_pod_signal() looks funky

  * UrJTAG.txt: typo

2009-03-28  Arnim Laeuger  <arniml>

  * src/bsdl2jtag, src/Makefile.am, doc/UrJTAG.txt: implement bsdl2jtag
    as a wrapper script that calls jtag shell with 'bsdl dump ...'

  * src/Makefile.am, src/bsdl2jtag.c: removed bsdl2jtag

2009-03-27  Arnim Laeuger  <arniml>

  * src/jtag.c: more than one optional file can be specified

  * src/flash/jedec.c: fix memory corruption from jedec code (Jon Smirl)

2009-03-26  Arnim Laeuger  <arniml>

  * src/cmd/initbus.c: Notify which bus is active when a new bus is initialized
    (Jon Smirl)

  * src/bus/mpc5200.c, THANKS: Support the MUX parameter on the mpc5200
    local bus for hardware (Jon Smirl)

2009-03-23  Arnim Laeuger  <arniml>

  * src/cmd/pod.c: show signal names for TRST and RESET

2009-03-18  Arnim Laeuger  <arniml>

  * acinclude.m4: add libtinfo, fix for
    [ 2691154 ] Configure fails to detect libtinfo

  * src/flash/intel.c, src/flash/amd.c: activate multi byte write mode
    for > 1, not > 0
    [ 2690857 ] Can't write flashes

2009-03-12  Arnim Laeuger  <arniml>

  * data/atheros/ar2312/ar2312: AR2313 flash access patch
    (snowweihua)

2009-03-08  Arnim Laeuger  <arniml>

  * src/svf/svf.c, src/svf/svf_bison.y, src/svf/svf.h:
    [ 2666261 ] Add pass/fail report to SVF player

  * src/svf/svf.c: avoid double free for SIR/SDR parameter strings in case
    of a consistency check error

  * src/bsdl/bsdl_sem.c: avoid leading space when printing commands

2009-03-07  Arnim Laeuger  <arniml>

  * data/ti/tnetv1060/tnetv1060, data/ti/tnetv1061/tnetv1061:
    init EJTAG bus automatically

2009-03-05  Arnim Laeuger  <arniml>

  * src/tap/print_queue.c, src/bus/bscoach.c, src/bus/ejtag_dma.c,
    src/bus/pxa2x0.c, src/bus/zefant-xs3.c, src/bus/jopcyc.c,
    src/bus/s3c4510x.c, src/bus/ejtag.c: skip operations of *_bus_init()
    if TAP is not in RUNTEST/IDLE state
    [ 2658604 ] Errors when part description contains commands accessing TAP

2009-03-04  Arnim Laeuger  <arniml>

  * src/bus/mpc5200.c: add additional address decoding to mpc5200 bus driver
    (Jeff Wittrock)

2009-03-02  Arnim Laeuger  <arniml>

  * data/freescale/PARTS: add stepping for MPC5200B (Jeff Wittrock)

2009-03-01  Arnim Laeuger  <arniml>

  * data/ti/PARTS, data/ti/tnetv1060/tnetv1060, data/ti/tnetv1060/STEPPINGS,
    data/Makefile.am:
    TI tnetv1060 (Kenny)

2009-02-27  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: Warning about FTD2XX driver, USB FAQ.

  * src/cmd/flashmem.c, src/flash/flash.c, include/flash.h:
    [ 2645787 ] Bypass verify stage of flashmem cmd (Jeff Wittrock)

2009-02-26  Arnim Laeuger  <arniml>

  * data/Makefile.am, data/MANUFACTURERS, data/ti/PARTS,
    data/ti/tnetv1061/STEPPINGS, data/ti/tnetv1061/tnetv1061:
    TI tnetv1061 (Kenny)

  * src/svf/svf_flex.l:
    [ 2638083 ] SVF progress indicator not visible for some .svf files
    (William)

2009-02-25  Arnim Laeuger  <arniml>

  * src/svf/svf_flex.l: [ 2635979 ] Replace index() to strchr()
    (MURANAKA Masaki)

2009-02-23  Arnim Laeuger  <arniml>

  * src/tap/usbconn/libftdi.c, src/tap/usbconn/libftd2xx.c:
    keep JTAG dongle in current mode (Holger Schurig)

  * data/atmel/at32ap7000/at32ap7000: clarifications for AVR32 data
    (Holger Schurig)

2009-02-17  Mike Frysinger  <vapier@gentoo.org>

  * src/bus/mpc824x.c (setup_address): Return on unhandled sizes to avoid
    compiler warnings.

  * src/bsdl2jtag.c, src/bus/mpc824x.c, src/cmd/include.c, src/cmd/scan.c,
    src/cmd/shell.c, src/jim/intel_28f800b3.c, src/jim/some_cpu.c,
    src/jim/tap.c, src/part/data_register.c, src/tap/cable.c,
    src/tap/cable/generic.c, src/tap/cable/jim.c, src/tap/cable/jlink.c,
    src/tap/cable/xpc.c, src/tap/usbconn/libusb.c: Remove spurious semicolons
    from places they do not belong (like at the end of braces).

2009-02-16  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: some FAQs

2009-02-13  Mike Frysinger  <vapier@gentoo.org>

  * include/chain.h, include/tap.h, src/tap/chain.c, src/tap/tap.c: Add a
    prefix to all local variables named "exit" to avoid shadowing the system
    exit() function.

  * src/cmd/print.c (cmd_print_run): Use puts() to display the formatted buffer
    rather than printf() to avoid security issues with dynamically generated
    format strings, and to avoid warnings generated by such compilers:
    print.c:111: warning: format not a string literal and no format arguments

  * configure.ac: Put our local -I paths into CPPFLAGS before anything coming
    from the user as we want to make sure our local paths take precedence.
    Reported by Steve Franks from a FreeBSD report.

2009-02-11  Arnim Laeuger  <arniml>

  * src/bsdl/bsdl_sem.c: return proper error code to upper level

2009-02-07  Arnim Laeuger  <arniml>

  * doc/UrJTAG.txt: turn http links into real hyperlinks

  * doc/UrJTAG.txt: libftdi URL changed

2009-02-06  Arnim Laeuger  <arniml>

  * src/tap/cable/ft2232.c: fix nSRST for flyswatter (Kees Jongenburger)

2009-01-26  Kolja Waschk <kawk>

  * UrJTAG.nsi: Script to create Windows installer using NSIS.

2009-01-22  Mike Frysinger  <vapier@gentoo.org>

  * src/cmd/include.c: Include ctype.h for isalpha().

  * src/bsdl/bsdl_sem.c (create_register): Use %zu for size_t with printf().

  * src/tap/detect.c (detect_parts): Use the PRIX64 format string for 64bit
    types with printf().

  * src/part/part.c (part_print): Use const markings with const strings.
  * src/cmd/include.c (cmd_include_or_script_run): Likewise.

  * sysdep.h: Redirect swprintf() calls to _snwprintf() for Windows as they
    implemented a different function from ISO C (theirs does not take a count).

2009-01-19  Kolja Waschk <kawk>

  * doc/UrJTAG.txt,
    include/cable.h, include/chain.h, include/pod.h, include/Makefile.am,
    src/cmd/cmd.c, src/cmd/pod.c, src/cmd/Makefile.am, src/tap/cable.c,
    src/tap/chain.c, src/tap/cable/wiggler.c, src/tap/cable/arcom.c,
    src/tap/cable/mpcbdm.c, src/tap/cable/ts7800.c,
    src/tap/cable/usbblaster.c, src/tap/cable/jlink.c,
    src/tap/cable/generic.c, src/tap/cable/vision_ep9307.c,
    src/tap/cable/ea253.c, src/tap/cable/triton.c, src/tap/cable/ei012.c,
    src/tap/cable/byteblaster.c, src/tap/cable/generic.h,
    src/tap/cable/ft2232.c, src/tap/cable/wiggler2.c,
    src/tap/cable/keithkoep.c, src/tap/cable/lattice.c,
    src/tap/cable/dlc5.c, src/tap/cable/xpc.c, src/svf/svf.c:
    [ 2187351 ] Direct JTAG signal access, get/set_trst extension;
    Integrated changes from getset_pod branch, substituting the
    get/set_trst cable functions with more mighty get/set_signal
    functions. Finally, this gives low level access to cable signals
    as Sebastian Hesselbarth suggested and implemented first (thanks).
    Arnim implemented it for the FTDI cable drivers, while I worked
    on the parport cable drivers and new "pod" command.

2009-01-16  Arnim Laeuger  <arniml>

  * src/cmd/parse.c: flush_chain() between commands read from file
    [ 2499176 ] No chain_flush() when executing commands from file

2009-01-03  Arnim Laeuger  <arniml>

  * configure.ac, src/bus/bscoach.c, src/bus/buses.c,
    src/bus/buses.h, src/bus/Makefile.am:
    [ 2187115 ] Bus driver for Goepel Boundary Scan Coach
    (by Markus Schneider)

2008-12-23  Arnim Laeuger  <arniml>

   * src/svf/svf.c: added debug output for svf_compare_tdo()

2008-12-23  Kolja Waschk <kawk>

   * src/tap/parport/direct.c, configure.ac, doc/UrJTAG.txt:
     Dynamically load the InpOut32.dll for parallel port access. Tested
     in MinGW environment (Cygwin GCC with -mno-cygwin flag), and 
     documented how to compile it. Could build a distributable EXE now.

   * src/cmd/usleep.c, sysdep.h: usleep() is declared in
     unistd.h, also present in modern MinGW environments.
     Defining it in sysdep.h collides with unistd.h. 

2008-12-22  Arnim Laeuger  <arniml>

   * src/tap/cable/usbblaster.c:
     limit maximum number of bytes queued, equivalent for
     Bug 2456024 - FTD2XX fails with certain SVF file

   * src/tap/cable/ft2232.c:
     set cable frequency to real FT2232 frequency

   * src/tap/usbconn/libftdi.c, src/tap/usbconn/libftd2xx.c,
     include/usbconn/libftdx.h, src/tap/cable/ft2232.c:
     increased MPSSE buffer size from 4k to 64k
     mitigates performance decrease for mid-sized clock operations

2008-12-21  Kolja Waschk <kawk>

   * src/svf/svf.c: Fix 2456021 - SVF compare_tdo flaw

   * src/tap/cable/ft2232.c, src/tap/cable/cmd_xfer.c,
     src/tap/cable/cmd_xfer.h: limit maximum number of bytes queued 
     into one cmd buffer. Should fix problems with high clocks count for
     SVF runtest execution (Bug 2456024 - FTD2XX fails with certain SVF file)

   * configure.ac, src/tap/parport/direct.c: added detection of InpOut32
     library and support for using it for I/O port access even under Vista

2008-12-17  Kolja Waschk <kawk>

   * src/tap/discovery.c: Optional (#ifdef) printf for discovery debugging

2008-12-16  Kolja Waschk <kawk>

   * data/Makefile.am: Added bcm6358 files, thanks Anselmo Luginbuehl

2008-12-09  Kolja Waschk <kawk>

   * data/broadcom/bcm6358, data/broadcom/bcm6358/bcm6358,
     data/broadcom/bcm6358/STEPPINGS, data/broadcom/PARTS:
     [ 2412479 ] neufbox4 support. BCM6358 data files (by
     Julien Aube, slightly modified)

   * src/flash/amd.c: [ 2412481 ] neufbox4 support: MX29LV640B
     recognition (by Julien Aube)

2008-12-08 Julien Aube  <obconseil@gmail.com>

   * src/bus/ejtag_dma.c, src/bus/Makefile.am, src/bus/buses.c,
     src/bus/buses.h, configure.ac: [ 2412486 ] Support for ejtag in DMA mode.

2008-12-07  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/bf518/bf518, data/analog/bf518/STEPPINGS, data/analog/PARTS,
     data/Makefile.am: Initial support for BF518 processors.

   * data/analog/bf548/STEPPINGS: Add 0.3 silicon revision.

   * data/analog/PARTS: Add BF534 and BF548M ids.

2008-12-03  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c, src/tap/cable/generic_usbconn.c,
     src/tap/cable.c, doc/UrJTAG.txt:
     [ 2382324 ] Patch to add support for TinCanTools Flyswatter JTAG cable
     (Mark Norman)

   * include/flash.h, src/flash/amd_flash.c, src/flash/amd.c, 
     src/flash/intel.c, src/flash/flash.c, configure.ac:
     restructure multi-byte flash programming support
     flashmem no longer needs to know about the capabilities of
     the flash chip to handle multi-byte programming

2008-12-02  Arnim Laeuger  <arniml>

   * include/flash/intel.h, src/flash/intel.c:
     support for multi-byte write mode
     chips must match the following criteria to qualify
     - CFI data specifies multi-byte write mode supported
     - handled by intel.c
     - 8 or 16 bit interface

2008-12-01  Arnim Laeuger  <arniml>
   * include/flash.h, src/flash/amd_flash.c, src/flash/amd.c,
     src/flash/intel.c, src/flash/flash.c, configure.ac:
     support multi-byte write mode
     chips must match the following criteria to qualify
     - CFI data specifies multi-byte write mode supported
     - handled by amd.c
     - 8 or 16 bit interface

   * src/bus/prototype.c (prototype_bus_new): consider amode parameter properly
     when specified on the command line. pervious version didn't set ASHIFT in
     this case.

   * src/flash/amd.c (amd_flash_print_info): added Spansion S92GL chips

2008-11-16  Kolja Waschk  <kawk>

   * src/bus/ejtag.c: Support BCM6348/EJTAG 3.1 (by Andy Potter/livebox)

2008-10-30  Arnim Laeuger  <arniml>

   * src/svf/svf_bison.y, src/svf/svf.c, src/svf/svf.h:
     removed obsolete parameter

   * include/svf.h, src/cmd/svf.c, src/svf/svf.c,
     src/svf/svf_bison.y, src/svf/svf.h, doc/UrJTAG.txt:
     add the ref_freq option to svf command

2008-10-28  Arnim Laeuger  <arniml>

   * src/cmd/parse.c (jtag_parse_stream): avoid clipping message when
     reading comments (Hartley)

   * renamed data/lattice/lfec2-12e/lfec2_12e to lfec2-12e

   * data/MANUFACTURERS, data/lattice/lfec2-12e, data/lattice/lfec2-12e/lfec2_12e,
     data/lattice/lfec2-12e/STEPPINGS, data/lattice/PARTS, data/lattice/lc4064zc,
     data/lattice/lc4064zc/lc4064zc, data/lattice/lc4064zc/STEPPINGS, data/marvell/88e1118,
     data/marvell/88e1118/88e1118, data/marvell/88e1118/STEPPINGS, data/marvell/88f5182,
     data/marvell/88f5182/88f5182-a2, data/marvell/88f5182/STEPPINGS, data/marvell/PARTS,
     data/Makefile.am:
     [ 2187342 ] Technologic Systems TS-7800 JTAG support
     (Catalin Ionescu)
     part description files

2008-10-26  Arnim Laeuger  <arniml>

   * configure.ac, doc/UrJTAG.txt, src/tap/Makefile.am,
     src/tap/cable/ts7800.c, src/tap/cable.c, THANKS:
     [ 2187342 ] Technologic Systems TS-7800 JTAG support
     (Catalin Ionescu, Stanislav Sinyagin)
     cable driver only

   * src/cmd/print.c, doc/UrJTAG.txt:
     [ 1964834 ] Add 'print instruction' support to print command
     (Hartley Sweeten)

2008-10-23  Arnim Laeuger  <arniml>

   * src/svf/svf_bison.y: initialize max_time to 0.0 if
     the optional MAXIMUM is missing for RUNTEST commands

2008-10-22  Arnim Laeuger  <arniml>

   * src/tap/cable/generic.c: make calibration loop more tolerant for
     less accurate OS timers

2008-10-18  Kolja Waschk <kawk

   * src/cmd/usleep.c, src/cmd/cmd.c, src/cmd/Makefile.am:
     Add usleep command (Stanislav Sinyagin)

2008-10-18  Kolja Waschk <kawk>

   * src/tap/cable/ft2232.c, src/tap/cable/generic_usbconn.c:
     Add support for ARM-USB-OCD TINY (Sebastian Hesselbarth)

2008-10-13  Jie Zhang  <jie.zhang@analog.com>

   * src/tap/cable/ft2232.c (ft2232_transfer_schedule): Don't
     access memory out of bounds.

2008-10-11  Arnim Laeuger  <arniml>

   * src/bus/ejtag.c (ejtag_bus_init): added remaining return values
     (Stanislav Sinyagin)

2008-09-27  Arnim Laeuger  <arniml>

   * include/jtag.h, src/cmd/detect.c, src/cmd/initbus.c,
     src/cmd/print.c, src/bus/bf548_ezkit.c, src/bus/fjmem.c,
     src/bus/ppc405ep.c, src/bus/sh7727.c, src/bus/prototype.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/avr32.c, src/bus/h7202.c, src/bus/zefant-xs3.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/readmem.c, src/bus/au1500.c, src/bus/lh7a400.c,
     src/bus/sh7751r.c, src/bus/generic_bus.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/bf561_ezkit.c, src/bus/slsup3.c,
     src/bus/writemem.c, src/bus/s3c4510x.c, src/bus/ejtag.c,
     src/flash/amd_flash.c, src/flash/cfi.c, src/flash/jedec_exp.c,
     src/flash/jedec.c, src/flash/intel.c:
     [ 2102453 ] Use macros for std return values instead of literals

2008-09-16  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/bf527/STEPPINGS: Add bf527 0.2.
   * data/analog/bf533/STEPPINGS: Add bf533 0.5 and 0.6.
   * data/analog/bf548/STEPPINGS: Add bf548 0.2.

2008-09-15  Arnim Laeuger  <arniml>

   * src/svf/svf.h, src/svf/svf_flex.l: SVF player fix for
     [ 2112823 ] Conversion with strtod and similar influenced by locale

2008-09-14  Kolja Waschk <kawk>

   Version 0.9 released.

2008-09-14  Kolja Waschk <kawk>

   * configure.ac, NEWS, po/fr.po, po/rw.po, po/sk.po: Preparation
     for release of UrJTAG 0.9 tarball
   * include/Makefile.am, src/bsdl/Makefile.am: list new header
     files here so they get included in distribution

2008-09-09  Arnim Laeuger  <arniml>

   * src/cmd/detect.c: test correct return value of bus->driver->init()

   * src/bsdl2jtag.c: fix from and to for downto vectors

2008-09-06  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftdi.c, src/tap/usbconn/libftd2xx.c:
     [ 2091744 ] Automatic detection of alternative VID/PID cables broken

   * src/tap/cable/usbblaster.c: set fixed frequency and print warning
     if a different frequency is requested

   * src/tap/cable/generic.c: fixed calibration loop

   * src/svf/svf.c: require frequency setting from cable for
     RUNTEST MIN SEC command, fixes
     [ 2090432 ] SVF programming problem with "x SEC" arg to runtest
     also restore previous frequency setting at end of SVF execution

2008-09-04  Arnim Laeuger  <arniml>

   * configure.ac, src/tap/usbconn/libftd2xx.c,
     src/tap/usbconn/libftdi.c: forward and use the desc= paramter
     [ 2085244 ] Wrong device chosen by ftd2xx driver

2008-09-03  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftd2xx.c,  src/tap/usbconn/libftdi.c:
     use puts() and printf() instead of perror()

2008-09-03  Mike Frysinger  <vapier@gentoo.org>

   * src/tap/parport/ppdev.c, src/tap/cable/wiggler.c,
     src/tap/cable/generic_parport.c: Change HAVE_LINUX_PPDEV_H to
     ENABLE_LOWLEVEL_PPDEV.

   * src/tap/cable/generic_parport.c, src/tap/cable/wiggler.c:
     Fix typo: PPDEF -> PPDEV.

2008-08-27  Arnim Laeuger  <arniml>

   * include/Makefile.am, include/bsdl.h, include/bsdl_mode.h,
     src/cmd/include.c, src/cmd/bsdl.c, src/bsdl/vhdl_parser.h,
     src/bsdl/bsdl_msg.h, src/bsdl/bsdl.c, src/bsdl/bsdl_bison.y,
     src/bsdl/vhdl_flex.l, src/bsdl/bsdl_parser.h, src/bsdl/bsdl_sem.c,
     src/bsdl/bsdl_flex.l, src/bsdl/bsdl_types.h, src/bsdl/vhdl_bison.y,
     src/tap/detect.c: cleaned-up bsdl subsystem, avoid double reading
     during detect, commenting

2008-08-24  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl_sem.c (bsdl_process_cell_info): fix error with
     repeated usage of cmd[]

2008-08-22  Arnim Laeuger  <arniml>

   * src/bsdl/vhdl_bison.y: enhanced error reporting

   * configure.ac, data/Makefile.am, src/Makefile.am,
     src/bsdl/Makefile.am, src/bsdl/bsdl.c, src/bsdl/bsdl_bison.y,
     src/bsdl/bsdl_flex.l, src/bsdl/bsdl_sem.c, src/bsdl/bsdl_sysdep.h,
     data/bsdl/STD_1532_2001, data/bsdl/STD_1532_2002, src/bsdl/bsdl_msg.h,
     src/bsdl/bsdl_parser.h, src/bsdl/bsdl_types.h, src/bsdl/vhdl_bison.y,
     src/bsdl/vhdl_flex.l, src/bsdl/vhdl_parser.h, src/bsdl/bsdl_local.h:
     merged from branches/bsdl 1304:1340
     rewrite of BSDL parser

2008-07-15  Arnim Laeuger  <arniml>

   * doc/UrJTAG.txt, src/cmd/dr.c (cmd_dr_help):
     document feature to set active data register with dr

2008-07-14  Arnim Laeuger  <arniml>

   * include/chain.h, include/tap.h, src/cmd/reset.c, src/tap/detect.c,
     src/tap/chain.c, src/tap/tap.c, src/bus/fjmem.c, src/bus/avr32.c:
     [ 1873260 ] Command 'reset' does not reset internal states
     next round to fix this one

2008-07-10  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftd2xx.c (usbconn_ftd2xx_open): perform device reset
     and RX purge

2008-07-09  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftd2xx.c: added some debugging messages

   * src/tap/usbconn/libftd2xx.c (usbconn_ftd2xx_write),
     src/tap/usbconn/libftdi.c (usbconn_ftdi_write): don't subtract from
     p->to_recv

2008-07-03  Mike Frysinger  <vapier@gentoo.org>

   * src/lib/ansidecl.h, src/lib/libiberty.h: Import headers from binutils
     that the local src/lib/ files need for relocatable support.
   * src/lib/Makefile.am (libiberty_sources): Add local headers to the list.

2008-07-03  Jie Zhang  <jie.zhang@analog.com>

   * src/bsdl/bsdl.c: Remove trailing whitespaces.
   * src/lib/make-relative-prefix.c: Likewise.
   * src/lib/lbasename.c: Likewise.
   * src/lib/lrealpath.c: Likewise.
   * doc/UrJTAG.txt: Likewise.
   * data/atmel/PARTS: Likewise.

   * src/bus/bf537_stamp.c (bus_driver_t bf538f_ezkit_bus): New.
     (bus_driver_t bf526_ezkit_bus): New.
   * src/bus/buses.c (bus_drivers[]): Add bf526_ezkit_bus and
       bf538f_ezkit_bus.
   * src/bus/buses.h (bf526_ezkit_bus): Declare.
     (bf538f_ezkit_bus): Declare.
   * src/bus/Makefile.am (libbus_a_SOURCES): Add bf537_stamp.c
       for bf526 ezkit and bf538f ezkit.
   * configure.ac: Add bf526_ezkit and bf538f_ezkit.
   * data/analog/PARTS: Add bf538.
   * analog/bf538/STEPPINGS: New file.
   * analog/bf538/bf538: New file.
   * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
       analog/bf538/STEPPINGS and analog/bf538/bf538.

   * src/tap/cable/ft2232.c: Make the gnICE comment a little more specific.

2008-07-02  Jie Zhang  <jie.zhang@analog.com>

   * include/bus_driver.h (struct bus_driver): Add driver argument
       to new_bus.
   * src/cmd/initbus.c (cmd_initbus_run): Pass driver to new_bus.
   * src/bus/bf548_ezkit.c (bf548_ezkit_bus_new): Add driver
       argument and use it.
   * src/bus/fjmem.c (fjmem_bus_new): Likewise.
   * src/bus/ppc405ep.c (ppc405ep_bus_new): Likewise.
   * src/bus/sh7727.c (sh7727_bus_new): Likewise.
   * src/bus/prototype.c (prototype_bus_new): Likewise.
   * src/bus/sa1110.c (sa1110_bus_new): Likewise.
   * src/bus/ppc440gx_ebc8.c (ppc440gx_ebc8_bus_new): Likewise.
   * src/bus/sh7750r.c (sh7750r_bus_new): Likewise.
   * src/bus/tx4925.c (tx4925_bus_new): Likewise.
   * src/bus/bf533_stamp.c (bf533_stamp_bus_new): Likewise.
   * src/bus/bf533_ezkit.c (bf533_ezkit_bus_new): Likewise.
   * src/bus/ixp425.c (ixp425_bus_new): Likewise.
   * src/bus/avr32.c (avr32_bus_new): Likewise.
   * src/bus/zefant-xs3.c (zefant_xs3_bus_new): Likewise.
   * src/bus/h7202.c (h7202_bus_new): Likewise.
   * src/bus/mpc824x.c (mpc824x_bus_new): Likewise.
   * src/bus/bcm1250.c (bcm1250_bus_new): Likewise.
   * src/bus/sharc21065l.c (sharc_21065L_bus_new): Likewise.
   * src/bus/au1500.c (au1500_bus_new): Likewise.
   * src/bus/lh7a400.c (lh7a400_bus_new): Likewise.
   * src/bus/sh7751r.c (sh7751r_bus_new): Likewise.
   * src/bus/mpc5200.c (mpc5200_bus_new): Likewise.
   * src/bus/jopcyc.c (jopcyc_bus_new): Likewise.
   * src/bus/bf561_ezkit.c (bf561_ezkit_bus_new): Likewise.
   * src/bus/slsup3.c (slsup3_bus_new): Likewise.
   * src/bus/s3c4510x.c (s3c4510_bus_new): Likewise.
   * src/bus/ejtag.c (ejtag_bus_new): Likewise.
   * src/bus/pxa2x0.c (pxa2xx_bus_new_common): Remove.
     (pxa2xx_bus_new): New.
     (pxa2x0_bus_new): Remove.
     (pxa27x_bus_new): Remove.
     (pxa2xx_bus_printinfo): New.
     (pxa2x0_bus_printinfo): Remove.
     (pxa27x_bus_printinfo): Remove.
     (bus_driver_t pxa2x0_bus): Replace pxa2x0_bus_new with
       pxa2xx_bus_new. Replace pxa2x0_bus_printinfo with
       pxa2xx_bus_printinfo.
     (bus_driver_t pxa27x_bus): Replace pxa27x_bus_new with
       pxa2xx_bus_new. Replace pxa27x_bus_printinfo with
       pxa2xx_bus_printinfo.
   * src/bus/bf537_stamp.c (bf537_stamp_bus_new_1): Rename
       to ...
     (bf537_stamp_bus_new): ... this. And use the new driver
       argument.
     (bf537_ezkit_bus_new): Remove.
     (bf527_ezkit_bus_new): Remove.
     (bf537_stamp_bus_printinfo): Use description in bus driver.
     (bf537_ezkit_bus_printinfo): Remove.
     (bf527_ezkit_bus_printinfo): Remove.
     (BF537_STAMP_BUS_FUNCTIONS): Define.
     (bus_driver_t bf537_stamp_bus): Use BF537_STAMP_BUS_FUNCTIONS.
     (bus_driver_t bf537_ezkit_bus): Likewise.
     (bus_driver_t bf527_ezkit_bus): Likewise.

2008-06-28  Kolja Waschk <kawk>

   * data/sigma/smp8634/smp8634, data/sigma/smp8634/STEPPINGS,
     data/sigma/PARTS, data/Makefile.am: Added Sigma SMP8634 (andi2k)
   * doc/UrJTAG.txt: FAQ about CVS needed for autogen.sh and superuser
     rights being needed for running "make install" (frankvh)

2008-06-27  Arnim Laeuger  <arniml>

   * UrJTAG.txt: JTAGkey-Tiny

   * UrJTAG.txt: update of bus driver init() function
   * include/bus_driver.h, src/cmd/initbus.c, src/bus/bf548_ezkit.c,
     src/bus/fjmem.c, src/bus/ppc405ep.c, src/bus/sh7727.c,
     src/bus/prototype.c, src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c,
     src/bus/tx4925.c, src/bus/sh7750r.c, src/bus/pxa2x0.c,
     src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c,
     src/bus/ixp425.c, src/bus/avr32.c, src/bus/h7202.c,
     src/bus/zefant-xs3.c, src/bus/mpc824x.c, src/bus/bcm1250.c,
     src/bus/sharc21065l.c, src/bus/au1500.c, src/bus/lh7a400.c,
     src/bus/sh7751r.c, src/bus/generic_bus.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/bf561_ezkit.c, src/bus/slsup3.c,
     src/bus/s3c4510x.c, src/bus/ejtag.c, src/bus/generic_bus.h:
     [ 1984813 ] Bus driver cleanup, separate (*init) and (*prepare)
     functions (Hartley Sweeten)

2008-06-24  Jie Zhang  <jie.zhang@analog.com>

   From Michael Hennerich <michael.hennerich@analog.com>
   * src/tap/cable.c (ft2232_bfin_ujtag_cable_driver): Rename to ...
     (ft2232_gnice_cable_driver): ... this.
     (cable_drivers[]): Change accordingly.
   * src/tap/cable/generic_usbconn.c
     (usbconn_cable_bfin_ujtag_ftd2xx): Rename to ...
     (usbconn_cable_gnice_ftd2xx): ... this.
     (usbconn_cable_bfin_ujtag_ftdi): Rename to ...
     (usbconn_cable_gnice_ftdi): ... this.
   * src/tap/cable/ft2232.c (BIT_BFIN_UJTAG_nTRST): Rename to ...
     (BIT_GNICE_nTRST): ... this.
     (BIT_BFIN_UJTAG_nLED): Rename to ...
     (BIT_GNICE_nLED): ... this.
     (BITMASK_BFIN_UJTAG_nTRST): Rename to ...
     (BITMASK_GNICE_nTRST): ... this.
     (BITMASK_BFIN_nLED): Rename to ...
     (BITMASK_GNICE_nLED): ... this.
     (ft2232_bfin_urjtag_init): Rename to ...
     (ft2232_gnice_init): ... this.
     (ft2232_bfin_urjtag_done): Rename to ...
     (ft2232_gnice_done): ... this.
     (usbconn_cable_bfin_ujtag_ftdi): Rename to ...
     (usbconn_cable_gnice_ftdi): ... this.
     (ft2232_usbcable_help): Change accordingly.
     (ft2232_bfin_ujtag_cable_driver): Rename to ...
     (ft2232_gnice_cable_driver): ... this.
     (usbconn_cable_bfin_ujtag_ftdi): Rename to ...
     (usbconn_cable_gnice_ftdi): ... this.
     (usbconn_cable_bfin_ujtag_ftd2xx): Rename to ...
     (usbconn_cable_gnice_ftd2xx): ... this.
   * po/fr.po: Update.
   * po/rw.po: Update.
   * po/sk.po: Update.

2008-06-21  Arnim Laeuger  <arniml>

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c, src/bus/sh7750r.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/h7202.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/au1500.c, src/bus/lh7a400.c, src/bus/sh7751r.c,
     src/bus/generic_bus.c, src/bus/mpc5200.c, src/bus/bf561_ezkit.c,
     src/bus/slsup3.c, src/bus/generic_bus.h:
     [ 1984813 ] Bus driver cleanup, generic_bus_prepare function for
     all bus drivers that just load the EXTEST instruction
     (Hartley Sweeten)

2008-06-18  Arnim Laeuger  <arniml>

   * include/bus_driver.h, src/bus/bf548_ezkit.c, src/bus/fjmem.c,
     src/bus/ppc405ep.c, src/bus/sh7727.c, src/bus/prototype.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/avr32.c, src/bus/h7202.c, src/bus/zefant-xs3.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/au1500.c, src/bus/lh7a400.c, src/bus/sh7751r.c,
     src/bus/mpc5200.c, src/bus/jopcyc.c, src/bus/bf561_ezkit.c,
     src/bus/slsup3.c, src/bus/s3c4510x.c, src/bus/ejtag.c:
     [ 1984813 ] Bus driver cleanup, uniquify chain and part in
     bus_t struct (Hartley Sweeten)

2008-06-16  Arnim Laeuger  <arniml>

   * src/cmd/initbus.c (cmd_initbus_run),
     src/cmd/initbus.c, src/bus/bf548_ezkit.c, src/bus/fjmem.c,
     src/bus/ppc405ep.c, src/bus/sh7727.c, src/bus/prototype.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/avr32.c, src/bus/h7202.c, src/bus/zefant-xs3.c,
     src/bus/mpc824x.c, src/bus/bcm1250.c, src/bus/sharc21065l.c,
     src/bus/au1500.c, src/bus/lh7a400.c, src/bus/sh7751r.c,
     src/bus/mpc5200.c, src/bus/jopcyc.c, src/bus/bf561_ezkit.c,
     src/bus/slsup3.c, src/bus/s3c4510x.c, src/bus/ejtag.c:
     [ 1984813 ] Bus driver cleanup, remove unnecessary sanity checking
     (Hartley Sweeten)

2008-06-11  Arnim Laeuger  <arniml>

   * po/fr.po, po/rw.po, po/sk.po: updated

   * src/tap/cable/generic.c (fmax): define fallback in case libm doesn't
     provide fmax()
   * configure.ac: detect availability of fmax() in libm

   * src/bus/bf548_ezkit.c, src/bus/ppc405ep.c, src/bus/sh7727.c,
     src/bus/sa1110.c, src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c,
     src/bus/sh7750r.c, src/bus/pxa2x0.c, src/bus/bf533_stamp.c,
     src/bus/bf533_ezkit.c, src/bus/bf537_stamp.c, src/bus/ixp425.c,
     src/bus/h7202.c, src/bus/mpc824x.c, src/bus/bcm1250.c,
     src/bus/sharc21065l.c, src/bus/au1500.c, src/bus/lh7a400.c,
     src/bus/sh7751r.c, src/bus/mpc5200.c, src/bus/jopcyc.c,
     src/bus/bf561_ezkit.c, src/bus/slsup3.c, src/bus/s3c4510x.c:
     [ 1984813 ] Bus driver cleanup, second step of part 2) (Hartley Sweeten)
     use generic_bus_attach_sig() in all bus drivers

2008-06-10  Arnim Laeuger  <arniml>

   * src/bus/generic_bus.c, src/bus/generic_bus.h, src/bus/zefant-xs3.c:
     [ 1984813 ] Bus driver cleanup, first step of part 2) (Hartley Sweeten)
     generic_bus_attach_sig() added

   * src/bus/au1500.c, src/bus/avr32.c, src/bus/bcm1250.c,
     src/bus/bf533_ezkit.c, src/bus/bf533_stamp.c, src/bus/bf537_stamp.c,
     src/bus/bf548_ezkit.c, src/bus/bf561_ezkit.c, src/bus/ejtag.c,
     src/bus/fjmem.c, src/bus/generic_bus.c, src/bus/generic_bus.h,
     src/bus/h7202.c, src/bus/ixp425.c, src/bus/jopcyc.c,
     src/bus/lh7a400.c, src/bus/mpc5200.c, src/bus/mpc824x.c,
     src/bus/ppc405ep.c, src/bus/ppc440gx_ebc8.c, src/bus/prototype.c,
     src/bus/pxa2x0.c, src/bus/s3c4510x.c, src/bus/sa1110.c,
     src/bus/sh7727.c, src/bus/sh7750r.c, src/bus/sh7751r.c,
     src/bus/sharc21065l.c, src/bus/slsup3.c, src/bus/tx4925.c,
     src/bus/zefant-xs3.c:
     [ 1984813 ] Bus driver cleanup, second step of part 4) (Hartley Sweeten)
     generic_bus_read() added

2008-06-09  Arnim Laeuger  <arniml>

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/tx4925.c, src/bus/sh7750r.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/avr32.c,
     src/bus/h7202.c, src/bus/zefant-xs3.c, src/bus/mpc824x.c,
     src/bus/bcm1250.c, src/bus/sharc21065l.c, src/bus/au1500.c,
     src/bus/lh7a400.c, src/bus/sh7751r.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/bf561_ezkit.c, src/bus/slsup3.c,
     src/bus/s3c4510x.c, src/bus/ejtag.c:
     [ 1984813 ] Bus driver cleanup, first step of part 4) (Hartley Sweeten)

   * src/svf/svf_flex.l, src/flash/flash.c (flashmem):
     avoid '\r' in i18n strings (Hartley Sweeten)
   * po/fr.po, po/rw.po, po/sk.po: remove '\r'

2008-06-06  Kolja Waschk <kawk>

   * src/bus/bcm1250.c: Allow for 8 IO_CS_L signals, not just 7
      (Hartley Sweeten)

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/sh7750r.c, src/bus/tx4925.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/avr32.c,
     src/bus/zefant-xs3.c, src/bus/h7202.c, src/bus/mpc824x.c,
     src/bus/bcm1250.c, src/bus/sharc21065l.c, src/bus/au1500.c,
     src/bus/lh7a400.c, src/bus/sh7751r.c, src/bus/generic_bus.c,
     src/bus/mpc5200.c, src/bus/jopcyc.c, src/bus/Makefile.am,
     src/bus/slsup3.c, src/bus/bf561_ezkit.c, src/bus/s3c4510x.c,
     src/bus/ejtag.c, src/bus/generic_bus.h: [ 1984813 ] Bus driver
      cleanup: Unified *bus_free functions and moved them to new
      src/bus/generic_bus.c/h (Hartley  Sweeten)

2008-06-05  Arnim Laeuger  <arniml>

   * src/tap/usbconn/libftdi.c: issue device reset in usbconn_ftdi_open(), fixes
     hang of FT245 chip when initializing the cable more than once
   * src/tap/cable/usbblaster.c: split get_tdo and transfer functions into schedule
     finish parts for deeper queueing with extended flush function

2008-06-05  Kolja Waschk <kawk>

   * src/bus/bf548_ezkit.c, src/bus/fjmem.c, src/bus/ppc405ep.c,
     src/bus/sh7727.c, src/bus/prototype.c, src/bus/sa1110.c,
     src/bus/ppc440gx_ebc8.c, src/bus/sh7750r.c, src/bus/tx4925.c,
     src/bus/pxa2x0.c, src/bus/bf533_stamp.c, src/bus/bf533_ezkit.c,
     src/bus/bf537_stamp.c, src/bus/ixp425.c, src/bus/avr32.c,
     src/bus/zefant-xs3.c, src/bus/h7202.c, src/bus/mpc824x.c,
     src/bus/bcm1250.c, src/bus/sharc21065l.c, src/bus/au1500.c,
     src/bus/lh7a400.c, src/bus/sh7751r.c, src/bus/mpc5200.c,
     src/bus/jopcyc.c, src/bus/slsup3.c, src/bus/bf561_ezkit.c,
     src/bus/s3c4510x.c, src/bus/ejtag.c: Partial [ 1984813 ]
      Bus driver cleanup: Changed mallocs to callocs, added (NULL) pointer
      for *init to the drivers where it was missing (Hartley Sweeten)

2008-05-29  Kolja Waschk <kawk>

   * src/tap/cable/wiggler.c src/tap/cable/generic_usbconn.c,
     src/tap/cable/usbblaster.c, src/tap/cable/vision_ep9307.c,
     src/tap/cable/jim.c, src/tap/cable/ft2232.c,
     src/tap/cable/generic_parport.c: More malloc/free cleanup
       in cable drivers (Hartley Sweeten)

2008-05-28  Kolja Waschk <kawk>

   * src/cmd/cable.c, src/tap/cable/wiggler.c,
     src/tap/cable/generic_usbconn.c, src/tap/cable/vision_ep9307.c,
     src/tap/cable/jim.c, src/tap/cable/ft2232.c, 
      src/tap/cable/usbblaster.c, src/tap/cable/generic_parport.c: Cable
      connect/disconnect cleanup, fix malloc/free issues (Hartley Sweeten)

2008-05-27  Arnim Laeuger  <arniml>

   * UrJTAG.txt: document progress option of svf command
   * src/cmd/svf.c (cmd_svf_run): new command option 'progress'
   * src/svf/svf.c (svf_run), include/svf.h (svf_run): new parameter
     print_progress
   * src/svf/svf_flex.l (fix_yylloc_nl): report line / total number

2008-05-26  Arnim Laeuger  <arniml>

   [adding svf progress output] (Steve Franks)
   * src/svf/svf_bison.y (svf_bison_init): hand down parameters for scanner
     initialization
   * src/svf/svf_flex.l: output progress indicator upon newline detection
   * src/svf/svf.c (svf_run): caluclate number of lines and pass result
     to scanner initialization
   * src/svf/svf.h: added "extra" data type for scanner

2008-05-26  Kolja Waschk <kawk>

   * src/bus/avr32.c, src/bus/buses.c, src/bus/buses.h,
     src/bus/Makefile.am, src/flash/amd.c, THANKS, configure.ac,
     doc/UrJTAG.txt, data/atmel/at32ap7000, data/atmel/at32ap7000/at32ap7000,
     data/atmel/at32ap7000/STEPPINGS, data/atmel/PARTS, data/Makefile.am:
     add support for Atmel's AT32AP7000 (by Gabor Juhos)

2008-05-24  Arnim Laeuger  <arniml>

   * src/tap/cable/usbblaster.c (usbblaster_connect): added missing
     malloc for cable_params

2008-05-23  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/PARTS: Add BF526 id.

2008-05-21  Jie Zhang  <jie.zhang@analog.com>

   [ 1951767 ] bsdl2jtag cannot parse some bsdl files
   * src/bsdl2jtag.c (endline): Prevent `:' from being scanned in.

2008-05-21  Jie Zhang  <jie.zhang@analog.com>

   [ 1968455 ] Enter UPDATE state after register shift
   * include/chain.h (EXITMODE_UPDATE): Define.
   * src/tap/tap.c (tap_defer_shift_register): Enter Update-DR
     or Update-IR when requested.

2008-05-20  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c, src/tap/cable/usbblaster.c:
     typo in help string fixed
   * src/tap/cable/ft2232.c, src/tap/cable/usbblaster.c:
     run on top of usbconn drivers
   * src/tap/cable/cmd_xfer.c, src/tap/cable/cmd_xfer.h:
     provide command queueing functions to ft2232.c and usbblaster.c
   * src/tap/usbconn/libftd2xx.c, src/tap/usbconn/libftdi.c,
     include/usbconn/libftdx.h, src/tap/parport/ftdi.c,
     src/tap/parport/ftd2xx.c, src/tap/parport.c, src/tap/Makefile.am,
     src/tap/usbconn.c, src/tap/cable/generic_usbconn.c,
     src/tap/cable/generic_usbconn.h, doc/UrJTAG.txt:
     ftdi & ftd2xx drivers ported from parport to usbconn
   * src/tap/usbconn/libusb.c, include/usbconn.h: added read and write
   * configure.ac: --enable-parport renamed to --enable-lowlevel
     respective renaming for Makefile and C macros

2008-05-13  Kolja Waschk <kawk>

   * src/tap/cable/generic_usbconn.c: Read VID/PID as hexadecimal, fixes 
	 Bug [1962628] VID/PID for usbconn cables are parsed as decimal

2008-05-12  Kolja Waschk <kawk>

   * doc/jtag.1: Explanation of [file] argument, correct location
     of rc file (thanks Steve Franks for noticing)

2008-05-09  Mike Frysinger  <vapier@gentoo.org>

   * data/analog/PARTS, data/Makefile.am, data/analog/bf527/:
     Rename BF527c to BF527 and relocate files as appropriate.
   * data/analog/PARTS, data/Makefile.am, data/analog/bf548/:
     Rename BF549 to BF548 and relocate files as appropriate.
   * data/analog/bf527/STEPPINGS: Add support for bf527 0.1.

2005-05-06  Kolja Waschk <kawk>

   * acinclude.m4, src/cmd/cmd.c, src/jtag.c: 
     Update for [ 1940323 ] OS X support for UrJTAG (by Ville Voipio)

2008-05-05  Mike Frysinger  <vapier@gentoo.org>

   * src/svf/svf.c: Fix __MINGW32__ typo.
   * src/flash/amd.c: Remove _() around part names.
   * src/flash/amd_flash.c: Likewise.
   * src/lib/safe-ctype.c: Include from libiberty as it is needed on some
     non-POSIX ports (like mingw).
   * src/cmd/include.c (cmd_include_or_script_run): Add handling of absolute
     paths under Windows that take the form <letter>:\.
   * sysdep.h, src/flash/amd.c, src/flash/amd_flash.c, src/jtag.c: Move some
     Windows stub functions to sysdep.h so we don't have to redeclare them in
     every single file and so we don't trigger future bitrot.

2008-05-04  Mike Frysinger  <vapier@gentoo.org>

   * src/flash/amd.c: Handle chipid 0x22ed M29W640DT.

2008-05-02  Arnim Laeuger  <arniml>

   * src/tap/cable/generic_usbconn.c (generic_usbconn_connect):
     fix user_specified.driver comparison

2008-05-01  Mike Frysinger  <vapier@gentoo.org>

   * configure.ac: Check for libusb before libftdi since the latter needs
     the former.
   * configure.ac: Use AC_PATH_TOOL() instead of AC_PATH_PROG() so that we
     handle cross-compiling sanely.
   * configure.ac: Make LIBS/CPPFLAGS sane and consistent when checking for
     libusb and libftdi.
   * configure.ac: Use POSIX compliant tests for equality ("=", not "==").

2008-04-26  Kolja Waschk <kawk>

   * src/flash/amd.c: Separate Chip name by Manufacturer (Andrey F. Ilchuk)

2008-04-24  Mike Frysinger  <vapier@gentoo.org>

   * src/tap/usbconn/libusb.c (usbconn_libusb_connect): Use the
     usb_get_busses() function rather than the usb_busses global
     variable due to portability issues (like with libusb-win32).
   * src/jtag.c (jtag_readline_loop): [ 1950315 ] Fix quiting when
     using the non readline version.
   * configure.ac: [ 1950061 ] Look for the ChangeLog in $srcdir.

2008-04-19  Kolja Waschk <kawk>

   * src/tap/parport/ftd2xx.c: SetBaudRate to 3E6, not 48E6. Should
     fix [ 1925509 ] ftd2xx: SetBaudRate fails with FT245
   * src/flash/intel.c: Handle chips that support "Mitsubishi
     standard/enhanced command set" just like Intel chips. Need
     to do more research about the differences (if any) [1946559]
   * src/tap/cable/usbblaster.c: clock() at highest possible rate
     using the byte shift mode for n>=8 (Thanks M. Banditt)
   * include/cmd.h, src/cmd/cmd.c, src/jtag.c: [ 1946331 ] command
     completion support (by Mike Frysinger)
   * configure.ac, acinclude.m4: [ 1946114 ] make AC_PROG_SED
     workaround sane (Mike Frysinger)
   * include/jtag.h, src/cmd/detect.c, src/tap/detect.c:
     [ 1946119 ] fixup relocatable jtag in detection (M.Frysinger)
   * src/cmd/frequency.c: ensure that cable is initialized. Fixes
     [ 1933736 ] "frequency" command segfaults without args

2008-04-19  Arnim Laeuger  <arniml>

   * src/bsdl/Makefile.am, src/svf/Makefile.am: ensure that
     bsdl_bison.h is generated prior to compiling bsdl_flex.c and
     bsdl_bison.c
     [ 1943435 ] fixup bsdl parallel build issue (part2)

2008-04-13  Kolja Waschk <kawk>

  * src/tap/parport/ftd2xx.c, src/tap/usbconn/libusb.c, src/lib/fclock.c,
    src/jtag.c, src/flash/amd_flash.c, src/flash/amd.c, src/flash/jedec.c,
    src/svf/svf.c, configure.ac, doc/UrJTAG.txt: Provide variants of
    usleep, frealtime, mkdir for [ 1838732 ] EXE built with MinGW

2008-04-11  Kolja Waschk <kawk>

   * src/bsdl/bsdl.c, src/tap/parport/ftd2xx.c, src/tap/parport/ftdi.c,
     src/tap/usbconn/libusb.c, src/lib/fclock.c, src/jtag.c:
     [ 1940323 ] OS X support for UrJTAG (by Ville Voipio)

2008-04-11  Arnim Laeuger  <arniml>

   * src/tap/parport/ftdi.c (ftdi_flush_output): removed unused variables

2008-04-11  Jie Zhang  <jie.zhang@analog.com>

   From Michael Hennerich <michael.hennerich@analog.com>
   * src/tap/parport/ftdi.c (ftdi_generic_open): Detect
     BFIN-UJTAG cable.
   * src/tap/cable.c (ft2232_bfin_ujtag_cable_driver): Declare.
     (cable_drivers): Add ft2232_bfin_ujtag_cable_driver.
   * src/tap/cable/ft2232.c (BIT_BFIN_UJTAG_nTRST,
     BIT_BFIN_UJTAG_nLED, BITMASK_BFIN_UJTAG_nTRST,
     BITMASK_BFIN_UJTAG_nLED): Define.
     (ft2232_bfin_ujtag_init): New.
     (ft2232_bfin_ujtag_done): New.
     (ft2232_bfin_ujtag_cable_driver): Define.

2008-04-10  Jie Zhang  <jie.zhang@analog.com>

   * src/flash/flash.c (flashmem): Show the address when verifying.
     Show the end address when program and verify complete.

2008-04-10  Jie Zhang  <jie.zhang@analog.com>

   From Stefan Pledl  <stefan.pledl@mesutronic.de>
   * src/bsdl2jtag.c (endline): Set mode to 0 for INSTRUCTION_LENGTH
     and BOUNDARY_LENGTH attributes.
   * data/atmel/atf15xx/STEPPINGS: New file.
   * data/atmel/atf15xx/atf1504asv: New file.
   * data/atmel/PARTS: Add atf15xx.
   * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
     atmel/atf15xx/STEPPINGS and atmel/atf15xx/atf1504asv.

2008-04-09  Jie Zhang  <jie.zhang@analog.com>

   * src/bus/bf537_stamp.c (bf537_stamp_bus_new_1): Renamed
     from bf537_stamp_bus_new, but don't set driver.
     (bf537_stamp_bus_new): Call bf537_stamp_bus_new_1 and
       set driver here.
     (bf537_ezkit_bus_new): Likewise.
     (bf527_ezkit_bus_new): Likewise.
     (bf537_ezkit_bus): Replace bf537_stamp_bus_new with
       bf537_ezkit_bus_new.
     (bf527_ezkit_bus_printinfo): New.
     (bf527_ezkit_bus): Define.
   * src/bus/buses.c (bus_drivers[]): Add bf527_ezkit_bus.
   * src/bus/buses.h (bf527_ezkit_bus): Declare.
   * src/bus/Makefile.am (libbus_a_SOURCES): Add bf537_stamp.c
     if ENABLE_BUS_BF527_EZKIT. Allow ENABLE_BUS_BF537_EZKIT
     independent on ENABLE_BUS_BF537_STAMP.
   * configure.ac: Add bf527_ezkit.
   * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
     analog/bf527c/STEPPINGS and analog/bf527c/bf527c.
   * data/analog/bf527c/bf527c: New file.
   * data/analog/bf527c/STEPPINGS: New file.
   * data/analog/PARTS: Add bf527c.

2008-04-09  Michael Hennerich <michael.hennerich@analog.com>

   * data/analog/bf537/STEPPINGS: Add stepping 3.

2008-04-08  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl_flex.l (bsdl_flex_deinit): close file if still open

2008-04-08  Kolja Waschk <kawk>

   * src/cmd/idcode.c: [ 1936543 ] Check for set-up cable in idcode (U.Bonnes)

2008-04-05  Kolja Waschk <kawk>

   * src/tap/cable/usbblaster.c: [ 1934843 ] Fix for USBBLASTER (U.Bonnes)
   * src/jtag.c: [ 1933141 ] Don't add duplicate history lines (U.Bonnes)

2008-04-03  Kolja Waschk <kawk>

   * src/jtag.c: Optionally use JTAG_PROMPT environment setting for
     prompt instead of "jtag>" (by Mike Frysinger)

   * include/jtag.h, src/cmd/jtag_data_dir.c, src/cmd/include.c,
     src/cmd/Makefile.am, src/bsdl/Makefile.am, src/bsdl/bsdl_flex.l,
     src/lib/make-relative-prefix.c, src/lib/safe-ctype.h,
     src/lib/lbasename.c, src/lib/Makefile.am, src/lib/filenames.h,
     src/lib/lrealpath.c, src/jtag.c, configure.ac:
     [ 1916428 ] support runtime-relocatable urjtag (by Mike Frysinger)

   * include/jtag.h, src/cmd/cmd.c, src/cmd/idcode.c, src/cmd/Makefile.am,
     src/tap/parport/ftdi.c, src/tap/idcode.c, src/tap/Makefile.am, THANKS:
     [ 1933730 ] new "idcode" command (by Uwe Bonnes)

2008-04-03  Arnim Laeuger  <arniml>

   [ 1929235 ] Use less global and static variables:
   * src/bus/jopcyc.c, src/bus/zefant-xs3.c: made global variable
     last_address local
   * src/svf/svf.c, src/svf/svf.h: support reentrant parser and scanner
   * src/svf/svf_bison.y: provisions for reentrant parser
   * src/svf/svf_flex.l: made scanner reentrant
   * src/svf/Makefile.am: removed command line options for
     bison and flex
   * configure.ac: require flex 2.5.33 also for SVF scanner
   * doc/UrJTAG.txt: document flex version for SVF scanner

2008-04-02  Arnim Laeuger  <arniml>

   [ 1929235 ] Use less global and static variables:
   * src/bsdl/bsdl.c, src/cmd/bsdl.c: use globals from chain_t
   * src/tap/chain.c (chain_alloc): init BSDL globals
   * include/chain.h: added bsdl_globs_t to chain_t
   * include/bsdl.h: defined structure for BSDL globals
   * src/bsdl/Makefile.am, src/bsdl/bsdl_sem.c, src/bsdl/bsdl_flex.l,
     src/bsdl/bsdl_bison.y, src/bsdl/bsdl.c, src/bsdl/bsdl_local.h:
       renamed bsdl.h to bsdl_local.h

2008-04-01  Arnim Laeuger  <arniml>

   [ 1887221 ] Add configure switch to disable all cable&parport drivers:
   * doc/UrJTAG.txt: updates for new options and summary reporting
   * src/tap/parport.c: reworked driver referencing based on
     ENABLE_PARPORT_* macros
   * src/tap/cable.c: reworked driver referencing based on
     ENABLE_CABLE_* macros
   * src/tap/Makefile.am (libtap_a_SOURCES): include sources based on
     ENABLE_CABLE_* and ENABLE_PARPORT_* macros
   * src/bus/buses.c: reference bus drivers based on ENABLE_BUS_* macros
   * src/bus/buses.h: sorted sequence of extern declarations
   * src/bus/Makefile.am (libbus_a_SOURCES): include sources based on
     ENABLE_BUS_* macros
   * src/Makefile.am (jtag_LDADD): moved -lcmd to top of list to prevent
     linker error for --enable-cable=jim
   * configure.ac: added switches --enable-bus, --enable-cable and enable-parport
     removed (superseeded) --enable-jim and --enable-ep9307

2008-03-26  Kolja Waschk <kawk>

   * src/flash/amd.c: Fix address shift (Jeff Wittrock)

2008-03-15  Jie Zhang  <jie.zhang@analog.com>

   * include/jtag.h (jtag_parse_line): Declare.
     (jtag_parse_stream): Declare.
   * src/discovery.c: Move ...
   * src/tap/discovery.c: ... here.
   * src/detect.c: Move ...
   * src/tap/detect.c: ... here.
   * src/tap/Makefile.am (libtap_a_SOURCES): Add detect.c and
       discovery.c.
   * src/readmem.c: Move ...
   * src/bus/readmem.c: ... here.
   * src/writemem.c: Move ...
   * src/bus/writemem.c: ... here.
   * src/bus/Makefile.am (libbus_a_SOURCES): Add readmem.c and
       writemem.c.
   * src/flash.c: Move ...
   * src/flash/flash.c: ... here.
   * src/flash/Makefile.am (libflash_a_SOURCES): Add flash.c.
   * src/jtag.c (get_token, jtag_parse_line, jtag_parse_stream,
     jtag_parse_file): Move to ...
   * src/cmd/parse.c: ... here.
   * src/cmd/Makefile.am (libbus_a_SOURCES): Add parse.c.
   * src/Makefile.am (jtag_SOURCES): Remove detect.c, discovery.c,
       readmem.c, writemem.c and flash.c.
     (jtag_LDADD): Add -ltap and -lflash one more time to resolve
       undefined references.

   * po/POTFILES.in: Update according to the changes above.
   * po/fr.po, po/rw.po, po/sk.po: Update.

2008-03-14  Arnim Laeuger  <arniml>

   * configure.ac: format AC_ARG_ENABLE help with AS_HELP_STRING macro

2008-03-13  Kolja Waschk <kawk>

   * po/POTFILES.in: Sorted and updated to fix [1904952] Missing xpcu_pp.c
       prevents "make urjtag.pot-update"
   * po/fr.po, po/rw.po, po/sk.po: Updated

2008-03-10  Arnim Laeuger  <arniml>

   [ 1911429 ] Read TDO data from instruction shift:
   * doc/UrJTAG.txt: removed note about SIR deficiency
   * src/svf/svf.c (svf_sxr): request TDO capture for SIR when command specifies TDO paramters
   * src/tap/chain.c (chain_shift_instructions_mode): use defered shifting and capture TDO
       output when requested
   * src/part/instruction.c (instruction_alloc): allocate tap_register out
   * include/chain.h: parameter capture_output added to chain_shift_instructions_mode()
   * include/instruction.h: tap_register out added

2008-03-03  Arnim Laeuger  <arniml>

   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): fix FT_SetChar() parameters
   * doc/UrJTAG.txt: fix some typos

2008-03-01  Arnim  <arniml>

   * src/tap/parport/ftdi.c (ftdi_mpsse_open): rework sequence to fix
       a system that shows similar hangs as reported in
       [ 1904970 ] JTAG operations hang with libftdi
   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): align with ftdi.c

2008-03-01  Kolja Waschk <kawk>

   * src/tap/cable/jlink.c: Added VREF detection and a call to usb_reset()
      when cable initialization failed
   * src/tap/cable/xpc.c: Implemented much faster access method using GPIF
      transfers via vendor request 0xA6. Reportedly works with DLC9 now.

2008-02-28  Kolja Waschk <kawk>

   * doc/UrJTAG.txt: Concretized list of supported USB cables.
   * src/detect.c: Use "include" internally instead of "script", avoid errmsg

2008-02-27  Kolja Waschk <kawk>

   * src/tap/cable/generic.c (generic_flush_one_by_one): Always flush,
       don't let the queue grow unnecessarily.

2008-02-27  Jie Zhang  <jie.zhang@analog.com>

   * include/bus.h: Don't include chain.h.
   * include/svf.h: Include chain.h.
     (svf_run): Add a parameter to pass chain.
   * include/cmd.h: Include chain.h.
     (cmd_t): Add a parameter to pass chain for run.
     (cmd_run, cmd_test_cable): Add a parameter to pass chain.
   * include/bus_driver.h: Include chain.h.
     (struct bus_driver): Add a parameter to pass chain for new_bus.
   * include/bsdl.h: Include chain.h
     (bsdl_read_file, bsdl_scan_files): Add a parameter to pass chain.
   * include/jtag.h (chain): Don't declare.
     (jtag_parse_file): Add a parameter to pass chain.
   * src/bsdl/bsdl.c (bsdl_read_file): Add a parameter to pass chain.
       Initialize parser_priv->jtag_ctrl.chain.
     (bsdl_scan_files): Add a parameter to pass chain.
   * src/bsdl/bsdl_sem.c (bsdl_set_instruction_length): Call cmd_run
       with priv->jtag_ctrl.chain.
   * src/bsdl/bsdl.h (struct jtag_ctrl): Add chain field.
   * src/detect.c (detect_parts): Pass chain to bsdl_scan_files
       and cmd_run.
   * src/bus/bf548_ezkit.c (bf548_ezkit_bus_new): Add a parameter to
       pass chain.
   * src/bus/fjmem.c (fjmem_bus_new): Likewise.
   * src/bus/ppc405ep.c (ppc405ep_bus_new): Likewise.
   * src/bus/sh7727.c (sh7727_bus_new): Likewise.
   * src/bus/prototype.c (prototype_bus_new): Likewise.
   * src/bus/sa1110.c (sa1110_bus_new): Likewise.
   * src/bus/ppc440gx_ebc8.c (ppc440gx_ebc8_bus_new): Likewise.
   * src/bus/tx4925.c (tx4925_bus_new): Likewise.
   * src/bus/sh7750r.c (sh7750r_bus_new): Likewise.
   * src/bus/pxa2x0.c (pxa2x0_bus_new): Likewise.
     (pxa27x_bus_new): Likewise.
   * src/bus/bf533_stamp.c (bf533_stamp_bus_new): Likewise.
   * src/bus/bf533_ezkit.c (bf533_ezkit_bus_new): Likewise.
   * src/bus/bf537_stamp.c (bf537_stamp_bus_new): Likewise.
   * src/bus/ixp425.c (ixp425_bus_new): Likewise.
   * src/bus/h7202.c (h7202_bus_new): Likewise.
   * src/bus/zefant-xs3.c (zefant_xs3_bus_new): Likewise.
   * src/bus/bcm1250.c (bcm1250_bus_new): Likewise.
   * src/bus/sharc21065l.c (sharc_21065L_bus_new): Likewise.
   * src/bus/au1500.c (au1500_bus_new): Likewise.
   * src/bus/lh7a400.c (lh7a400_bus_new): Likewise.
   * src/bus/sh7751r.c (sh7751r_bus_new): Likewise.
   * src/bus/mpc5200.c (mpc5200_bus_new): Likewise.
   * src/bus/jopcyc.c (jopcyc_bus_new): Likewise.
   * src/bus/slsup3.c (slsup3_bus_new): Likewise.
   * src/bus/bf561_ezkit.c (bf561_ezkit_bus_new): Likewise.
   * src/bus/s3c4510x.c (s3c4510_bus_new): Likewise.
   * src/bus/ejtag.c (ejtag_bus_new): Likewise.
   * src/bus/mpc824x.c (mpc824x_bus_new): Likewise.
     (mpc824x_bus_write): Change chain to CHAIN.
   * src/svf/svf.c (yyparse): Add a parameter to pass chain. And update
       all call sites.
     (svf_force_reset_state): Likewise.
     (svf_goto_state): Likewise.
     (svf_frequency): Likewise.
     (svf_runtest): Likewise.
     (svf_state): Likewise.
     (svf_sxr): Likewise.
     (svf_trst): Likewsie.
     (svf_run): Likewise.
   * src/svf/svf_bison.y (yyerror): Update declaration and call sites.
     (chain): %parse-param.
   * src/svf/svf.h: Include chain.h and update function declarations.
   * src/cmd/endian.c (cmd_endian_run): Add a parameter to pass chain.
       And update all call sites.
   * src/cmd/frequency.c (cmd_frequency_run): Likewise.
   * src/cmd/part.c (cmd_part_run): Likewise.
   * src/cmd/salias.c (cmd_salias_run): Likewise.
   * src/cmd/instruction.c (cmd_instruction_run): Likewise.
   * src/cmd/quit.c (cmd_quit_run): Likewise.
   * src/cmd/register.c (cmd_register_run): Likewise.
   * src/cmd/debug.c (cmd_debug_run): Likewise.
   * src/cmd/flashmem.c (cmd_flashmem_run): Likewise.
   * src/cmd/svf.c (cmd_svf_run): Likewise.
   * src/cmd/peekpoke.c (cmd_peek_run): Likewise.
     (cmd_poke_run): Likewise.
   * src/cmd/cmd.c (cmd_test_cable): Likewise.
     (cmd_run): Likewise.
   * src/cmd/dr.c (cmd_dr_run): Likewise.
   * src/cmd/cable.c (cmd_cable_run): Likewise.
   * src/cmd/shell.c (cmd_shell_run): Likewise.
   * src/cmd/discovery.c (cmd_discovery_run): Likewise.
   * src/cmd/detect.c (cmd_detect_run): Likewise.
   * src/cmd/readmem.c (cmd_readmem_run): Likewise.
   * src/cmd/signal.c (cmd_signal_run): Likewise.
   * src/cmd/shift.c (cmd_shift_run): Likewise.
   * src/cmd/initbus.c (cmd_initbus_run): Likewise.
   * src/cmd/eraseflash.c (cmd_eraseflash_run): Likewise.
   * src/cmd/bit.c (cmd_bit_run): Likewise.
   * src/cmd/get.c (cmd_get_run): Likewise.
   * src/cmd/test.c (cmd_test_run): Likewise.
   * src/cmd/reset.c (cmd_reset_run): Likewise.
   * src/cmd/include.c (cmd_include_or_script_run): Likewise.
     (cmd_include_run): Likewise.
     (cmd_script_run): Likewise.
   * src/cmd/bsdl.c (cmd_bsdl_run): Likewise.
   * src/cmd/scan.c (cmd_scan_run): Likewise.
   * src/cmd/detectflash.c (cmd_detectflash_run): Likewise.
   * src/cmd/help.c (cmd_help_run): Likewise.
   * src/cmd/writemem.c (cmd_writemem_run): Likewise.
   * src/cmd/bus.c (cmd_bus_run): Likewise.
   * src/cmd/set.c (cmd_set_run): Likewise.
   * src/cmd/print.c (cmd_print_run): Likewise.
   * src/jtag.c (chain): Don't define.
     (jtag_parse_line): Add a parameter to pass chain.
       And update all call sites.
     (jtag_readline_multiple_commands_support): Likewise.
     (jtag_readline_loop): Likewise.
     (jtag_parse_stream): Likewise.
     (jtag_parse_file): Likewise.
     (jtag_parse_rc): Likewise.
     (cleanup): Likewise.
     (main): Define a local chain.

2008-02-26  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c (send_and_receive): loopback_off moved to ftdi.c/ftd2xx.c
   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): set TCK, loopback_off, reset, purge
   * src/tap/parport/ftdi.c (ftdi_mpsse_open): set TCK, loopback_off, reset, purge

2008-02-24  Mike Frysinger  <vapier>

   * src/jtag.c: allow people to disable startup message (1901877),
       quit upon EOF (1901880)

2008-02-25  Arnim Laeuger  <arniml>

   * src/bus/fjmem.c (fjmem_bus_new): accept 'len' parameter to suppress
       data register length detection

2008-02-25  Kolja Waschk <kawk>

   * include/usbconn/libusb.h, src/tap/cable/jlink.c: J-Link driver
       doesn't use global variables anymore

2008-02-25  Jie Zhang  <jie.zhang@analog.com>

   * src/bus/buses.c (bus_drivers): bf548_ezkit_bus.
   * src/bus/buses.h: Declare bf548_ezkit_bus.

   * include/flash/cfi.h (MAJOR_VERSION_OFFSET): New macro.
     (MAJOR_VERSION_OFFSET): New macro.
     (MINOR_VERSION_OFFSET): New macro.
     (ADDRESS_SENSITIVE_UNLOCK_OFFSET): New macro.
     (ERASE_SUSPEND_OFFSET): New macro.
     (SECTOR_PROTECT_OFFSET): New macro.
     (SECTOR_TEMPORARY_UNPROTECT_OFFSET): New macro.
     (SECTOR_PROTECT_SCHEME_OFFSET): New macro.
     (SIMULTANEOUS_OPERATION_OFFSET): New macro.
     (BURST_MODE_TYPE_OFFSET): New macro.
     (PAGE_MODE_TYPE_OFFSET): New macro.
     (ACC_MIN_OFFSET): New macro.
     (ACC_MAX_OFFSET): New macro.
     (TOP_BOTTOM_SECTOR_FLAG_OFFSET): New macro.
     (PROGRAM_SUSPEND_OFFSET): New macro.
     (UNLOCK_BYPASS_OFFSET): New macro.
     (SECSI_SECTOR_SIZE_OFFSET): New macro.
     (EMBEDDED_HWRST_TIMEOUT_MAX_OFFSET): New macro.
     (NON_EMBEDDED_HWRST_TIMEOUT_MAX_OFFSET): New macro.
     (ERASE_SUSPEND_TIMEOUT_MAX_OFFSET): New macro.
     (PROGRAM_SUSPEND_TIMEOUT_MAX_OFFSET): New macro.
     (BANK_ORGANIZATION_OFFSET): New macro.
     (BANK_REGION_INFO_OFFSET): New macro.
     (struct amd_pri_extened_query_structure): Define.
     (amd_pri_extened_query_structure_t): Typedef.
   * src/flash/cfi.c (cfi_array_free): Free primary vendor table.
     (cfi_detect): Detect AMD CFI primary vendor-specific extended
     query table. Reverse the order of erase block region information
     for top boot devices.
   * src/flash/detectflash.c (detectflash): Print out information
     of AMD CFI primary vendor-specific extended query table.

2008-02-24  Kolja Waschk <kawk>

   * include/cable.h, include/usbconn.h, include/usbconn/libusb.h,
     src/tap/cable.c, src/tap/usbconn/libusb.c, src/tap/parport.c,
     src/tap/usbconn.c, src/tap/Makefile.am: Merged code from usb_abstraction
       branch, adding a "usbconn" link driver (similar to the existing
       parport link driver) for USB cables.

   * src/tap/cable/generic_parport.c, src/tap/cable/generic_parport.h,
     src/tap/cable/generic_usbconn.h, src/tap/cable/generic_usbconn.c,
     src/tap/cable/generic.c, src/tap/cable/generic.h: Separated link-specific
       code from generic.c into addition source files for parport and usbconn

   * src/tap/cable/wiggler.c, src/tap/cable/arcom.c, src/tap/cable/mpcbdm.c,
     src/tap/cable/usbblaster.c, src/tap/cable/jlink.c, src/tap/cable/ea253.c,
     src/tap/cable/vision_ep9307.c, src/tap/cable/triton.c, src/tap/cable/ei012.c,
     src/tap/cable/byteblaster.c, src/tap/cable/wiggler2.c, src/tap/cable/dlc5.c,
     src/tap/cable/ft2232.c, src/tap/cable/keithkoep.c, src/tap/cable/lattice.c:
        Small modifications to adapt to the changes in cable.h and generic.h

   * src/tap/cable/xpc.c, src/tap/parport/xpcu_pp.c, src/tap/parport/xpcu_common.c:
     Xilinx Platform Cable USB driver now based on usbconn link driver

   * src/tap/cable/jlink.c: New driver for Segger J-Link, Atmel SAM-ICE etc.
       based on usbconn link driver

   * doc/UrJTAG.txt: Added section about link drivers

2008-02-24  Eugene Boldenkov <eugene_b>

   * src/bus/mpc824x.c: Add 32-bit bus support (1900847)

2008-02-24  Mike Frysinger  <vapier>

   * configure.ac: Fix building out of tree (1899908), only use libusb flags
       as needed (1899930), provide flag about wchar.h presence (1899922)
   * src/cmd/print.c: Fix dependency on wchar.h (1899922)

2008-02-23  Arnim Laeuger  <arniml>

   * extra/fjmem/README: new file
   * doc/UrJTAG.txt: mention fjmem driver, document bus driver internals
   * src/svf/Makefile.am (svf_flex.o svf.o): fix dependencies to svf_bison.h
   * src/bsdl/Makefile.am (bsdl_flex.o bsdl_sem.o): fix dependencies to bsdl_bison.h
    -> resolves [ 1899911 ]
   * src/tap/cable/ft2232.c (send_and_receive): only flush if not TO_OUTPUT
   * src/tap/chain.c (chain_shift_data_registers_mode): flush TO_OUTPUT instead
       of CONSERVATIVELY
   * src/tap/cable.c (cable_flush), include/cable.h (enum): removed CONSERVATIVELY
   * configure.ac: conservative-flush removed

2008-02-21  Arnim Laeuger  <arniml>

   * src/tap/parport/ftdi.c (ftdi_mpsse_open): set latency timer to 16ms
   * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): set latency timer to 16ms
   * src/tap/cable/ft2232.c (send_and_receive): issue SEND_IMMEDIATE command
       when receive bytes were scheduled
   * src/bsdl/bsdl_bison.y, src/bsdl/bsdl.h, src/bsdl/bsdl_flex.l, src/bsdl/bsdl.c:
       push mode and debug through init tree to avoid error message from scanner
       in simple test mode.
   * src/bus/fjmem.c: merged branches/jmem to trunk
       -> added fjmem bus driver

2008-02-20  Arnim Laeuger  <arniml>

   * data/Makefile.am (nobase_dist_pkgdata_DATA): added bsdl/STD_1149_1_2001

2008-02-20  Kolja Waschk <kawk>

   Version 0.8 released.

2008-02-20  Kolja Waschk <kawk>

   * po/fr.po, po/sk.po, po/rw.po, POTFILES.in: Regenerated or updated

2008-02-19  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl_flex.l (bsdl_flex_set_bin_x), src/bsdl/bsdl.h,
     src/bsdl/bsdl_bison.y (Init_Text): properly support COMPLIANCE_PATTERNS
     -> fix for [ 1896382 ]

2008-02-18  Arnim Laeuger  <arniml>

   * src/bsdl/bsdl.c, src/bsdl/bsdl_flex.l, src/bsdl/bsdl_bison.y,
     src/bsdl/bsdl.h, src/bsdl/bsdl_sem.c: support quiet scanning of files
       in include.c
   * src/cmd/include.c (cmd_include_run): check and read file if it's BSDL
       syntax -> [ 1895936 ]
   * doc/UrJTAG.txt: add note about BSDL support in 'include'

2008-02-18  Kolja Waschk <kawk>

   * doc/UrJTAG.txt: How to use initbus (and ejtag/prototype bus driver)
       and some other smaller updates in the "commands" section. Also
       added note about unsupported spiflash* commands, and about now
       obsolete script command (see below)
   * Merged src/script.c into src/include.c. The command looks for the
       specified file in the repository if it's neither an absolute path
       nor begins with ./ or ../, otherwise it uses the filename as is.
       When called as "script", the command behaves as before but emits
       a warning that "include" should be used in future.

2008-02-17  Arnim Laeuger  <arniml>

   * configure.ac: check for pre-generated src/svf/svf_flex.c
       -> second part of [ 1895353 ]
   * src/bsdl/Makefile.am (noinst_HEADERS): bsdl_sysdep.h added for proper
       release packing -> first part of [ 1895353 ]

2008-02-17  Kolja Waschk <kawk>

   * doc/UrJTAG.txt: How to use USB cables. THANKS: some additions
   * include/Makefile.am: Add jim.h and jim/some_cpu.h headers for distr.

2008-02-16  Arnim Laeuger  <arniml>

   * src/tap/cable/ft2232.c (ft2232_flush): fix inconsistency of TDO caching
        in ft2232_flush()
   * THANKS: to the original SVF and BSDL parser programmers
   * src/tap/cable/ft2232.c (ft2232_generic_init, ft2232_jtagkey_init, ft2232_armusbocd_init):
        initialize mpsse frequency via ft2232_set_frequency()

2008-02-16  Kolja Waschk <kawk>

    * src/jtag.c, src/tap/chain.c, include/chain.h: Always flush immediately
        after each command when used interactively
    * src/cmd/scan.c, src/cmd/Makefile.am, src/cmd/cmd.c: Implemented basic
        boundary "scan" command to detect changes on input pins; tested with
        an (completely erased) Actel ProASIC3 A3P125
    * src/svf/svf.c: Small fix for computation of run_count from min_time
    * doc/UrJTAG.txt: Updated doc about building with FTD2XX in Cygwin
    * src/tap/cable.c, include/cable.h, src/tap/cable/*.c (all drivers):
        moved cable_set_frequency functionality from cable.c to the cable
        drivers, to fix [ 1836319 ] Delay loop calibration takes ages
    * src/tap/cable.c: Include ftdi-based cable drivers if either libftdi or
        FTDI's FTD2XX (CDM) drivers are present (--with-ftd2xx)
    * src/flash/Makefile.am, src/flash/jedec_exp.c, src/flash/detectflash.c,
        configure.ac: Experimental new code for flash detection, to be enabled
        during configuration with --enable-jedec-exp (disabled by default)
    * src/bus/s3c4510x.c: disable debug output (was enabled in 929..), do a
        chain_shift_data_registers before trying to read b0size (fixes the
        old problem of B0SIZE unknown, needed for proper flash detection)
    * include/register.h, src/tap/register.c, src/discovery.c: report if tdo
        seems to be stuck during detect_register_size (ie. "detect").

2008-02-14  Arnim Laeuger  <arniml>

    * src/tap/cable.c (cable_flush), src/tap/chain.c (chain_shift_data_registers_mode),
        include/cable.h, configure.ac: follow conservative flush strategy for transfers
        without output capture (if not disabled via configure --disable-conservative-flush)

2008-02-14  Kolja Waschk <kawk>

    * src/tap/chain.c: Enabled the new^2 implementation in tap_shift_register
        (which was implemented 2008-02-03 but not proven (now it is...))

2008-02-14  Jie Zhang  <jie.zhang@analog.com>

    * src/bus/bf537_stamp.c: New.
    * src/bus/bf548_ezkit.c: New.
    * src/bus/bf561_ezkit.c: New.
    * src/bus/buses.c (bus_drivers): Add bf537_stamp_bus,
        bf537_ezkit_bus, and bf561_ezkit_bus.
    * src/bus/buses.h: Declare bf537_stamp_bus, bf537_ezkit_bus,
        and bf561_ezkit_bus.
    * src/bus/Makefile.am (libbus_a_SOURCES): Add bf537_stamp.c,
        bf548_ezkit.c, and bf561_ezkit.c.
    * data/analog/bf533/STEPPINGS: Add stepping 4.
    * data/analog/bf537/bf537: New.
    * data/analog/bf537/STEPPINGS: New.
    * data/analog/bf549/bf549: New.
    * data/analog/bf549/STEPPINGS: New.
    * data/analog/bf561/bf561: New.
    * data/analog/bf561/STEPPINGS: New.
    * data/analog/PARTS: Add bf537, bf549, and bf561.
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Add
       analog/bf537/STEPPINGS, analog/bf537/bf537,
       analog/bf549/STEPPINGS, analog/bf549/bf549,
       and analog/bf561/STEPPINGS, analog/bf561/bf561.

2008-02-13  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c: implemented control of TRST
        second step of
        [ 1891845 ] Add support for TRST/SRST/LEDs to FT2232 cable driver

2008-02-12  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c: statically set GPIO high byte with product-specific values
        first step of
        [ 1891845 ] Add support for TRST/SRST/LEDs to FT2232 cable driver

2008-02-11  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl_bison.y (Store_Text): removed function Make_String()
        the QUOTED_STRING is directly copied to buffer_for_switch
    * src/bsdl/bsdl.h: memeber String_Val of parser_priv obseleted

2008-02-10  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_generic_init, ft2232_jtagkey_init) 
    (ft2232_armusbocd_init, ft2232_transfer_schedule): store low byte value and direction
        information in param structure to enable "Set Data Bits Low Byte" commands in
        non pod-specific functions.

2008-02-10  Kolja Waschk <kawk>

    * acinclude.m4, configure.ac: Use local copy of AC_PROG_SED macro (renamed
        to ACI_PROG_SED) maintain compatibility with older autoconf; fixes
        [1890192] - autogen.sh fails on AC_PROG_SED
    * include/cable.h, src/tap/cable/usbblaster.c, src/tap/cable/generic.c,
        src/tap/cable/generic.h, src/tap/cable/ft2232.c, src/tap/cable.c,
        doc/UrJTAG.txt: Extended cable_flush() to take one extra argument
        regarding the amount of items to flush (see UrJTAG.txt for doc),
    * cable.c: possible fix and optional more verbose output (#ifdef VERBOSE)
        for tracking down 1884952 Internal error (queue full)

2008-02-09  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_transfer_schedule): ensure max number of bytes for
        a single byte operation
    * src/svf/svf.c (svf_sxr): avoid output capture in case TDO is not specified for SDR

2008-02-07  Kolja Waschk <kawk>

    * src/jtag.c, doc/jtag.1: Fix dropthrough to caller if -n was given
        (fixes [1887179] reported by A.Dyer), add command line option "-i"
        to run interactive mode even after executing commands from files

2008-02-07  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_connect): check parport driver setting
      and set maxrecv accordingly
      (send_and_receive): fix problem with send suspend detection
    * src/tap/parport/ftdi.c (ftdi_mpsse_open): decreased latency timer
      (ftdi_flush_output): return error code from ftdi_write_data
    * src/tap/parport/ftd2xx.c (ftd2xx_mpsse_open): decreased latency timer

2008-02-05  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c: massive rewrite to support deferred transfers
      initial version with clean queue handling

2008-02-05  Kolja Waschk <kawk>

    * src/tap/cable.c: cable_queue_add_item didn't always correct q->next_free,
         and a memory leak in cable_defer_transfer was fixed [1884952].

2008-02-04  Arnim Laeuger  <arniml>

    * src/tap/cable/ft2232.c (ft2232_flush): rework flush implementation to benefit from
      queued deferred transfers

2008-02-04  Kolja Waschk <kawk>

    * configure.ac, src/tap/parport/xpcu_common.c, src/tap/parport_xpcu_pp.c,
        doc/UrJTAG.txt: Minor fixes regarding bug [1875234] "Can't compile 
        UrJTAG with libusb on Cygwin"
    * src/svf/svf.c: define SA_ONESHOT SA_RESETHAND, fixes bug [1875235]
        (On older Cygwin, SA_ONESHOT isn't known)

2008-02-03  Kolja Waschk <kawk>

    * src/flash/amd.c: Not only bus width but also device geometry affects
        the address shift ([1869650] Improve flash detection and support)
    * src/tap/tap.c, src/tap/chain.c: Split tap_shift_register into two
        halves, one that queues transfers, another that picks up the results.
        ([1832990] Speed improvements for USB cables) esp. for long chains

2008-02-02  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl.h, src/bsdl/bsdl_flex.l: convert filename to uppercase
    * src/bsdl/bsdl_sem.c (create_register): don't create a new register if it's already there
    * data/bsdl/STD_1149_1_2001: dummy file for 2001 standard added
    * src/cmd/print.c (cmd_print_run): accept longer data register name
    * include/data_register.h (MAXLEN_DATA_REGISTER): increased to 32 for some BSDL files
    * src/flash/amd.c (amdstatus): increase timeout count to address
      [ 1882111 ] Timeout in amdstatus() too small

2008-02-02  Kolja Waschk <kawk>

    * src/tap/cable.c: Automatically resize JTAG activity queue if necessary
    * doc/UrJTAG.txt: New section about current cable driver internals

2008-02-01  Arnim Laeuger  <arniml>

    * src/tap/parport/ftd2xx.c (ftd2xx_pre_connect): fix compiler warning
    * src/tap/cable/ft2232.c: cleanup
    (ft2232_usbcable_help): mention ftd2xx-mpsse in cable help

2008-02-01  Kolja Waschk <kawk>

    * include/cable.h, include/chain.h, src/tap/chain.c, src/tap/tap.c,
      src/tap/cable/wiggler.c, src/tap/cable/arcom.c, src/tap/cable/mpcbdm.c,
      src/tap/cable/usbblaster.c, src/tap/cable/generic.c,
      src/tap/cable/vision_ep9307.c, src/tap/cable/ea253.c,
      src/tap/cable/triton.c, src/tap/cable/jim.c, src/tap/cable/byteblaster.c,
      src/tap/cable/ei012.c, src/tap/cable/generic.h, src/tap/cable/ft2232.c,
      src/tap/cable/wiggler2.c, src/tap/cable/keithkoep.c,
      src/tap/cable/lattice.c, src/tap/cable/dlc5.c, src/tap/cable/xpc.c,
      src/tap/cable.c: New functions to queue "deferred" JTAG activity.
        New code in cable drivers to flush the activity queue, both generic
        (for parport-based and new drivers) and optimized implementations
        for FT2232-based cables (by Arnim Laeuger) and USB-Blaster (by me).
        Result is a vast speed improvement at least for FT2232; this
        implements [ 1832990 ] Speed improvements for USB cables

2008-01-30  Arnim Laeuger  <arniml>

    * src/tap/tap.c (tap_reset): set instructions of all parts to BYPASS, fix
      [ 1873260 ] Command 'reset' does not reset internal states
    * src/part/part.c (parts_set_instruction): catch NULL pointer

2008-01-25  Kolja Waschk <kawk>

    * include/jim.h, src/jim/tap.c, intel_28f800b3.c, Makefile.am,
      some_cpu.c: Code skeleton and alloc/free calls for actual parts
      connected to JIM's some_cpu

2008-01-24  Kolja Waschk <kawk>

    * tap/cable/ft2232.c, tap/parport/ftdi.c, tap/cable.c: added support
      for Amontec JTAGkey USB cable (submitted by Laurent Gauch - Amontec)

2008-01-22  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl_flex.l, src/bsdl/bsdl_bison.y,
      data/bsdl/STD_1149_1_1990, data/bsdl/STD_1149_1_1994:
      update header with link to source

2008-01-21  Kolja Waschk <kawk>

    * New JTAG declarations for MPC5241 (from kurobox.com, enh. 1869671)

2008-01-21  Arnim Laeuger  <arniml>

    * src/bsdl/*: use gettext for message strings, removed trailing whitespace

2008-01-20  Arnim Laeuger  <arniml>

    * src/bsdl/bsdl_bison.y, src/bsdl/bsdl_sem.c, src/bsdl/bsdl.h:
      support multiple port names in one port definition
    * src/bsdl/bsdl_bison.y, src/bsdl/bsdl_sem.c, src/bsdl/bsdl.h:
      handle vectored ports correctly, part 1 of fix for
      [ 1875737 ] Syntax errors/Port index warning parsing ATMEL BSDL files
    * src/bsdl/bsdl_bison.y, src/bsdl/bsdl_sem.c, src/bsdl/bsdl_flex.l:
      support OBSERVE_ONLY attribute in cell description (like input attribute)
      part 2 of fix for
      [ 1875737 ] Syntax errors/Port index warning parsing ATMEL BSDL files

2008-01-20  Kolja Waschk <kawk>
 
    * src/jim/some_cpu.c, src/jim/some_cpu.bsd: Added BSDL file for some_cpu
    * src/jim/some_cpu.c, src/jim/some_cpu.bsd, README.jim: JIM can now be
      accessed using the prototype bus driver and displays the given address,
      data and enable signals; example script in README.jim
    * src_jim/tap.c: Fixed TDI shift-in

2008-01-19  Kolja Waschk <kawk>

    * ChangeLog: whitespace cosmetics
    * Makefile.am, configure.ac, jim/tap.c, jim/Makefile.am, jim/README.jim,
      tap/cable/jim.c, tap/cable.c, tap/Makefile.am, jim/some_cpu.c, 
      include/jim.h, include/jim/some_cpu.h: JTAG target simulator "JIM"
      and a "jim" cable driver to "connect" to it; detection already works.

2008-01-18  Arnim Laeuger  <arniml>

    * configure.ac: restructured the test logic for bison error locations and
      the BSDL subsystem [ 1873515 ] BSDL part doesn't compile under Cygwin

2008-01-18  Kolja Waschk   <kawk>

    * Moved the code from libbrux/ subdirectory into appropriate locations in
      our src/ subdirectory (Enhancement 1873220):

      libbrux/cmd/help.c                -> src/cmd/help.c
      libbrux/cmd/quit.c                -> src/cmd/quit.c
      libbrux/cmd/cmd.c + src/cmd.c     -> src/cmd/cmd.c
      libbrux/cmd/cmd_detectflash.c     -> src/cmd/detectflash.c
      libbrux/flash + Makefile.am       -> src/flash/

    * Merged the header files from openwince "include" package, which were 
      previously moved in inclow/, into our final include/ directory, omitting
      all the files that aren't actually used by UrJTAG (Enhancement 1873220):

      common.h                          -> n/a (use bitmask.h!)
      openwince.h (asm/C detection)     -> n/a (use #ifdef __ASSEMBLY__)
      openwince.h (bitmasks)            -> bitmask.h
      brux/cmd.h + cmd.h                -> cmd.h
      brux/cfi.h + brux/flash.h+flash.h -> flash.h
      brux/bus.h                        -> bus_driver.h
      std/mic.h                         -> flash/mic.h
      device/flash/cfi.h                -> flash/cfi.h
      device/flash/intel.h              -> flash/intel.h
      arm/pxa2x0/mc.h                   -> src/bus/pxa2x0_mc.h

2008-01-17  Kolja Waschk   <kawk>

    * UrJTAG.txt: Updates regarding Cygwin ioperm package and readline library
    * src/jtag.c: Without readline library, informative output often
       was printed after prompt, not before
    * src/bus/s3c4510x.c: Address alignment on A0..Ax lines changes dynamically
       with bus width

2008-01-16  Arnim Laeuger  <arniml>

    * src/bus/prototype.c (prototype_bus_new): properly calculate the address
       shift based on the current bus width

2008-01-15  Arnim Laeuger  <arniml>

    * src/bus/prototype.c (prototype_bus_new): parameter amode added

2008-01-11  Arnim Laeuger  <arniml>

    * src/bus/prototype.c: added

2008-01-09  Arnim Laeuger  <arniml>

    * src/bus/h7202.c (h7202_bus_new): API extension

2008-01-08  Arnim Laeuger  <arniml>

    * src/bus/prototype.c: new prototype bus driver (Detrick Martin)
    * src/bus/zefant-xs3.c (zefant_xs3_bus_new): API extension: cmd_params for new_bus()
    * src/bus/sharc21065l.c (sharc_21065L_bus_new): API extension
    * src/bus/jopcyc.c (jopcyc_bus_new): API extension
    * src/bus/tx4925.c (tx4925_bus_new): API extension
    * src/bus/slsup3.c (slsup3_bus_new): API extension
    * src/bus/sh7751r.c (sh7751r_bus_new): API extension
    * src/bus/sh7750r.c (sh7750r_bus_new): API extension
    * src/bus/sh7727.c (sh7727_bus_new): API extension
    * src/bus/s3c4510x.c (s3c4510_bus_new): API extension
    * src/bus/sa1110.c (sa1110_bus_new): API extension
    * src/bus/pxa2x0.c (pxa2x0_bus_new): API extension
    (pxa27x_bus_new): API extension
    * src/bus/ppc405ep.c (ppc405ep_bus_new): API extension
    * src/bus/ppc440gx_ebc8.c (ppc440gx_ebc8_bus_new): API extension
    * src/bus/mpc5200.c (mpc5200_bus_new): API extension
    * src/bus/mpc824x.c (mpc824x_bus_new): API extension
    * src/bus/lh7a400.c (lh7a400_bus_new): API extension
    * src/bus/ixp425.c (ixp425_bus_new): API extension
    * src/bus/bf533_ezkit.c (bf533_ezkit_bus_new): API extension
    * src/bus/bf533_stamp.c (bf533_stamp_bus_new): API extension
    * src/bus/ejtag.c (ejtag_bus_new): API extension
    * src/bus/bcm1250.c (bcm1250_bus_new): API extension
    * src/bus/au1500.c (au1500_bus_new): API extension
    * src/bus/Makefile.am (libbus_a_SOURCES): added prototype.c
    * src/bus/buses.c: added prototype_bus (Detrick Martin)
    * src/cmd/initbus.c (cmd_initbus_run): hand down command parameters to bus_new()

2008-01-06  Arnim Laeuger  <arniml>

    * src/tap/cable/wiggler.c (wiggler_connect): enable bit<->pin mapping from parameter string
    * src/tap/cable/wiggler.c: make std_wgl_map static

2007-12-31  Arnim Laeuger <arniml>

    * src/bsdl/Makefile.am (noinst_HEADERS): move headers to noinst_HEADERS
    * include/Makefile.am (noinst_HEADERS): add bsdl.h to list of headers
    * src/bsdl/Makefile.am (libbsdl_a_SOURCES): add bsdl.h to list of sources

2007-12-30  Arnim Laeuger  <arniml>

    * src/detect.c (detect_parts): call bsdl_scan_file() if configure result indicates inclusion of BSDL subsystem
    * src/cmd/cmd.c: include cmd_svf and cmd_bsdl based on configure result
    * src/Makefile.am (jtag_DEPENDENCIES): link to libsvf.a and libbsdl.a based on configure result
    * src/cmd/Makefile.am (libcmd_a_SOURCES): compile svf.c and bsdl.c based on configure result
    * configure.ac: added --enable-svf and --enable-bsdl
    * README.svf: contents moved to doc/UrJTAG.txt, file deleted
    * data/Makefile.am (nobase_dist_pkgdata_DATA): fixed merge results
    * many files: integration of BSDL parser
    * data/xilinx/PARTS: added xc2v80-fg256,xc2v250-fg256,xc2v1000-fg256
      '[ 1859678 ] jtag support for xilinx xc2v80-fg256, xc2v250, xc2v1000 FPGA' (Alexander Didebulidze)
    * data/altera/ep1c12/ep1c12: CLAMP and HIGHZ instructions activated

2007-12-29  Arnim Laeuger  <arniml>

    * data/altera/PARTS: ep2c8 added
      '[ 1859032 ] jtag support for Altera EP2C8' (Hartley Sweeten)
    * data/Makefile.am (nobase_dist_pkgdata_DATA): ep2c8 files added
      '[ 1859032 ] jtag support for Altera EP2C8' (Hartley Sweeten)

2007-12-27  Arnim Laeuger  <arniml>

    * src/cmd/print.c (cmd_print_run): applied patch:
      '[ 1858985 ] possible fix to print the signal aliases' (Hartley Sweeten)

2007-12-26  Kolja Waschk <kawk>

    * tap/cable/vision_ep9307.c, tap/cable.c, tap/Makefile.am, configure.ac:
      Integrated first modern (single-file w/o parport) cable driver
      (1858709: EP9307 target specific cable driver, from Hartley Sweeten)

2007-12-23  Kolja Waschk <kawk>

    Version 0.7 released.

2007-12-23  Kolja Waschk <kawk>

    * NEWS: Summarized changes since fork from openwince CVS.
    * configure.ac: Updated copyright information.

2007-12-19  Kolja Waschk <kawk>

    * tap/cable/*, tap/parport/xpcu_common.c, cmd/part.c, cmd/cable.c,
      bus/pxa2x0.c, jtag.c: fix prototypes, include stdlib (thx Hartley)
    * src/cmd/print.c: cast uint64_t to (long long unsigned) for %llu

2007-12-18  Kolja Waschk <kawk

    * configure.ac, src/tap/parport/*.c: include stropts.h only if
      it's available (needed for uClinux and others; thanks Hartley)
    * doc/UrJTAG.txt, src/jtag.txt: Cosmetics, Copyright
    * src/tap/Makefile.am: include cable driver for USB Blaster and
      FT2232-based cables if any of libftdi or ftd2xx is present

2007-12-16  Kolja Waschk <kawk>

    * jtag.c: Don't abort on invalid command line options
    * configure.ac: Reorganized the libusb/libftdi detection.
    * data/MANUFACTURERS: Change 11110000111 code to point to
      "ARM" instead of Sharp to stop misdetection of other 
      (non-Sharp) chips which use ARM cores. See Bug 1837991.
    * libbrux/amd/amd_flash.c: Fix for [1851777] segfault when
      running detectflash
    * include/setdevice.h, include/Makefile.am, src/detect.c,
      src/cmd/setdevice.c, src/cmd/cmd.c, src/cmd/Makefile.am,
      src/jtag.c, doc/UrJTAG.txt, libbrux/flash/amd_flash.c,
      libbrux/setdevice.h, libbrux/Makefile.am: Removed code for
      "setdevice" command and added some documentation how to get
      along without it.

2007-12-15  Kolja Waschk <kawk>

    * configure.ac, tap/parport/parport.c, tap/parport/ppi.c,
      tap/parport/direct.c: Adapted openwince patch by Daniel
      O'Connor, [1235990] Add support for FreeBSD's ppi interface
      (closes our copy of that tracker item, 1829585)
    * src/cmd/cable.c, include/cable.h, src/tap/cable/*.c: Add
      help function to every cable; temporarily allow old syntax
      for cable command when used for parallel port cables
    * data/intel/pxa270/STEPPINGS, src/bus/pxa2x0.c: Integrated two
      patches from F. Rysanek, adding C5 stepping of PXA270 and a few
      few functions that resolve the PXA270 address space into the 6 
      default nCS windows per 64MB. (Enhancement req. 1849493)
    * cmd/part.c, cmd/setdevice.c, cmd/instruction.c, cmd/svf.c,
      cmd/dr.c, cmd/initbus.c, cmd/test.c, part/part.c, libbrux/cmd/cmd.c,
      libbrux/cmd/help.c: Make command string comparisons case-insensitive
      (fixes 1845811 "Case sensitivity in shell")

2007-12-14  Kolja Waschk <kawk>

    * README, doc/UrJTAG.txt: pointer to http://www.urjtag.org
    * configure.ac, src/Makefile.am, src/tap/parport/ftd2xx.c:
      Changes to allow linking against FTDI FTD2XX in Cygwin, initial
      support for --with-(libftdi|libusb|ftd2xx) configure options

2007-12-13  Kolja Waschk <kawk>

    * configure.ac: Run "svn info" with "-R" to get latest revision

2007-12-12  Arnim Laeuger  <arniml>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): add missing '\', fixes
      [ 1849477 ] Missing \ in data/Makefile.ac

2007-12-09  Kolja Waschk <kawk>

    * configure.ac: Improve detection of flex version, get Subversion
      revision from 1. svn info, or 2. ChangeLog, or 3. Revision tag, 
      auto-detect whether -lrt is needed
    * src/svf/svf_flex.l: derive HAVE_MODERN_FLEX internally
    * src/jtag.c: show version from config.h, compile without readline
    * src/version.awk: not needed; SVN info now available in config.h
    * src/Makefile.am: removed -lrt link and version.h target
    * doc/UrJTAG.txt: Added info about libraries, ioperm, "setdevice" cmd

2007-12-08  Kolja Waschk <kawk>

    * include/Makefile.am, src/Makefile.am, src/svf/Makefile.am
      configure.ac, libbrux/configure.ac: Mention more files to
      ensure that dist tar.gz is complete; prevent installation
      of inclow/ headers during "make install" on top level

2007-12-07  Kolja Waschk <kawk>

    * README: All info moved to doc/UrJTAG.txt
    * README_21065L: Merged into doc/UrJTAG.txt
    * doc/UrJTAG.xml, UrJTAG.txt: converted DocBook to asciidoc
    * COPYING: GPLv2 added
    * AUTHORS: Updated
    * TODO: removed (we're using SourceForge trackers)

2007-12-06  Kolja Waschk <kawk>

    * ChangeLog: Import SVN commit messages from past month 
    * THANKS: Added all missing names (that I know of) of the people who
      contributed the patches that have been integrated in the past weeks

2007-12-05  Arnim Laeuger  <arniml>

    * src/jtag.c (main): Print build number based on version.h.
    * src/Makefile.am (version.h): Added rules to generate version.h from ChangeLog's revision tag.

2007-12-04 07:06  Kolja Waschk <kawk>

    * include/cable.h, include/parport.h, src/cmd/cable.c,
      src/tap/cable/generic.c, src/tap/cable/generic.h,
      src/tap/parport/direct.c, src/tap/parport/ftd2xx.c,
      src/tap/parport/ftdi.c, src/tap/parport/ppdev.c,
      src/tap/parport/xpcu_pp.c: [1839040] Make "cable" command less
      parport-centric. Changes "cable" command syntax!

2007-12-03 12:18  Kolja Waschk <kawk>

    * ChangeLog: added "Revision" keyword

2007-12-02 17:56  Kolja Waschk <kawk>

    * trunk/include, Makefile.am, configure.ac, inclow: openwince
      "include" package moved into "jtag" (now named "inclow")

2007-11-30 07:06  Kolja Waschk <kawk>

    * README: update fixes [1837364] Install instructions wrong

2007-11-28 22:42  Kolja Waschk <kawk>

    * doc/bsdl2jtag.1, doc/jtag.1: Imported man pages from
      openwince-jtag Debian package (w/permission from p2@debian)

2007-11-28 20:20  Kolja Waschk <kawk>

    * src/jtag.c: [ 1838018 ] "Forbid" to run JTAG tools with suid root

2007-11-28 19:43  Kolja Waschk <kawk>

    * src/jtag.c: [ 1839756 ] (openwince [972637]) add command line
      options to jtag

2007-11-28 00:13  Kolja Waschk <kawk>

    * doc/UrJTAG.xml: Integrated text from Wiki pages from Ralf,
      Incorporated README into UrJTAG.xml

2007-11-27 22:06  Kolja Waschk <kawk>

    * doc/UrJTAG.xml,doc-layout.txt: renamed top-level DocBook XML file

2007-11-27 22:05  Kolja Waschk <kawk>

    * doc/doc-layout.txt, doc/internals.xml: Include license text(s)
      and internals.xml

2007-11-27 21:01  Kolja Waschk <kawk>

    * doc/gpl.dbk, doc/lgpl.dbk: Use version 2, not 3

2007-11-27 20:56  Kolja Waschk <kawk>

    * doc/fdl.xml, doc/gpl.dbk, doc/lgpl.dbk: Added license texts
      (docbook) from www.gnu.org

2007-11-26 14:01  Kolja Waschk <kawk>

    * src/cmd/shell.c: Clean up fix for [1837985] "shell" command
      causes segfault

2007-11-25 22:49  Kolja Waschk <kawk>

    * doc/doc-layout.txt: Converted to DocBook-XSL

2007-11-25 14:45  Kolja Waschk <kawk>

    * doc/doc-layout.txt: Layout draft for new, comprehensive
      documentation...

2007-11-25 13:08  Kolja Waschk <kawk>

    * src/cmd/shell.c: Allow arbitrary number of arguments for "shell"
      command (fix for [1837985] "shell" command causes segfault)

2007-11-25 00:02  Arnim Laeuger  <arniml>

    * src/tap/parport/ftd2xx.c, src/tap/parport/ftdi.c: fix for '[
      1836616 ] Segfault/Memory corruption if USB device inaccessible'

2007-11-23 19:52  Arnim Laeuger  <arniml>

    * configure.ac, src/svf/Makefile.am, src/svf/svf_bison.y,
      src/svf/svf_flex.l: make SVF parser/lexer backwards compatible to
      pre-2.5.31 flex
      for those the error location feature is skipped in svf_flex.l

2007-11-20 20:35  Arnim Laeuger  <arniml>

    * configure.ac, src/cmd/cable.c, src/tap/Makefile.am,
      src/tap/cable/ft2232.c, src/tap/parport.c,
      src/tap/parport/ftd2xx.c, src/tap/parport/ftdi.c: ftd2xx parport
      driver added

2007-11-18 13:38  Arnim Laeuger  <arniml>

    * configure.ac: add some messages to show configuration summary, to
      be extended

2007-11-17 21:39  Arnim Laeuger  <arniml>

    * src/cmd/cable.c: report cable usage for USB & FTDI based cables
      only in case respective support is included

2007-11-16 17:50  Arnim Laeuger  <arniml>

    * include/cable.h, include/chain.h, src/cmd/cable.c, src/svf/svf.c,
      src/tap/Makefile.am, src/tap/cable.c, src/tap/cable/arcom.c,
      src/tap/cable/byteblaster.c, src/tap/cable/dlc5.c,
      src/tap/cable/ea253.c, src/tap/cable/ei012.c,
      src/tap/cable/ft2232.c, src/tap/cable/generic.c,
      src/tap/cable/keithkoep.c, src/tap/cable/lattice.c,
      src/tap/cable/mpcbdm.c, src/tap/cable/triton.c,
      src/tap/cable/usbblaster.c, src/tap/cable/wiggler.c,
      src/tap/cable/wiggler2.c, src/tap/cable/xpc.c, src/tap/chain.c,
      src/tap/parport.c, src/tap/parport/ftdi.c, src/tap/tap.c: merged
      changes from /branches/ft2232_eval@770
      this is the initial stable version of the ft2232 cable driver

2007-11-13 23:09  Arnim Laeuger  <arniml>

    * src/flash.c: removed obsolete declaration of amd_detect()

2007-11-13 08:07  Kolja Waschk <kawk>

    * configure.ac, src/tap/Makefile.am, src/tap/cable.c: Fix [ 1828368 ]
      Compilation fails without libusb/libftdi

2007-11-10 17:17  Kolja Waschk <kawk>

    * data/Makefile.am, data/lattice/PARTS,
      data/lattice/lc4128c-tqfp100,
      data/lattice/lc4128c-tqfp100/STEPPINGS,
      data/lattice/lc4128c-tqfp100/lc4128c-tqfp100: [ 1105256 ] jtag
      descriptor for Lattice LC4032V-TQFP100

2007-11-10 16:22  Arnim Laeuger  <arniml>

    * README.svf: remove links to openwince

2007-11-10 01:15  Arnim Laeuger  <arniml>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/zefant-xs3.c: added Zefant-XS3 bus

2007-11-10 00:31  Arnim Laeuger  <arniml>

    * data/xilinx/xc3s1000/fg320, data/xilinx/xc3s1000/fg456,
      data/xilinx/xc3s1000/fg676, data/xilinx/xc3s1000/ft256,
      data/xilinx/xc3s1000/xc3s1000: xc3s1000 kw

2007-11-10 00:15  Arnim Laeuger  <arniml>

    * data/Makefile.am, data/xilinx/xc3s1000/STEPPINGS,
      data/xilinx/xc3s1000/fg320, data/xilinx/xc3s1000/fg456,
      data/xilinx/xc3s1000/fg676, data/xilinx/xc3s1000/ft256,
      data/xilinx/xc3s1000/xc3s1000,
      data/xilinx/xc3s1000/xc3s1000_fg320,
      data/xilinx/xc3s1000/xc3s1000_fg456,
      data/xilinx/xc3s1000/xc3s1000_fg676,
      data/xilinx/xc3s1000/xc3s1000_ft256,
      data/xilinx/xc3s1000/xc3s1000l,
      data/xilinx/xc3s1000/xc3s1000l_fg320,
      data/xilinx/xc3s1000/xc3s1000l_fg456,
      data/xilinx/xc3s1000/xc3s1000l_fg676,
      data/xilinx/xc3s1000/xc3s1000l_ft256: unification xc3s1000

2007-11-09 22:44  Arnim Laeuger  <arniml>

    * src/cmd/bit.c: fixed [ 1828672 ] cmd/bit.c broken

2007-11-08 09:44  Kolja Waschk <kawk>

    * configure.ac, data/Makefile.am, data/xilinx/PARTS,
      data/xilinx/xc2c256-vq100, data/xilinx/xc2c256-vq100/STEPPINGS,
      data/xilinx/xc2c256-vq100/xc2c256-vq100,
      data/xilinx/xc2c64a-vq44, data/xilinx/xc2c64a-vq44/STEPPINGS,
      data/xilinx/xc2c64a-vq44/xc2c64a-vq44, include/Makefile.am,
      include/cable.h, include/xpcu.h, src/cmd/cable.c,
      src/part/data_register.c, src/tap/Makefile.am, src/tap/cable.c,
      src/tap/cable/arcom.c, src/tap/cable/byteblaster.c,
      src/tap/cable/dlc5.c, src/tap/cable/ea253.c,
      src/tap/cable/ei012.c, src/tap/cable/generic.c,
      src/tap/cable/generic.h, src/tap/cable/keithkoep.c,
      src/tap/cable/lattice.c, src/tap/cable/mpcbdm.c,
      src/tap/cable/triton.c, src/tap/cable/usbblaster.c,
      src/tap/cable/wiggler.c, src/tap/cable/wiggler2.c,
      src/tap/cable/xpc.c, src/tap/parport.c, src/tap/parport/ftdi.c,
      src/tap/parport/xpcu_common.c, src/tap/parport/xpcu_pp.c,
      src/tap/tap.c: [ 1479632, 1649637 ] Drivers for Altera USB
      Blaster and Xilinx Platform Cable USB

2007-11-08 09:13  Kolja Waschk <kawk>

    * include/Makefile.am, README, README_21065L, THANKS, 
      data/Makefile.am, data/analog/PARTS, data/analog/sharc21065l,
      data/analog/sharc21065l/STEPPINGS,
      data/analog/sharc21065l/sharc21065l, include/setdevice.h,
      libbrux/Makefile.am, libbrux/flash/amd_flash.c,
      libbrux/flash/detectflash.c, libbrux/setdevice.h,
      src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/sharc21065l.c, src/cmd/Makefile.am, src/cmd/cmd.c,
      src/cmd/setdevice.c, src/detect.c, src/flash.c, src/jtag.c: 
      [ 1605981 ] JTAG Support for ADSP-21065L Processor (with
      modifications) (Girish G Pai, Lesly A. M, Tony K Nadackal, Shaju Abraham)

2007-11-08 07:33  Kolja Waschk <kawk>

    * data/MANUFACTURERS, data/Makefile.am, data/admtek,
      data/admtek/adm5120, data/admtek/adm5120/adm5120, data/atheros,
      data/atheros/ar2312, data/atheros/ar2312/ar2312, data/brecis,
      data/brecis/PARTS, data/brecis/msp2006,
      data/brecis/msp2006/STEPPINGS, data/brecis/msp2006/msp2006,
      data/hitachi/PARTS, data/hitachi/ar7300,
      data/hitachi/ar7300/STEPPINGS, data/hitachi/ar7300/ar7300,
      data/lexra, data/lexra/PARTS, data/lexra/lx5280,
      data/lexra/lx5280/STEPPINGS, data/lexra/lx5280/lx5280,
      doc/README.ejtag: [ 1429825 ] EJTAG driver (new data files) (Oleg)

2007-11-08 07:11  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/ejtag.c, src/tap/parport/ppdev.c: [ 1429825 ] EJTAG
      driver (partial patch - only the bus driver for now) (Oleg)

2007-11-07 23:17  Arnim Laeuger  <arniml>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/h7202.c: [ 1585617 ] support for the Magnachip h7202 cpu

2007-11-07 22:43  Arnim Laeuger  <arniml>

    * README.svf: update README.svf

2007-11-07 22:21  Arnim Laeuger  <arniml>

    * src/cmd/debug.c, src/cmd/eraseflash.c, src/cmd/peekpoke.c,
      src/cmd/script.c, src/cmd/shell.c, src/cmd/signal.c,
      src/cmd/test.c, src/detect.c, src/jtag.c, src/part/signal.c,
      src/readmem.c, src/svf/svf_bison.y, src/svf/svf_flex.l,
      src/writemem.c: get rid of (most) compiler warnings

2007-11-07 09:56  Kolja Waschk <kawk>

    * include/bssignal.h, include/jtag.h, include/part.h, src/jtag.c:
      Remaining diffs from gumstix repository: Add debug, test and
      shell command, aliases for parts, small fixes.

2007-11-07 09:44  Kolja Waschk <kawk>

    * src/bsdl2jtag.c, src/bus/ppc440gx_ebc8.c, src/cmd/Makefile.am,
      src/cmd/cmd.c, src/cmd/debug.c, src/cmd/part.c, src/cmd/print.c,
      src/cmd/script.c, src/cmd/shell.c, src/cmd/signal.c,
      src/cmd/test.c, src/detect.c, src/part/part.c, src/part/signal.c:
      Remaining diffs from gumstix repository: Add debug, test and
      shell command, aliases for parts, small fixes.

2007-11-07 09:09  Kolja Waschk <kawk>

    * doc/howto_add_support_for_more_flash.txt: [ 1460563 ] How to add
      Support more Flash chip???

2007-11-07 09:07  Kolja Waschk <kawk>

    * src/writemem.c: [ 1249554 ] Writemem command to write to SRAM
      (compile fix)

2007-11-07 09:04  Kolja Waschk <kawk>

    * src/svf/svf_flex.l: [ 1194137 ] better SVF diagnostics (compile
      fix)

2007-11-07 09:03  Kolja Waschk <kawk>

    * src/bus/ppc405ep.c, src/bus/Makefile.am: The 405ep support patch
      _still_ wasn't completely integrated.

2007-11-07 08:55  Kolja Waschk <kawk>

    * Makefile.am: Remove additional lines left over from unsuccessful
      patch before.

2007-11-07 08:47  Kolja Waschk <kawk>

    * data/Makefile.am, data/xilinx/PARTS, data/xilinx/xc2s300e,
      data/xilinx/xc2s300e/STEPPINGS, data/xilinx/xc2s300e/fg456,
      data/xilinx/xc2s300e/ft256, data/xilinx/xc2s300e/pq208,
      data/xilinx/xc2s300e/xc2s300e: [ 1377859 ] Device description
      files for Xilinx XC2S300E (Spartan-IIE) (Arnim Laeuger)

2007-11-07 08:41  Kolja Waschk <kawk>

    * data/Makefile.am: Added Xilinx parts XC3S*

2007-11-07 08:31  Kolja Waschk <kawk>

    * data/Makefile.am: Added Atmel AT91SAM7S files to Makefile.am

2007-11-07 08:16  Kolja Waschk <kawk>

    * data/xilinx/PARTS, data/xilinx/xc18v04pc44,
      data/xilinx/xc18v04pc44/STEPPINGS,
      data/xilinx/xc18v04pc44/xc18v04pc44, data/xilinx/xc2s200e-pq208,
      data/xilinx/xc2s200e-pq208/STEPPINGS,
      data/xilinx/xc2s200e-pq208/xc2s200e-pq208, data/xilinx/xc3s1000,
      data/xilinx/xc3s1000/STEPPINGS, data/xilinx/xc3s1000/xc3s1000,
      data/xilinx/xc3s1000/xc3s1000_fg320,
      data/xilinx/xc3s1000/xc3s1000_fg456,
      data/xilinx/xc3s1000/xc3s1000_fg676,
      data/xilinx/xc3s1000/xc3s1000_ft256,
      data/xilinx/xc3s1000/xc3s1000l,
      data/xilinx/xc3s1000/xc3s1000l_fg320,
      data/xilinx/xc3s1000/xc3s1000l_fg456,
      data/xilinx/xc3s1000/xc3s1000l_fg676,
      data/xilinx/xc3s1000/xc3s1000l_ft256, data/xilinx/xc3s100e_die,
      data/xilinx/xc3s100e_die/STEPPINGS,
      data/xilinx/xc3s100e_die/xc3s100e_die,
      data/xilinx/xc3s100e_die/xc3s100e_pq208,
      data/xilinx/xc3s100e_die/xc3s100e_tq144,
      data/xilinx/xc3s100e_die/xc3s100e_vq100, data/xilinx/xc3s1500,
      data/xilinx/xc3s1500/STEPPINGS, data/xilinx/xc3s1500/xc3s1500,
      data/xilinx/xc3s1500/xc3s1500_fg320,
      data/xilinx/xc3s1500/xc3s1500_fg456,
      data/xilinx/xc3s1500/xc3s1500_fg676,
      data/xilinx/xc3s1500/xc3s1500l,
      data/xilinx/xc3s1500/xc3s1500l_fg320,
      data/xilinx/xc3s1500/xc3s1500l_fg456,
      data/xilinx/xc3s1500/xc3s1500l_fg676, data/xilinx/xc3s200,
      data/xilinx/xc3s200/STEPPINGS, data/xilinx/xc3s200/xc3s200,
      data/xilinx/xc3s200/xc3s200_ft256,
      data/xilinx/xc3s200/xc3s200_pq208,
      data/xilinx/xc3s200/xc3s200_tq144,
      data/xilinx/xc3s200/xc3s200_vq100, data/xilinx/xc3s2000,
      data/xilinx/xc3s2000/STEPPINGS, data/xilinx/xc3s2000/xc3s2000,
      data/xilinx/xc3s2000/xc3s2000_fg456,
      data/xilinx/xc3s2000/xc3s2000_fg676,
      data/xilinx/xc3s2000/xc3s2000_fg900,
      data/xilinx/xc3s2000/xc3s2000l,
      data/xilinx/xc3s2000/xc3s2000l_fg676,
      data/xilinx/xc3s2000/xc3s2000l_fg900, data/xilinx/xc3s400,
      data/xilinx/xc3s400/STEPPINGS, data/xilinx/xc3s400/xc3s400,
      data/xilinx/xc3s400/xc3s400_fg320,
      data/xilinx/xc3s400/xc3s400_fg456,
      data/xilinx/xc3s400/xc3s400_ft256,
      data/xilinx/xc3s400/xc3s400_pq208,
      data/xilinx/xc3s400/xc3s400_tq144, data/xilinx/xc3s4000,
      data/xilinx/xc3s4000/STEPPINGS, data/xilinx/xc3s4000/xc3s4000,
      data/xilinx/xc3s4000/xc3s4000_fg1156,
      data/xilinx/xc3s4000/xc3s4000_fg676,
      data/xilinx/xc3s4000/xc3s4000_fg900,
      data/xilinx/xc3s4000/xc3s4000l,
      data/xilinx/xc3s4000/xc3s4000l_fg1156,
      data/xilinx/xc3s4000/xc3s4000l_fg900, data/xilinx/xc3s50,
      data/xilinx/xc3s50/STEPPINGS, data/xilinx/xc3s50/xc3s50,
      data/xilinx/xc3s50/xc3s50_cp132, data/xilinx/xc3s50/xc3s50_pq208,
      data/xilinx/xc3s50/xc3s50_tq144, data/xilinx/xc3s50/xc3s50_vq100,
      data/xilinx/xc3s5000, data/xilinx/xc3s5000/STEPPINGS,
      data/xilinx/xc3s5000/xc3s5000,
      data/xilinx/xc3s5000/xc3s5000_fg1156,
      data/xilinx/xc3s5000/xc3s5000_fg900, data/xilinx/xc3s500e_fg320,
      data/xilinx/xc3s500e_fg320/STEPPINGS,
      data/xilinx/xc3s500e_fg320/xc3s500e_fg320,
      data/xilinx/xc3s500e_fg320/xc3s500e_ft256,
      data/xilinx/xc3s500e_fg320/xc3s500e_pq208,
      data/xilinx/xc9572xl_vq44, data/xilinx/xc9572xl_vq44/STEPPINGS,
      data/xilinx/xc9572xl_vq44/xc9572xl_vq44, data/xilinx/xcf04s,
      data/xilinx/xcf04s/STEPPINGS, data/xilinx/xcf04s/xcf04s: Added
      Xilinx XC3S* parts and others from gumstix repository

2007-11-07 08:10  Kolja Waschk <kawk>

    * data/atmel/PARTS, data/atmel/at91sam7s256,
      data/atmel/at91sam7s256/STEPPINGS,
      data/atmel/at91sam7s256/at91sam7s_tq48v0,
      data/atmel/at91sam7s256/at91sam7s_tq64v0: Added AT91SAM7S256 data
      from gumstix repository

2007-11-06 21:39  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/au1500.c, src/bus/bcm1250.c,
      src/bus/buses.c, src/bus/buses.h, src/bus/jopcyc.c,
      src/bus/lh7a400.c, src/bus/mpc5200.c, src/bus/ppc440gx_ebc8.c,
      src/bus/slsup3.c, src/bus/tx4925.c: some more fixes, eg. ppc405
      support patch still wasn't completely applied

2007-11-06 20:56  Kolja Waschk <kawk>

    * data/ibm/PARTS: [ 1173994 ] IBM PPC405EP support (PARTS file
      wasn't updated when I applied the patch)

2007-11-06 20:53  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/jopcyc.c: [ 1281749 ] Bus driver for JOP.design Cyclone
      boards (jopcyc+serial patch) (Arnim Laeuger)

2007-11-06 20:49  Kolja Waschk <kawk>

    * data/Makefile.am, data/altera/PARTS, data/altera/ep1c12,
      data/altera/ep1c12/STEPPINGS, data/altera/ep1c12/ep1c12,
      data/altera/ep1c12/f256, data/altera/ep1c12/f324,
      data/altera/ep1c12/q240, data/altera/epm3064a,
      data/altera/epm3064a/STEPPINGS, data/altera/epm3064a/epm3064a,
      data/altera/epm3064a/l44, data/altera/epm3064a/t100,
      data/altera/epm3064a/t44: [ 1281673 ] Device description files
      for Altera EP1C12 and EPM3064A (Arnim Laeuger)

2007-11-06 20:32  Kolja Waschk <kawk>

    * include/jtag.h, src/Makefile.am, src/cmd/Makefile.am,
      src/cmd/cmd.c, src/cmd/writemem.c, src/writemem.c: [ 1249554 ]
      Writemem command to write to SRAM (Kent Palmkvist)

2007-11-06 20:29  Kolja Waschk <kawk>

    * data/Makefile.am, data/altera/PARTS, data/altera/ep1c6q240,
      data/altera/ep1c6q240/STEPPINGS, data/altera/ep1c6q240/ep1c6q240,
      src/bus/Makefile.am, src/bus/buses.c, src/bus/buses.h,
      src/bus/slsup3.c: [ 1249552 ] New bus type SLS UP3 (Altera FPGA
      board) (Kent Palmkvist)

2007-11-06 20:26  Kolja Waschk <kawk>

    * src/tap/cable.c, src/tap/cable/wiggler.c: [ 1236272 ] Add support
      for Analog Devices Blackfin Processor: IGLOO.patch (Robin Getz)

2007-11-06 20:24  Kolja Waschk <kawk>

    * src/bus/Makefile.am, src/bus/bf533_ezkit.c,
      src/bus/bf533_stamp.c, src/bus/buses.c, src/bus/buses.h: [
      1236272 ] Add support for Analog Devices Blackfin Processor:
      STAMP_EZKIT.patch (Robin Getz)

2007-11-06 20:20  Kolja Waschk <kawk>

    * data/MANUFACTURERS, data/Makefile.am, data/analog,
      data/analog/PARTS, data/analog/bf533,
      data/analog/bf533/STEPPINGS, data/analog/bf533/bf533: [ 1236272 ]
      Add support for Analog Devices Blackfin Processor: Blackfin.patch

2007-11-06 20:15  Kolja Waschk <kawk>

    * src/tap/parport/ppdev.c: [ 1194141 ] better diagnostics for
      opening ppdev device (Hein Roehrig)

2007-11-06 20:14  Kolja Waschk <kawk>

    * src/svf/svf.c, src/svf/svf.h, src/svf/svf_bison.y,
      src/svf/svf_flex.l: [ 1194137 ] better SVF diagnostics (+ manual
      integration with previous jtag-svf-vec-hexa fix) (Hein Roehrig)

2007-11-06 19:59  Kolja Waschk <kawk>

    * src/svf/svf.c: [ 1194140 ] SVF better RUNTEST timing (Hein Roehrig)

2007-11-06 19:53  Kolja Waschk <kawk>

    * include/Makefile.am, include/cable.h, include/fclock.h, src/Makefile.am,
      src/cmd/frequency.c, src/lib/Makefile.am, src/lib/fclock.c,
      src/tap/cable.c: [ 1194130 ] busy-loop waiting (breaks compilation of
      svf.c... wait for next two patches) (Hein Roehrig)

2007-11-06 19:34  Kolja Waschk <kawk>

    * src/tap/register.c: [ 1174000 ] Miscellanous fixes (omitting the
      speedup for flash.c, obsoleted by an earlier patch) (Wojtek Kaniewski)

2007-11-06 19:31  Kolja Waschk <kawk>

    * src/bsdl2jtag.c: [ 1173997 ] bsdl2jtag bidir support (Wojtek$ Kaniewski)

2007-11-06 19:29  Kolja Waschk <kawk>

    * data/Makefile.am, data/ibm/ppc405ep, data/ibm/ppc405ep/STEPPINGS,
      data/ibm/ppc405ep/ppc405ep: [ 1173994 ] IBM PPC405EP support (Wojtek
      Kaniewski)

2007-11-06 19:25  Kolja Waschk <kawk>

    * src/bsdl2jtag.c: [ 1169349 ] better error codes for bsdl2jtag (Hein
      Roehrig)

2007-11-06 19:23  Kolja Waschk <kawk>

    * data/sharp/lh7a400/lh7a400: [ 1164111 ] FIX of the lh7a400 port (Marko
      Roessler)

2007-11-06 19:22  Kolja Waschk <kawk>

    * data/Makefile.am, data/intel/PARTS, data/intel/pxa270,
      data/intel/pxa270/STEPPINGS, data/intel/pxa270/pxa270,
      libbrux/flash/intel.c, src/bus/buses.c, src/bus/buses.h,
      src/bus/pxa2x0.c, src/flash.c: [ 1112022 ] PXA270 Support (Cliff Brake)

2007-11-06 19:19  Kolja Waschk <kawk>

    * README.svf, include/svf.h: [ 1074347 ] SVF Player (README and
      include file) (Arnim Laeuger)

2007-11-06 19:18  Kolja Waschk <kawk>

    * data/freescale, data/freescale/PARTS, data/freescale/mpc5200,
      data/freescale/mpc5200/STEPPINGS, data/freescale/mpc5200/mpc5200,
      src/bus/mpc5200.c: [ 1079531 ] jtag mpc5200 support (added files)

2007-11-06 19:06  Kolja Waschk <kawk>

    * configure.ac, data/MANUFACTURERS, data/Makefile.am,
      include/chain.h, src/bus/Makefile.am, src/bus/buses.c,
      src/bus/buses.h: [ 1079531 ] jtag mpc5200 support (Asier Llano Palacios)

2007-11-06 19:01  Kolja Waschk <kawk>

    * src/Makefile.am: add -lm because SVF player uses floor()

2007-11-06 18:58  Kolja Waschk <kawk>

    * src/Makefile.am, src/cmd/Makefile.am, src/cmd/cmd.c,
      src/cmd/svf.c, src/svf, src/svf/Makefile.am, src/svf/svf.c,
      src/svf/svf.h, src/svf/svf_bison.y, src/svf/svf_flex.l,
      src/tap/chain.c, src/tap/tap.c: [ 1074347 ] SVF Player (4
      patches: jtag-svf, -inc1, -goto_state, -vec-hexa) (Arnim Laeuger)

2007-11-06 18:47  Kolja Waschk <kawk>

    * src/tap/cable/wiggler.c, src/tap/cable/wiggler2.c: [ 1060345 ]
      Fix certain Wigglers. (David Vrabel)

2007-11-06 18:37  Kolja Waschk <kawk>

    * src/cmd/bit.c: fix error from merging 972649+1012149 in bit.c

2007-11-06 18:32  Kolja Waschk <kawk>

    * src/cmd/bit.c: [ 1012149 ] Error messages in src/cmd/bit.c file (Jerome
      Debard)

2007-11-06 18:21  Kolja Waschk <kawk>

    * src/flash.c: [ 1012144 ] User messages printed during flashmem (Jerome
      Debard)

2007-11-06 18:14  Kolja Waschk <kawk>

    * src/cmd/dr.c: [ 986415 ] Allow interactive loading of DR (Martin Buck)

2007-11-06 18:09  Kolja Waschk <kawk>

    * src/cmd/bit.c, src/cmd/cable.c, src/cmd/dr.c, src/cmd/endian.c,
      src/cmd/flashmem.c, src/cmd/get.c, src/cmd/print.c,
      src/cmd/register.c, src/cmd/set.c, src/cmd/shift.c,
      src/part/part.c, src/tap/parport/direct.c,
      src/tap/parport/ppdev.c: [ 972649 ] make jtag more tolerant of
      case (Andrew Dyer)

2007-11-06 18:04  Kolja Waschk <kawk>

    * src/bus/ixp425.c, src/bus/mpc824x.c, src/bus/pxa2x0.c,
      src/bus/s3c4510x.c, src/bus/sa1110.c, src/bus/sh7727.c,
      src/bus/sh7750r.c, src/bus/sh7751r.c, src/cmd/detect.c,
      src/tap/Makefile.am, src/tap/cable.c, src/tap/cable/wiggler2.c: [
      909598 ] Detect 16bit flash on PXA25x 1/2 (partially included for
      compatibility with other patches and wiggler2 driver, but actual
      new pxa2x0 patch omitted - another later patch will fix this) (Matej)

2007-11-06 17:20  Kolja Waschk <kawk>

    * src/bus/s3c4510x.c, src/cmd/peekpoke.c, src/jtag.c: [ 826404 ]
      s3c4510 bus driver (without jedec.c fix) (Krzysztof Blaszkowski)

2007-11-06 16:51  Kolja Waschk <kawk>

    * include/flash.h: [ 1268229 ] gcc4 compilation fix (Asier Llano Palacios)

2007-11-06 09:30  Kolja Waschk <kawk>

    * libbrux, trunk/libbrux: moved libbrux subdir into jtag subdir. See
      ChangeLog there too

2007-11-02  Kolja Waschk <Kolja Waschk <kawk>>

    * created "UrJTAG" project as fork of openwince jtag tools. All older
      log entries in this ChangeLog describe the openwince development.

2004-11-24  Marcel Telka  <marcel@telka.sk>

    * src/cmd/reset.c: New file.
    * src/discovery.c (jtag_reset): Function changed to non-static.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added reset.c.
    * src/cmd/cmd.c (cmds): Added cmd_reset.

2004-11-21  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_stream, cleanup): New function.
    (jtag_parse_file): Replaced stream parsing algorithm with jtag_parse_stream() call. Removed support
        for special filename '-'.
    (main): Rewritten and improved startup sequence to distinguish between interactive invocation
        and stdin input (fixed bug 858535, thanks to Andrew Dyer for an idea).

2004-11-17  Marcel Telka  <marcel@telka.sk>

    * acinclude.m4: New file with VL_LIB_READLINE macro (removed dependency on ac-archive package).
    * autogen.sh: Removed acinclude call (removed dependency on ac-archive package).

2004-11-16  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Lattice Semiconductors and IBM Semiconductors (patch 1012120, Jerome Debard).
    * data/ibm/PARTS: New file (patch 1012120, Jerome Debard).
    * data/ibm/ppc440gx/STEPPINGS: Ditto.
    * data/ibm/ppc440gx/ppc440gx: Ditto.
    * data/lattice/PARTS: Ditto.
    * data/lattice/lc4032v-tqfp48/STEPPINGS: Ditto.
    * data/lattice/lc4032v-tqfp48/lc4032v-tqfp48: Ditto.
    * data/lattice/m4a3-256.192-fpbga256/STEPPINGS: Ditto.
    * data/lattice/m4a3-256.192-fpbga256/m4a3-256.192-fpbga256: Ditto.
    * data/lattice/m4a3-64.32-tqfp48/STEPPINGS: Ditto.
    * data/lattice/m4a3-64.32-tqfp48/m4a3-64.32-tqfp48: Ditto.
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.

2004-10-22  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Sharp manufacturer (patch 886068, Marko Rößler).
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files (patch 886068, Marko Rößler).
    * data/sharp/PARTS: New file (patch 886068, Marko Rößler).
    * data/sharp/lh7a400/STEPPINGS: Ditto.
    * data/sharp/lh7a400/lh7a400: Ditto.
    * src/bus/lh7a400.c: Ditto.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added lh7a400.c (patch 886068, Marko Rößler).
    * src/bus/buses.c (bus_drivers): Added lh7a400_bus (patch 886068, Marko Rößler).
    * src/bus/buses.h: Ditto.

2004-10-17  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.6.
    (AM_GNU_GETTEXT_VERSION): Changed version number for gettext to 0.14.1.

2004-10-17  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/wiggler.c (nTRST): Changed pin value (patch 1040199, Andrew Dyer).
    (nSRESET): New pin value (patch 1040199, Andrew Dyer).
    (wiggler_init, wiggler_clock, wiggler_get_tdo, wiggler_set_trst): Changed nTRST to not inverted
        signal (patch 1040199, Andrew Dyer).

2004-09-21  Marcel Telka  <marcel@telka.sk>

    * data/intel/PARTS: Added support for different IXP425 frequency variants (patch 1030647, Trevor Man).

2004-08-24  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added ppc440gx_ebc8.c.
    * src/bus/buses.c (bus_drivers): Added ppc440gx_ebc8_bus (patch 1012154, Jerome Debard).
    * src/bus/buses.h: Ditto.
    * src/bus/ppc440gx_ebc8.c: New file (patch 1012154, Jerome Debard).

2004-08-20  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (pxa2x0_bus_init): New function.
    (pxa250_bus_prepare): Replaced bus initialization sequence with pxa2x0_bus_init() call.
    (pxa2x0_bus_area): Added pxa2x0_bus_init() call.

2004-08-20  Marcel Telka  <marcel@telka.sk>

    * src/tap/Makefile.am (libtap_a_SOURCES): Added cable/lattice.c.
    * src/tap/cable.c (cable_drivers): Added lattice_cable_driver (patch 1012138, Jerome Debard).
    * src/tap/cable/lattice.c: New file (patch 1012138, Jerome Debard).

2004-08-19  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added tx4925.c (patch 972625, Andrew Dyer).
    * src/bus/buses.c (bus_drivers): Added tx4925_bus (patch 972625, Andrew Dyer).
    * src/bus/buses.h: Ditto.
    * src/bus/tx4925.c: New file (patch 972625, Andrew Dyer).

2004-08-17  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Toshiba manufacturer (patch 972621, Andrew Dyer).
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files (patch 972621, Andrew Dyer).
    * data/xilinx/PARTS: Added XCR3032XL-VQ44 entry (patch 972621, Andrew Dyer).
    * data/xilinx/xcr3032xl-vq44/STEPPINGS: New file (patch 972621, Andrew Dyer).
    * data/xilinx/xcr3032xl-vq44/xcr3032xl-vq44: Ditto.
    * data/toshiba/PARTS: Ditto.
    * data/toshiba/tx4925/STEPPINGS: Ditto.
    * data/toshiba/tx4925/tx4925: Ditto.
    * data/toshiba/tx4926/STEPPINGS: Ditto.
    * data/toshiba/tx4926/tx4926: Ditto.

2004-08-17  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.
    * data/philips/PARTS: Added XCR3128XL-VQ100 entry (patch 1010714, Michael Lauer).
    * data/xilinx/PARTS: Added directory for XCR3128XL-VQ100 entry (patch 1010714, Michael Lauer).
    * data/philips/xcr3128xl-vq100/STEPPINGS: New file (patch 1010714, Michael Lauer).
    * data/philips/xcr3128xl-vq100/xcr3128xl-vq100: Ditto.
    * data/xilinx/xcr3128xl-vq100/xcr3128xl-vq100: Ditto.

2004-08-16  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (bus_params_t): Added new member: inited.
    (INITED): New macro.
    (pxa2x0_bus_new): Removed BOOT_DEF initialization.
    (pxa250_bus_prepare): Added BOOT_DEF initialization.

2004-08-15  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (detect_parts): Changed return type.
    * src/detect.c (detect_parts): Changed return value to return number of detected parts.
    * src/cmd/detect.c (cmd_detect_run): Added reset of the chain->parts to NULL before
        detect_parts() call. Ignored detect_parts() return value.

2004-08-13  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c: Added missing locale.h include (patch 986414, Martin Buck).

2004-08-11  Marcel Telka  <marcel@telka.sk>

    * Makefile.rules (RECURSIVE_TARGETS, lint-recursive): Removed.
    (lint): Added command to run recursive make.
    (.PHONY): Removed lint-recursive.

2004-06-13  Marcel Telka  <marcel@telka.sk>

    * data/broadcom/PARTS: Added BCM4712 entry (Alan Wallace).
    * data/broadcom/bcm4712/STEPPINGS: New file (Alan Wallace).
    * data/broadcom/bcm4712/bcm4712: Ditto.

2004-01-20  Marcel Telka  <marcel@telka.sk>

    * acinclude.m4: File removed.
    * autogen.sh: Added acinclude call.

2003-12-20  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added au1500.c.
    * src/bus/au1500.c: New file (patch 853883, Zhang Wei).
    * src/bus/buses.c (bus_drivers): Added au1500_bus (patch 853883, Zhang Wei).
    * src/bus/buses.h: Added au1500_bus.

2003-11-02  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.5.2.

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added motorola/mpc8245/1.2.
    * data/motorola/mpc8245/1.2: New file.
    * src/bus/mpc824x.c: Ditto.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added mpc824x.c.
    * src/bus/buses.c (bus_drivers): Added mpc824x_bus.
    * src/bus/buses.h (mpc824x_bus): Added bus declaration.

    * include/bsbit.h (bsbit_alloc): Changed parameter name (signals -> signal).
    * src/part/bsbit.c (bsbit_alloc): Changed parameter behaviour.
    * src/cmd/bit.c (cmd_bit_run): Passed exact signal to bsbit_alloc() instead of list of signals.

    * src/jtag.c (main): Added cfi_array deallocation.

    * src/flash.c (set_flash_driver): Used global cfi_array variable to set flash driver.
    (flashcheck): Function removed.
    All function calls replaced by set_flash_driver().
    (flashmsbin): Removed local cfi_array variable.
    (flashmem): Removed local cfi_array variable. Fixed bug with one more block erase while programming
        data at end of previous block.
    (flasherase): Removed local cfi_array variable. Fixed block number calculation.
    * src/readmem.c (readmem): Fixed bug while reading address near to end of 32 bit address range.
    * src/bus/pxa2x0.c (pxa2x0_bus_new): Added BSR sampling before BOOT_DEF initialization (bugfix).

2003-10-23  Marcel Telka  <marcel@telka.sk>

    * include/bssignal.h (salias_t): Added new type.
    (salias_alloc, salias_free): Adde new function prototypes.
    * include/part.h (struct part): Added new structure member 'saliases'.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added salias.c.
    * src/cmd/cmd.c (cmds): Added cmd_salias.
    * src/cmd/salias.c: New file.
    * src/part/part.c (part_alloc): Added saliases initialization.
    (part_free): Added saliases deallocation.
    (part_find_signal): Added signal aliases searching.
    * src/part/signal.c (salias_alloc, salias_free): New functions.

2003-10-20  Marcel Telka  <marcel@telka.sk>

    * data/hitachi/hd64465/hd64465: Completed BSR bits declaration.

2003-10-20  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added hitachi/sh7729/STEPPINGS and hitachi/sh7729/sh7729.
    * data/hitachi/sh7729/STEPPINGS: New file (Beregnyei Balazs).
    * data/hitachi/sh7729/sh7729: Ditto.

2003-10-17  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added hitachi/hd64465/hd64465.
    * data/hitachi/hd64465/hd64465: New file.

2003-10-13  Marcel Telka  <marcel@telka>

    * data/intel/ixp425/STEPPINGS: Added B0 stepping.

2003-10-11  Marcel Telka  <marcel@telka>

    Version 0.5.1 released.

2003-09-23  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flash_drivers): Added amd_16_flash_driver (Bradley D. LaRonde).
    (find_block): New function (Bradley D. LaRonde).
    (flashmem): Added block calculations using exact CFI data (Bradley D. LaRonde).

    * src/tap/cable/triton.c (triton_init): Removed unused variable 'data'.

2003-09-15  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Fixed spelling (patch 805108, Andreas Mohr).
    * src/jtag.c (main): Ditto.
    * src/cmd/discovery.c (cmd_discovery_help, cmd_discovery): Ditto.
    * src/cmd/flashmem.c (cmd_flashmem_help): Ditto.

    * src/tap/cable/ei012.c: Changed comment (patch 805108, Andreas Mohr).
    * src/tap/cable/keithkoep.c: Ditto.
    * src/tap/cable/mpcbdm.c: Ditto.

2003-09-14  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/triton.c: New file (patch 805103, Andreas Mohr).
    * src/tap/Makefile.am (libtap_a_SOURCES): Added cable/triton.c (patch 805103, Andreas Mohr).
    * src/tap/cable.c (cable_drivers): Added triton_cable_driver member (patch 805103, Andreas Mohr).
    * src/tap/cable/generic.h (PARAM_SRESET): New macro (patch 805103, Andreas Mohr).
    (generic_params_t): New structure member 'sreset' (patch 805103, Andreas Mohr).

    * configure.ac: Changed description for --with-include parameter (thanks to Andreas Mohr).

2003-09-12  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CHECK_FUNCS): Added swprintf.
    * src/cmd/print.c (cmd_print_run): Added alternative implementation of the header printing using
        snprintf() for platforms without swprintf() function available.

2003-09-12  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.5.1.

2003-09-11  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/wiggler.c (wiggler_init, wiggler_clock, wiggler_get_tdo, wiggler_set_trst): Fixed
        inverted TRST signal (see patch 799377 for more info, thanks to Mike Tesch for reporting).

2003-09-11  Marcel Telka  <marcel@telka.sk>

    * src/cmd/dr.c (cmd_dr_run): Added test for missing active instruction and data register (thanks to
        Mike Tesch for reporting).

2003-09-10  Marcel Telka  <marcel@telka.sk>

    * src/bus/bcm1250.c (bcm1250_bus_printinfo, bcm1250_bus): Fixed typo (compatibile->compatible) in
        output message (thanks to Andreas Mohr).
    * src/bus/ixp425.c (ixp425_bus_printinfo, ixp425_bus): Ditto.
    * src/bus/pxa2x0.c (pxa2x0_bus_printinfo, pxa2x0_bus): Ditto.
    * src/bus/s3c4510x.c (s3c4510_bus_printinfo, s3c4510_bus): Ditto.
    * src/bus/sa1110.c (sa1110_bus_printinfo, sa1110_bus): Ditto.
    * src/bus/sh7727.c (sh7727_bus_printinfo, sh7727_bus): Ditto.
    * src/bus/sh7750r.c (sh7750r_bus_printinfo, sh7750r_bus): Ditto.
    * src/bus/sh7751r.c (sh7751r_bus_printinfo, sh7751r_bus): Ditto.

2003-09-05  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (bus_drivers): Added constant declaration.
    (new_sa1110_bus, new_pxa250_bus, new_ixp425_bus, new_sh7727_bus, new_sh7750r_bus, new_sh7751r_bus)
    (new_bcm1250_bus): Function declarations removed.
    * src/bus/buses.c (bus_drivers): New constant definition.
    * src/bus/buses.h: New file.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added buses.h.

    * src/bus/bcm1250.c (bcm1250_bus_printinfo): Added new function parameter 'bus'.
    (bcm1250_bus): Changed structure type to bus_driver_t. Changed members.
    (new_bcm1250_bus): Function renamed ...
    (bcm1250_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/ixp425.c (ixp425_bus_printinfo): Added new function parameter 'bus'.
    (ixp425_bus): Changed structure type to bus_driver_t. Changed members.
    (new_ixp425_bus): Function renamed ...
    (ixp425_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/pxa2x0.c (pxa2x0_bus_printinfo): Added new function parameter 'bus'.
    (pxa250_bus): Structure transformed ...
    (pxa2x0_bus): ... to this constant (changed type to bus_driver_t, changed members).
    (new_pxa250_bus): Function renamed ...
    (pxa2x0_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/s3c4510x.c (s3c4510_bus_printinfo): Added new function parameter 'bus'.
    (s3c4510_bus): Changed structure type to bus_driver_t. Changed members.
    (new_s3c4510_bus): Function renamed ...
    (s3c4510_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sa1110.c (sa1110_bus_printinfo): Added new function parameter 'bus'.
    (sa1110_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sa1110_bus): Function renamed ...
    (sa1110_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sh7727.c (sh7727_bus_printinfo): Added new function parameter 'bus'.
    (sh7727_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sh7727_bus): Function renamed ...
    (sh7727_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sh7750r.c (sh7750r_bus_printinfo): Added new function parameter 'bus'.
    (sh7750r_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sh7750r_bus): Function renamed ...
    (sh7750r_bus_new): ... to this one. Changed parameter list to void (and function body updated).
    * src/bus/sh7751r.c (sh7751r_bus_printinfo): Added new function parameter 'bus'.
    (sh7751r_bus): Changed structure type to bus_driver_t. Changed members.
    (new_sh7751r_bus): Function renamed ...
    (sh7751r_bus_new): ... to this one. Changed parameter list to void (and function body updated).

    * src/cmd/cable.c (cmd_cable_run): Replaced bus->free() call with bus_free().
    * src/jtag.c (main): Ditto.

    * src/cmd/cmd.c (cmds): Added cmd_initbus.
    * src/cmd/detect.c (cmd_detect_run): Removed explicit bus driver detection.
    * src/cmd/initbus.c: New file.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added initbus.c.

    * data/broadcom/bcm1250/bcm1250: Added 'initbus' command call.
    * data/hitachi/sh7727/sh7727: Ditto.
    * data/intel/ixp425/ixp425: Ditto.
    * data/intel/pxa250/pxa250: Ditto.
    * data/intel/pxa250/pxa250c0: Ditto.
    * data/intel/sa1110/sa1110: Ditto.
    * data/samsung/s3c4510b/s3c4510b: Ditto.

2003-09-04  Marcel Telka  <marcel@telka.sk>

    * configure.ac (CPPFLAGS): Added top_srcdir into include directory list.

2003-09-03  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (set_data_in, setup_data): Added new 'adr' parameter. Used real data bus width
        for data reading (based on patch 792591, thanks to Guennadi Liakhovetski).
    All function callers updated.
    (pxa250_bus_read_next, pxa250_bus_read_end): Used real data bus width for data reading (based on
        patch 792591, thanks to Guennadi Liakhovetski).
    * src/bus/sa1110.c (set_data_in, setup_data, sa1110_bus_read_next, sa1110_bus_read_end): Ditto.
    * src/bus/sh7727.c (set_data_in, setup_data, sh7727_bus_read_next, sh7727_bus_read_end): Ditto.

2003-08-28  Marcel Telka  <marcel@telka.sk>

    * src/bus/pxa2x0.c (pxa250_bus_read_next, pxa250_bus_read_end): Added support for BOOT_DEF register
        emulation.
    (pxa2x0_bus_area): Added Memory Mapped registers (Memory Ctl) area.

2003-08-28  Marcel Telka  <marcel@telka.sk>

    * src/readmem.c (readmem): Replaced bus_width macro with new bus_area.
    * src/bus/bcm1250.c (bcm1250_bus_width): Function removed.
    (bcm1250_bus_area): New function.
    * src/bus/ixp425.c (ixp425_bus_width): Function removed.
    (ixp425_bus_area): New function.
    * src/bus/pxa2x0.c (pxa250_bus_width): Function removed.
    (pxa2x0_bus_area): New function.
    * src/bus/s3c4510x.c (s3c4510_bus_width): Function removed.
    (s3c4510_bus_area): New function.
    * src/bus/sa1110.c (sa1110_bus_width: Function removed.
    (sa1110_bus_area): New function.
    * src/bus/sh7727.c (sh7727_bus_width): Function removed.
    (sh7727_bus_area): New function.
    * src/bus/sh7750r.c (sh7750r_bus_width): Function removed.
    (sh7750r_bus_area): New function.
    * src/bus/sh7751r.c (sh7751r_bus_width): Function removed.
    (sh7751r_bus_area): New function.
    * src/cmd/print.c (cmd_print_run): Added bus area printing.

2003-08-27  Marcel Telka  <marcel@telka.sk>

    * include/flash.h: Removed CFI_INTEL_ERROR_* macros.

2003-08-26  Marcel Telka  <marcel@telka.sk>

    * src/cmd/print.c (cmd_print_run): Fixed header print format.

2003-08-25  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed package name.
    * src/jtag.c (main): Added full package name to banner.

2003-08-22  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/byteblaster.c (byteblaster_init): Added additional checks for valid ByteBlaster cable
        connection and enabled all variants of the cable (patch 793313, Rojhalat Ibrahim).

2003-08-22  Marcel Telka  <marcel@telka.sk>

    * MANUFACTURERS: Added Altera manufacturer (Rojhalat Ibrahim).
    * altera/PARTS: New file (Rojhalat Ibrahim).
    * altera/ep1c20f400/STEPPINGS: Ditto.
    * altera/ep1c20f400/ep1c20f400: Ditto.
    * altera/epm7128aetc100/STEPPINGS: Ditto.
    * altera/epm7128aetc100/epm7128aetc100: Ditto.
    * Makefile.am (nobase_dist_pkgdata_DATA): Added new Altera JTAG files.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    Version 0.5 released.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AM_GNU_GETTEXT_VERSION): Changed version number to 0.12.1.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/bus/s3c4510x.c: Changed comment.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/bus/Makefile.am (libbus_a_SOURCES): Added s3c4510x.c.
    * src/bus/s3c4510x.c: New file (Jiun-Shian Ho).

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/tap/parport/direct.c (direct_connect): Marked two indirect strings for translation.
    * src/tap/parport/ppdev.c (ppdev_connect): Ditto.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * sysdep.h: Renamed pkgcfg.h to config.h.
    * configure.ac (AM_CONFIG_HEADER): Ditto.

2003-08-19  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Fixed setlocale() call.
    * Makefile.am (noinst_HEADERS): Renamed config.h -> sysdep.h.
    * config.h: Renamed this file ...
    * sysdep.h: ... to this one.
    Changed config.h -> sysdep.h include in all source files.

2003-08-18  Marcel Telka  <marcel@telka.sk>

    * data/samsung/s3c4510b/s3c4510b: Fixed some errors in instruction declarations (Jiun-Shian Ho).

2003-08-18  Marcel Telka  <marcel@telka.sk>

    * src/detect.c (detect_parts): Marked one forgotten string for translation.
    * src/cmd/bit.c (cmd_bit_run): Fixed control bit setup.
    * src/cmd/eraseflash.c (cmd_eraseflash_run): Changed formatting.
    (cmd_eraseflash_help): Updated help text.
    * src/cmd/flashmem.c (cmd_flashmem_help): Ditto.
    * src/cmd/readmem.c (cmd_readmem_help): Ditto.

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (flasherase): New function prototype (patch 772267, Thomas Fröhlich).
    * src/flash.c (flasherase): New function (patch 772267, Thomas Fröhlich).
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added eraseflash.c (patch 772267, Thomas Fröhlich).
    * src/cmd/cmd.c (cmds): Added cmd_eraseflash (patch 772267, Thomas Fröhlich).
    * src/cmd/eraseflash.c: New file (patch 772267, Thomas Fröhlich).

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * src/tap/chain.c (chain_shift_instructions): Moved test for parts without active instruction before
        shifting process.
    (chain_shift_data_registers): Moved test for parts without active instruction or data register before
        shifting process.

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added samsung/s3c4510b/s3c4510b.
    * data/samsung/s3c4510b/s3c4510b: New file (Jiun-Shian Ho).

2003-08-14  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Changed directory name for Philips.
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added philips/PARTS, philips/xcr3128xl-cs144/STEPPINGS, and
        philips/xcr3128xl-cs144/xcr3128xl-cs144.
    * data/philips/PARTS: New file.
    * data/philips/xcr3128xl-cs144/STEPPINGS: Ditto.
    * data/philips/xcr3128xl-cs144/xcr3128xl-cs144: Ditto.
    * include/part.h (MAXLEN_MANUFACTURER): Increased size to 25.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (detect_register_size): Added function declaration.
    * src/discovery.c (detect_register_size): Changed to non-static.
    * src/detect.c (detect_parts): Added support for parts without IDCODE.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * src/bus/sa1110.c (sa1110_bus_width): Removed bus width printing.
    * src/bus/sh7751r.c (sh7751r_bus_printinfo): New function.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (new_sh7751r_bus): New function declaration (patch 773533, Matan Ziv-Av).
    * src/bus/Makefile.am (libbus_a_SOURCES): Added sh7751r.c (patch 773533, Matan Ziv-Av).
    * src/bus/sh7751r.c: New file (patch 773533, Matan Ziv-Av).

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * include/part.h (struct part): Added new member 'id'.
    (part_alloc): Added new parameter 'id'.
    * src/detect.c (detect_parts): Added execution JTAG declarations as script.
    * src/jtag.c (get_token): Added support for in-line comments.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added signal.c, bit.c, and register.c.
    * src/cmd/bit.c: New file.
    * src/cmd/register.c: Ditto.
    * src/cmd/signal.c: Ditto.
    * src/cmd/cmd.c (cmds): Added cmd_signal, cmd_bit, and cmd_register.
    * src/cmd/instruction.c (cmd_instruction_run, cmd_instruction_help, cmd_instruction): Added support
        for new instruction declaration.
    * src/part/parse.c: File removed.
    * src/part/Makefile.am (libpart_a_SOURCES): Removed parse.c.
    * src/cmd/detect.c (cmd_detect_run): Fixed possible NULL pointer dereference.
    * src/part/part.c (part_alloc): Added new parameter 'id'.
    (part_free): Addedd id deallocation.
    (part_print): Added support for instructions without data register.
    * src/tap/chain.c (chain_shift_data_registers): Ditto.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * data/broadcom/bcm5421s/bcm5421s: Fixed bad pin -> signal changes.

2003-08-13  Marcel Telka  <marcel@telka.sk>

    * data/broadcom/bcm1250/bcm1250: Changed pin -> signal keyword.
    * data/broadcom/bcm5421s/bcm5421s: Ditto.
    * data/hitachi/sh7727/sh7727: Ditto.
    * data/intel/ixp425/ixp425: Ditto.
    * data/intel/pxa250/pxa250: Ditto.
    * data/intel/pxa250/pxa250c0: Ditto.
    * data/intel/sa1110/sa1110: Ditto.
    * data/xilinx/xc2c256-tq144/xc2c256-tq144: Ditto.
    * data/xilinx/xcr3128xl-cs144/xcr3128xl-cs144: Ditto.
    * data/xilinx/xcr3256xl-ft256/xcr3256xl-ft256: Ditto.

2003-08-12  Marcel Telka  <marcel@telka.sk>

    * src/bsdl2jtag.c (endline): Added support for "downto" in bit vectors and "observe_only" (patch 787346,
        Brad Parker).

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added include.c.
    * src/cmd/include.c: New file.
    * src/cmd/cmd.c (cmds): Added cmd_include.

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flash_drivers): Added amd_8_flash_driver.

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (buses_t): Added new structure.
    * src/jtag.c (bus): Removed global variable.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added buses.c.
    * src/bus/buses.c: New file.
    * src/bus/bcm1250.c (bcm1250_bus_printinfo): New function.
    * src/bus/ixp425.c (ixp425_bus_printinfo): Ditto.
    * src/bus/pxa2x0.c (pxa2x0_bus_printinfo): Ditto.
    * src/bus/sa1110.c (sa1110_bus_printinfo): Ditto.
    * src/bus/sh7727.c (sh7727_bus_printinfo): Ditto.
    * src/bus/sh7750r.c (sh7750r_bus_printinfo): Ditto.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added bus.c.
    * src/cmd/bus.c: New file.
    * src/cmd/cmd.c (cmds): Added cmd_bus.
    * src/cmd/detect.c (cmd_detect_run): Added support for multiple buses detection.
    * src/cmd/print.c (cmd_print_run): Fixed header printing while syntax error. Added support for printing
        list of active buses.
    (cmd_print_help): Added new parameter 'bus'.

2003-08-11  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.5.

    * include/chain.h (chain_t): Added active_part.
    * src/tap/chain.c (chain_alloc): Added active_part initialization.
    * include/part.h (parts_print): Removed 'header' parameter.
    * src/part/part.c (parts_print): Removed header printing.
    * src/cmd/print.c (cmd_print_run): Added header printg. Added new parameter 'chain' for print command.
    (cmd_print_help): Added new parameter 'chain'.
    * src/cmd/dr.c (cmd_dr_run, cmd_dr_help): Removed PART parameter.
    * src/cmd/get.c (cmd_get_run, cmd_get_help): Ditto.
    * src/cmd/instruction.c (cmd_instruction_run, cmd_instruction_help): Ditto.
    * src/cmd/set.c (cmd_set_run, cmd_set_help): Ditto.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Adde part.c.
    * src/cmd/part.c: New file.
    * src/cmd/cmd.c (cmds): Added cmd_part.

2003-07-25  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added broadcom/bcm3310/STEPPINGS and
        broadcom/bcm3310/bcm3310.
    * data/broadcom/PARTS: Added BCM3310.
    * data/broadcom/bcm3310/STEPPINGS: New file.
    * data/broadcom/bcm3310/bcm3310: Ditto.

2003-07-24  Marcel Telka  <marcel@telka.sk>

    * po/POTFILES.in: Removed missing files.
    * configure.ac: Removed VL_LIB_READLINE macro and moved it to ...
    * acinclude.m4: ... this new file.

2003-07-16  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_line): Fixed invalid memory allocation size (core dump).

2003-07-01  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (new_sh7750r_bus, new_bcm1250_bus): New function declarations (patch 753300, Matan Ziv-Av).
    * src/bus/Makefile.am (libbus_a_SOURCES): Added bcm1250.c and sh7750r.c (patch 753300, Matan Ziv-Av).
    * src/bus/bcm1250.c: New file (patch 753300, Matan Ziv-Av).
    * src/bus/sh7750r.c: Ditto.
    * src/cmd/detect.c (cmd_detect_run): Added bus driver for SH7750R and BCM1250 (patch 753300, Matan Ziv-Av).

2003-06-19  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (discovery): Removed 'filename' parameter.
    * src/discovery.c (TEST_COUNT): Changed test repeat count from 5 to 1.
    (detect_register_size): Removed 'f' parameter. Removed output messages.
    (jtag_reset): Removed sleep() calls.
    (discovery): Removed 'filename' parameter. Removed support for output to file. Simplified output
        messages.
    * src/cmd/discovery.c (cmd_discovery_run): Removed FILENAME parameter.
    (cmd_discovery_help): Updated help text.

2003-06-18  Marcel Telka  <marcel@telka.sk>

    * src/discovery.c (discovery): Removed explicit JTAG chain length detection. Changed starting of the DR
        size detection from all 1 instead all 0 for IR (patch 753298, Matan Ziv-Av).

2003-06-18  Marcel Telka  <marcel@telka.sk>

    * /src/flash.c (flash_drivers): Added 1 x 8 bit Intel Flash driver (patch 753295, Matan Ziv-Av).

2003-06-12  Marcel Telka  <marcel@telka.sk>

    * include/flash.h (flash_driver_t): Structure removed.
    (flash_erase_block, flash_unlock_block, flash_program, flash_readarray): Macro removed.
    * src/flash.c (set_flash_driver, flashcheck, flashmsbin, flashmem): Updated for new
        flash_driver_t declared in brux/flash.h in include module.

2003-06-10  Marcel Telka  <marcel@telka.sk>

    * include/Makefile.am (noinst_HEADERS): Removed cfi.h.
    * include/cfi.h: File removed.
    * src/flash.c: Updated include header files.

2003-06-10  Marcel Telka  <marcel@telka.sk>

    * src/bus/sh7727.c (bus_params_t): Added md3 and md4.
    (sh7727_bus_width): Moved to implementation using MD3 and MD4 (thanks to Rainer Dörken).
    (new_sh7727_bus): Added MD3 and MD4 signal searching (thanks to Rainer Dörken).

2003-06-10  Marcel Telka  <marcel@telka.sk>

    * src/bus/ixp425.c (ixp425_bus_width): Changed return value type (int -> unsigned int).
    * src/bus/pxa2x0.c (pxa250_bus_width): Ditto.
    * src/bus/sa1110.c (sa1110_bus_width): Ditto.
    * src/bus/sh7727.c (sh7727_bus_width): Ditto.

2003-06-06  Marcel Telka  <marcel@telka.sk>

    * src/bus/sh7727.c (bus_params_t): Fixed cs array length.
    (setup_address): Removed address shift by BASE.
    (sh7727_bus_read_end): Simplified CS handling.
    (new_sh7727_bus): Fixed CS signal searching (thanks to Rainer Dörken).

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * include/cfi.h (detect_cfi): Macro removed.
    * src/flash.c (flashcheck): Renamed detect_cfi to cfi_detect.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/Makefile.am (jtag_LDADD): Added libbrux twice to resolve dependencies.
    * src/jtag.c: Fixed cmd.h include path.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/cmd/Makefile.am (libcmd_a_SOURCES): Removed quit.c, help.c, and detectflash.c.
    * src/cmd/cmd.c (cmd_run, cmd_params, cmd_get_number): Functions moved to module libbrux,
        file cmd/cmd.c.
    * src/cmd/detectflash.c: File moved to module libbrux, directory cmd.
    * src/cmd/help.c: Ditto.
    * src/cmd/quit.c: Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * include/Makefile.am (noinst_HEADERS): Added cmd.h.
    * include/cmd.h: New file.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Removed cmd.h.
    * src/cmd/cmd.h: File removed. Partially moved to include module (file brux/cmd.h).

    * src/cmd/detectflash.c (cmd_detectflash_help): Changed help text.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/readmem.c (detectflash): Function extracted to module libbrux, file flash/detectflash.c.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * include/jtag.h (detectflash, flashmem, flashmsbin): Declarations moved to include module,
        file brux/flash.h.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/cmd/cable.c (cmd_cable_run): Added bus deallocation.
    * src/cmd/detectflash.c (cmd_detectflash_run): Removed cable connection test.
    * src/cmd/flashmem.c (cmd_flashmem_run): Ditto.
    * src/cmd/peekpoke.c (cmd_peek_run, cmd_poke_run): Ditto.
    * src/cmd/readmem.c (cmd_readmem_run): Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flashmsbin, flashmem): Removed '\r' from translatable messages.
    * src/readmem.c (readmem): Ditto.

2003-06-03  Marcel Telka  <marcel@telka.sk>

    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added peekpoke.c (patch 747447, Matan Ziv-Av).
    * src/cmd/cmd.c (cmds): Added peek and poke commands (patch 747447, Matan Ziv-Av).
    * src/cmd/peekpoke.c: New file (patch 747447, Matan Ziv-Av).
    * po/POTFILES.in: Updated.

    * include/bus.h (bus_t): Declaration moved to include module (brux/bus.h).
    * include/cfi.h (cfi_chip_t, cfi_array_t, cfi_array_free, detect_cfi): Declarations moved
        to include module (brux/cfi.h).

2003-06-02  Marcel Telka  <marcel@telka.sk>

    * Makefile.am (SUBDIRS): Added libbrux.
    * configure.ac (AC_CONFIG_FILES): Removed src/flash/Makefile.
    (AC_CONFIG_SUBDIRS): Added libbrux.
    * src/Makefile.am (SUBDIRS): Removed flash.
    (jtag_DEPENDENCIES): Removed flash/libflash.a, added ../libbrux/libbrux.a.
    (jtag_LDADD): Removed libflash, added libbrux.
    * src/flash/Makefile.am: File removed.
    * src/flash/amd.c: File moved to module libbrux, directory flash.
    * src/flash/cfi.c: Ditto.
    * src/flash/intel.c: Ditto.

2003-05-30  Marcel Telka  <marcel@telka.sk>

    * src/tap/parport/direct.c (direct_set_control): Inverted SELECT, AUTOFD, and STROBE
        signals (bug 745824).
    * src/tap/parport/ppdev.c (ppdev_set_control): Ditto.
    * src/tap/cable/mpcbdm.c (mpcbdm_init, mpcbdm_set_trst): Changed (inverted) TRST handling.
    (mpcbdm_clock, mpcbdm_get_tdo): Removed TRST setting.

2003-05-29  Marcel Telka  <marcel@telka.sk>

    Version 0.4 released.

2003-05-29  Marcel Telka  <marcel@telka.sk>

    * src/bsdl2jtag.c (main): Renamed 'pin' keyword to 'signal'.
    * src/part/parse.c (read_part): Added support for 'signal' keyword.

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.
    * data/dec/PARTS: New file.
    * data/dec/sa1100/STEPPINGS: New file (thanks to Jachym Holecek).
    * data/dec/sa1100/sa1100: New file.

2003-05-28  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.4.

    * src/cmd/frequency.c (cmd_frequency_run): Added support for printing current TCK frequency.
    (cmd_frequency_help): Updated help text.

    * po/POTFILES.in: Updated.
    * src/detect.c (find_record, detect_parts): Marked messages for translation.
    * src/discovery.c (detect_register_size, discovery): Ditto.
    * src/flash.c (set_flash_driver, flashcheck, flashmsbin, flashmem): Ditto.
    * src/readmem.c (readmem): Ditto.
    * src/flash/amd.c (amd_flash_print_info, amd_32_flash_driver): Ditto.
    * src/flash/intel.c (_intel_flash_print_info, intel_flash_erase_block, intel_flash_unlock_block)
    (intel_flash_program, intel_32_flash_driver, intel_16_flash_driver): Ditto.
    * src/tap/cable/arcom.c (arcom_cable_driver): Ditto.
    * src/tap/cable/byteblaster.c (byteblaster_cable_driver): Ditto.
    * src/tap/cable/dlc5.c (dlc5_cable_driver): Ditto.
    * src/tap/cable/ea253.c (ea253_cable_driver): Ditto.
    * src/tap/cable/ei012.c (ei012_cable_driver): Ditto.
    * src/tap/cable/keithkoep.c (keithkoep_cable_driver): Ditto.
    * src/tap/cable/mpcbdm.c (mpcbdm_cable_driver): Ditto.
    * src/tap/cable/wiggler.c (wiggler_cable_driver): Ditto.

2003-05-27  Marcel Telka  <marcel@telka.sk>

    * src/part/part.c (part_set_signal, part_get_signal): Moved variable declarations to beginning
        of a block (Matan Ziv-Av).

2003-05-26  Marcel Telka  <marcel@telka.sk>

    * include/bus.h (new_sh7727_bus): Added function declaration.
    * src/cmd/detect.c (cmd_detect_run): Added bus driver for Hitachi SH7727.
    * src/bus/Makefile.am (libbus_a_SOURCES): Added sh7727.c (patch 743140, Matan Ziv-Av).
    * src/bus/sh7727.c: New file (based on patch 743140, Matan Ziv-Av).

2003-05-26  Marcel Telka  <marcel@telka.sk>

    * include/chain.h (chain_shift_data_registers): Added new parameter `capture_output' (idea from
        patch 743146, Matan Ziv-Av).
    * src/tap/chain.c (chain_shift_data_registers): Ditto.
    All chain_shift_data_registers() function callers updated.

2003-05-26  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added broadcom/bcm5421s/STEPPINGS
        and broadcom/bcm5421s/bcm5421s.
    * data/MANUFACTURERS: Added new manufacturer ID code for Boradcom (patch 743129, Matan Ziv-Av).
    * data/broadcom/PARTS: Added entry for BC5421S (patch 743129, Matan Ziv-Av).
    * data/broadcom/bcm5421s/STEPPINGS: New file (patch 743129, Matan Ziv-Av).
    * data/broadcom/bcm5421s/bcm5421s: Ditto.

2003-05-22  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AM_CONFIG_HEADER): Renamed acconfig.h configuration header to pkgcfg.h.
    * config.h: Ditto.

2003-05-22  Marcel Telka  <marcel@telka.sk>

    * config.h: New file.
    Changed all relevant source files to include this file unconditionaly.
    * Makefile.am (noinst_HEADERS): Added config.h.
    * configure.ac (AM_CONFIG_HEADER): Renamed generated configuration file
        from config.h to acconfig.h.

2003-05-22  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c: Added new global variable 'big_endian'.
    * include/jtag.h: Ditto.
    * src/flash.c (flashmem): Added full support for little/big endian.
    * src/readmem.c (readmem): Ditto.
    * src/cmd/Makefile.am (libcmd_a_SOURCES): Added endian.c.
    * src/cmd/cmd.c (cmds): Added new command 'endian'.
    * src/cmd/endian.c: New file.

2003-05-21  Marcel Telka  <marcel@telka.sk>

    * Makefile.rules: New file.
    * Makefile.am: Added Makefile.rules include.
    (EXTRA_DIST): Added Makefile.rules.
    * data/Makefile.am: Added Makefile.rules include.
    * doc/Makefile.am: Ditto.
    * include/Makefile.am: Ditto.
    * po/Makevars: Ditto.
    * src/Makefile.am: Ditto.
    * src/bus/Makefile.am: Ditto.
    * src/cmd/Makefile.am: Ditto.
    * src/flash/Makefile.am: Ditto.
    * src/lib/Makefile.am: Ditto.
    * src/part/Makefile.am: Ditto.
    * src/tap/Makefile.am: Ditto.

2003-05-21  Marcel Telka  <marcel@telka.sk>

    * include/signal.h: Renamed this file ...
    * include/bssignal.h: ... to this one.
    All includes changed.
    * include/Makefile.am (noinst_HEADERS): Renamed signal.h to bssignal.h.

    * include/data_register.h: Marked local include files with double quotes.
    * include/instruction.h: Ditto.
    * include/part.h: Ditto.

2003-05-21  Marcel Telka  <marcel@telka.sk>

    * include/bsbit.h (bsbit, bsbit_t): Renamed typedef bsbit to bsbit_t.
    All occurences of the bsbit type changed to bsbit_t.

2003-05-21  Marcel Telka  <marcel@telka.sk>

    * include/part.h (part_find_signal): New function declaration.
    (part_set_signal, part_get_signal): Changed parameter signal name to signal pointer.
    * src/part/part.c (part_find_signal): New function.
    (part_set_signal, part_get_signal): Removed signal searching, used supplied pointer to signal.
    * po/POTFILES.in: Added src/bus/ixp425.c, src/bus/pxa2x0.c, and src/bus/sa1110.c.
    * src/bus/ixp425.c (bus_params_t, select_flash, unselect_flash, setup_address, set_data_in)
    (setup_data, ixp425_bus_read_start, ixp425_bus_read_next, ixp425_bus_read_end, ixp425_bus_write)
    (new_ixp425_bus): Optimized signal searching to increase bus access speed.
    * src/bus/pxa2x0.c (bus_params_t, setup_address, set_data_in, setup_data, pxa250_bus_read_start)
    (pxa250_bus_read_next, pxa250_bus_read_end, pxa250_bus_write, new_pxa250_bus): Ditto.
    * src/bus/sa1110.c (bus_params_t, setup_address, set_data_in, setup_data, sa1110_bus_read_start)
    (sa1110_bus_read_next, sa1110_bus_read_end, sa1110_bus_write, new_sa1110_bus): Ditto.
    (sa1110_bus_width): Updated part_get_signal() function call. Added explicit signal search.
    * src/cmd/get.c (cmd_get_run): Ditto.
    * src/cmd/set.c (cmd_set_run): Updated part_set_signal() function call. Added explicit signal search.

2003-05-20  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CONFIG_FILES): Added src/cmd/Makefile.
    * include/Makefile.am (noinst_HEADERS): Added jtag.h.
    * include/jtag.h: New file.
    * po/POTFILES.in: Updated.
    * src/Makefile.am (SUBDIRS): Added cmd.
    (jtag_SOURCES): Removed jtag.h and help.c.
    (jtag_DEPENDENCIES): Added cmd/libcmd.a.
    (jtag_LDADD): Added libcmd.
    (INCLUDES): Removed JTAG_DATA_DIR.
    * src/help.c: File removed.
    * src/jtag.h: Ditto.
    * src/jtag.c (jtag_parse_line): Removed command parsing and moved it to cmd directory.
    (jtag_parse_file): Function is no longer static.
    * src/cmd/Makefile.am: New file.
    * src/cmd/cable.c: Ditto.
    * src/cmd/cmd.c: Ditto.
    * src/cmd/cmd.h: Ditto.
    * src/cmd/detect.c: Ditto.
    * src/cmd/detectflash.c: Ditto.
    * src/cmd/discovery.c: Ditto.
    * src/cmd/dr.c: Ditto.
    * src/cmd/flashmem.c: Ditto.
    * src/cmd/frequency.c: Ditto.
    * src/cmd/get.c: Ditto.
    * src/cmd/help.c: Ditto.
    * src/cmd/instruction.c: Ditto.
    * src/cmd/print.c: Ditto.
    * src/cmd/quit.c: Ditto.
    * src/cmd/readmem.c: Ditto.
    * src/cmd/script.c: Ditto.
    * src/cmd/set.c: Ditto.
    * src/cmd/shift.c: Ditto.

    * src/part/part.c (parts_print): Fixed header printing.

2003-05-20  Marcel Telka  <marcel@telka.sk>

    * src/part/data_register.c: Added l10n support. Marked messages for translation.
    * src/part/instruction.c: Ditto.
    * src/part/parse.c: Ditto.
    * po/POTFILES.in: Added above files.

2003-05-19  Marcel Telka  <marcel@telka.sk>

    * src/tap/parport/ppdev.c (ppdev_get_status): Inverted BUSY signal value.

    * include/cfi.h (cfi_chip_t, cfi_array_t): New typedefs.
    (cfi_array_free): New function prototype.
    (detect_cfi): Changed function prototype.
    * include/flash.h (set_flash_driver): Removed function prototype.
    * src/flash/cfi.c (BW16): Macro removed.
    (read2): Function removed.
    (cfi_array_free): New function.
    (detect_cfi): Added code to detect all CFI chips on the data bus.
    * src/flash.c (flashcheck): Removed bus width checking. Updated due changes in src/flash/cfi.c.
    (flashmsbin): Updated due changes in src/flash/cfi.c. Removed memory leak.
    * src/readmem.c: Added l10n support. Marked messages for translation.
    (detectflash): Updated due changes in src/flash/cfi.c. Removed memory leak.
        Removed flash driver setup.
    * po/POTFILES.in: Added src/readmem.c.

2003-05-16  Marcel Telka  <marcel@telka.sk>

    * include/part.h (part_print): New function declaration.
    * src/part/part.c: Marked all user visible messages for translation.
    (part_print): New function.
    (parts_print): Simplified. Added part_print() call.
    * po/POTFILES.in: Added src/part/part.c.

    * src/Makefile.am (jtag_DEPENDENCIES): Added flash/libflash.a.

2003-05-15  Marcel Telka  <marcel@telka.sk>

    * include/cfi.h (detect_cfi): Added new parameter `adr'.
    All relevant functions and callers updated.

2003-05-15  Marcel Telka  <marcel@telka.sk>

    * configure.ac (CPPFLAGS): Added path to the openwince include arm directory.
    * include/bus.h (bus_width): Added new `adr' parameter for this macro.
    All relevant functions and callers updated.

    * src/bus/pxa2x0.c (bus_params_t): Added last_adr and MC_registers structure members.
    (LAST_ADR, MC_pointer): New macros.
    (pxa250_bus_read_start, pxa250_bus_read_next, pxa250_bus_read_end, pxa250_bus_write): Disabled
        external bus cycles for addresses above 0x04000000.
    (pxa250_bus_width): Removed some output messages. Implemented BOOT_DEF emulation.
    (new_pxa250_bus): Implemented BOOT_DEF emulation.

2003-05-14  Marcel Telka  <marcel@telka.sk>

    * include/Makefile.am (noinst_HEADERS): Added cfi.h.
    * include/cfi.h: New file.
    * src/jtag.h (detect_cfi): Removed function declaration.
    * src/flash.c: Replaced jtag.h include with cfi.h.
    * src/readmem.c: Ditto.

    * src/flash/Makefile.am (libflash_a_SOURCES): Added cfi.c.
    * src/Makefie.am (jtag_SOURCES): Removed cfi.c.
    * src/cfi.c: Moved this file ...
    * src/flash/cfi.c: ... here and replaced jtag.h include with cfi.h one.

2003-05-14  Marcel Telka  <marcel@telka.sk>

    * include/part.h (part_t, parts_t): Macros removed.
    * src/detect.c: Replaced obsolete types `parts' with `parts_t' and `part' with `part_t'.
    * src/part/parse.c: Ditto.
    * src/part/part.c: Ditto.

2003-05-14  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CONFIG_FILES): Added src/flash/Makefile.
    * include/Makefile.am (noinst_HEADERS): Added flash.h.
    * src/Makefile.am (SUBDIRS): Added flash.
    (jtag_SOURCES): Removed flash.h, flash-intel.c, and flash-amd.c.
    (jtag_LDADD): Added libflash.
    * src/flash-amd.c: Moved this file ...
    * src/flash/amd.c: ... here.
    * src/flash-intel.c: Moved this file ...
    * src/flash/intel.c: ... here.
    * src/flash.h: Moved this file ...
    * include/flash.h: ...here.
    * src/flash/Makefile.am: New file.

2003-05-13  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_file): Added support for command scripts from stdin.

2003-04-29  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added new manufacturer: DEC.

    * src/jtag.c (jtag_create_jtagdir): Changed permissions for jtag directory.

    * include/part.h (part_alloc, read_part): Changed return type from `part *' to `part_t *'.
    (struct parts): Changed parts member type from `part **' to `part_t **'.
    (parts_alloc): Changed return type from `parts *' to `parts_t *'.
    * src/bus/ixp425.c (select_flash, unselect_flash, setup_address, set_data_in, setup_data):
        Changed first parameter type from `part *' to `part_t *'.
    * src/bus/pxa250.c (setup_address, set_data_in, setup_data): Ditto.
    * src/bus/sa1110.c (setup_address, set_data_in, setup_data): Ditto.

    * include/bus.h: Replaced static bus_driver_t architecture with dynamic bus_t.
        Removed direct chain_t dependency. Added `params' and `prepare' members.
    All related functions' parameter types changed.
    * src/bus/ixp425.c (bus_params_t): New structure typedef.
    (CHAIN, PART): New macros.
    (ixp425_bus_prepare, ixp425_bus_free, new_ixp425_bus): New functions.
    (ixp425_bus_driver, ixp425_bus): Renamed `ixp425_bus_driver' to `ixp425_bus' and updated
        for new bus driver architecture.
    * src/bus/pxa250.c (bus_params_t): New structure typedef.
    (CHAIN, PART): New macros.
    (pxa250_bus_prepare, pxa250_bus_free, new_pxa250_bus): New functions.
    (pxa250_bus_driver, pxa250_bus): Renamed `pxa250_bus_driver' to `pxa250_bus' and updated
        for new bus driver architecture.
    * src/bus/sa1110.c (bus_params_t): New structure typedef.
    (CHAIN, PART): New macros.
    (sa1110_bus_prepare, sa1110_bus_free, new_sa1110_bus): New functions.
    (sa1110_bus_driver, sa1110_bus): Renamed `sa1110_bus_driver' to `sa1110_bus' and updated
        for new bus driver architecture.
    * src/readmem.c (detectflash, readmem): Moved JTAG chain initialization to bus->prepare().
    * src/flash.c (flashcheck): Ditto.
    (flashmsbin, flashmem): Removed BYPASS instruction setup.
    * src/jtag.c (bus_driver, bus): Replaced `bus_driver' with `bus' global variable.
    (jtag_parse_line, main): Added `bus' deallocation.
    * src/flash.h (flash_driver_t): Changed parameter type for all function members from
        `chain_t*' to `bus_t *'.
    All function callers changed.

2003-04-04  Marcel Telka  <marcel@telka.sk>

    Version 0.3.2 released.

2003-04-04  Marcel Telka  <marcel@telka.sk>

    * data/xilinx/PARTS: Added XCR3256XL-FT256 (Jachym Holecek).
    * data/xilinx/xcr3256xl-ft256/STEPPINGS: New file (Jachym Holecek).
    * data/xilinx/xcr3256xl-ft256/xcr3256xl-ft256: Ditto.
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added new files.

2003-04-02  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_INIT): Changed version number to 0.3.2.

2003-04-02  Marcel Telka  <marcel@telka.sk>

    * include/signal.h: Changed signal typedef to signal_t (thanks to Jachym Holecek).
        All `signal' instances renamed to `signal_t'.
    * src/tap/parport.c: Ported to NetBSD/i386 (Jachym Holecek).
    * src/tap/parport/direct.c (parport_drivers): Conditionally removed direct_parport_driver.
    * configure.ac: Added test for i386_set_ioperm() function. Defined HAVE_IOPERM
        and HAVE_I386_SET_IOPERM.

2003-04-01  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/keithkoep.c: New file.
    * src/tap/Makefile.am (libtap_a_SOURCES): Added cable/keithkoep.c.
    * src/tap/cable.c (cable_drivers): Added keithkoep_cable_driver.

2003-03-19  Marcel Telka  <marcel@telka.sk>

    Version 0.3.1 released.

2003-03-19  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CONFIG_FILES): Added doc/Makefile.
    * Makefile.am (SUBDIRS): Added doc.

2003-03-18  Marcel Telka  <marcel@telka.sk>

    * src/tap/parport/direct.c (direct_connect): Fixed cable disconnecting loop.

2003-03-18  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_line) <script>: Added support for `quit' command in scripts.
    (jtag_parse_rc): Ditto.
    (jtag_parse_file): Added support for comments and `quit' command in scripts.
    (main): Added command line parameter list execution as scripts.
    * data/intel/pxa250/STEPPING: Added support for Intel PXA255 A0 (thanks to Mike Sprauve).
    * configure.ac (AC_INIT): Changed version number to 0.3.1.

2003-03-18  Marcel Telka  <marcel@telka.sk>

    * po/POTFILES.in: Added src/tap/parport/direct.c and src/tap/parport/ppdev.c.
    * src/help.c (help) <cable>: Added help for `cable ppdev' command.
    * src/tap/parport/ppdev.c (ppdev_open): Removed debug messages.
    * src/jtag.c (jtag_parse_line) <cable>: Added chain_disconnect() call before
        new cable connection.

2003-03-18  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CHECK_HEADERS): Added test for linux/ppdev.h.
    * src/tap/Makefile.am (libtap_a_SOURCES): Added parport/ppdev.c.
    * src/tap/parport.c (parport_drivers): Added ppdev parport driver.
    * src/tap/parport/ppdev.c: New file.

2003-03-18  Marcel Telka  <marcel@telka.sk>

    * src/bsdl2jtag.c (endline): Removed compile warning.

2003-03-18  Marcel Telka  <marcel@telka.sk>

    * include/parport.h: New file. Added parport driver support.
        All cable drivers modified.
    * src/tap/parport.c: Ditto.
    * src/tap/parport/direct.c: Ditto.
    * src/jtag.c (jtag_parse_line) <cable>: Added parport driver support.
    * include/Makefile.am (noinst_HEADERS): Added parport.h.
    * src/tap/cable/generic.c: New file withgGeneric functions for cable drivers.
        All cable drivers modified.
    * src/tap/cable/generic.h: Ditto.
    * src/tap/Makefile.am (libtap_a_SOURCES): Added parport.c, parport/direct.c, cable/generic.h,
        and cable/generic.c.

    * include/cable.h: Added dynamic cable objects. Added cable interpose functions.
        All callers changed.
    * src/tap/cable.c: Ditto.

    * include/chain.h (chain_connect): Function removed.
    (chain_disconnect): New function.
    * src/tap/chain.c (chain_free): Modified for chain_disconnect() call.
    (chain_connect): Removed.
    (chain_disconnect): New function.

2003-03-17  Marcel Telka  <marcel@telka.sk>

    * src/Makefile.am (bin_PROGRAMS, bsdl2jtag_SOURCES): Added new bsdl2jtag conversion
        tool (Matan Ziv-Av).
    * src/bsdl2jtag.c: New file (Matan Ziv-Av).

2003-03-14  Marcel Telka  <marcel@telka.sk>

    * configure.ac (CPPFLAGS): Added common include paths.
    * src/Makefile.am (INCLUDES): Removed common include paths.
    * src/bus/Makefile.am (INCLUDES): Ditto.
    * src/part/Makefile.am (INCLUDES): Ditto.
    * src/tap/Makefile.am (INCLUDES): Ditto.

2003-03-13  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CONFIG_HEADERS): Replaced this `new' macro ...
    (AM_CONFIG_HEADER): ... with this `old' one to make build compatible with automake-1.6.
    (AM_GNU_GETTEXT_VERSION): Relaxed version number from 0.11.5 to 0.11.4.
    * src/Makefile.am (jtag_LDADD): Added LIBINTL.
    (LIBS): Removed LIBINTL.
    (DEFS): Removed whole content ...
    (INCLUDE): ... and added it here.

2003-03-13  Marcel Telka  <marcel@telka.sk>

    * include/chain.h: New file.
    * src/tap/chain.c: Ditto.
    * src/tap/Makefile.am (libtap_a_SOURCES): Added chain.c.
    * include/Makefile.am (noinst_HEADERS): Added chain.h.
    * src/jtag.c: Encapsulated parts, cable and TAP state into one object - chain.
        All relevant function parameters changed to `chain'.
    * src/tap/state.c: `trst' state moved to cable drivers.
        All cable drivers changed.
    * include/cable.h (cable_driver_t) <set_trst>: Changed return value from void to int.
        All cable drivers changed.
    (cable_driver_t) <get_trst>: New function.
        Implemented this function to all cable drivers.
    * include/part.h (part_shift_instruction, part_shift_data_register)
    (parts_shift_instructions, parts_shift_data_registers): Funcions removed.
    * src/part/part.c (part_shift_instruction, part_shift_data_register)
    (parts_shift_instructions, parts_shift_data_registers): Ditto.
    * src/tap/cable/arcom.c: Removed dependency on state.h.
    * src/tap/cable/byteblaster.c: Ditto.
    * src/tap/cable/dlc5.c: Ditto.
    * src/tap/cable/ea253.c: Ditto.
    * src/tap/cable/ei012.c: Ditto.
    * src/tap/cable/mpcbdm.c: Ditto.
    * src/tap/cable/wiggler.c: Ditto.

    * include/state.h (bit): Replaced with common.h include.
    (Unknown_State, Run_Test_Idle, Select_DR_Scan, Select_IR_Scan): Removed parentheses.
    * include/tap.h (write_command): Removed unused declaration.

    * src/detect.h: Removed file.
    * src/jtag.h: New file with common jtag function declarations.
    * src/Makefile.am (jtag_SOURCES): Removed detect.h, added jtag.h.
    * src/cfi.c: Added jtag.h include. Moved common function declarations to jtag.h file.
    * src/detect.c: Ditto.
    * src/discovery.c: Ditto.
    * src/flash.c: Ditto.
    * src/help.c: Ditto.
    * src/jtag.c: Ditto.
    * src/readmem.c: Ditto.

    * src/jtag.c (jtag_create_jtagdir, jtag_load_history, jtag_save_history, jtag_parse_line)
    (jtag_readline_loop, jtag_parse_file, jtag_parse_rc): Changed functions to `static'.

    * src/tap/tap.c: Added l10n support.
    * po/POTFILES.in: Added src/tap/chain.c and src/tap/tap.c.

2003-03-13  Marcel Telka  <marcel@telka.sk>

    * include/part.h: Renamed types part to part_t, parts to parts_t,
        tap_register to tap_register_t.
    * include/register.h: Renamed tap_register type to tap_register_t.

2003-03-11  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Improved openwince include package detection.

2003-03-07  Marcel Telka  <marcel@telka.sk>

    * src/lib/getdelim.c: Added unistd.h include for ssize_t.
    * src/lib/getline.c: Ditto.

2003-03-06  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Added test for readline library.
    * src/Makefile.am (jtag_LDADD): Removed readline and ncurses.

2003-03-06  Marcel Telka  <marcel@telka.sk>

    * autogen.sh: Added test for autoreconf fail.

2003-02-25  Marcel Telka  <marcel@telka.sk>

    Version 0.3 released.

2003-02-25  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable.c: Added config.h include.

2003-02-25  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Hitachi (Matan Ziv-Av).
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added Hitachi SH7727
        files (Matan Ziv-Av).
    * data/hitachi/PARTS: New file (Matan Ziv-Av).
    * data/hitachi/sh7727/STEPPINGS: Ditto.
    * data/hitachi/sh7727/sh7727: Ditto.

2003-02-25  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Broadcom (Matan Ziv-Av).
    * data/Makefile.am (nobase_dist_pkgdata_DATA): Added Broadcom BCM1250
        files (Matan Ziv-Av).
    * data/broadcom/PARTS: New file (Matan Ziv-Av).
    * data/broadcom/bcm1250/STEPPINGS: Ditto.
    * data/broadcom/bcm1250/bcm1250: Ditto.

2003-02-21  Marcel Telka  <marcel@telka.sk>

    * src/help.c (help): Marked translatable strings.
    * src/jtag.c (jtag_parse_line): Ditto.
    (jtag_parse_file): Ditto.
    (main): Ditto.
    * po/POTFILES.in: Added src/help.c and src/jtag.c.

2003-02-21  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Added conditional compilation for l10n.

2003-02-20  Marcel Telka  <marcel@telka.sk>

    * src/Makefile.am (jtag_SOURCES): Added missing flash.h.
    * src/jtag.c: Added missing string.h include. Moved gettext.h include
        to the top level of the include list.
    * src/help.c: Moved gettext.h include to the top level of the include list.

2003-02-20  Marcel Telka  <marcel@telka.sk>

    * Makefile.am (SUBDIRS): Removed intl.
    * autogen.sh: Replaced subsequent call of auto* tools with autoreconf one.
    * configure.ac (AC_CONFIG_FILES): Removed intl/Makefile.
    (AM_GNU_GETTTEXT): Added 'external' parameter.

2003-02-19  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CONFIG_HEADERS): Added new macro with config.h.
    * autogen.sh: Added autoheader invocation.

2003-02-18  Marcel Telka  <marcel@telka.sk>

    * include/Makefile.am (noinst_HEADERS): Added gettext.h.

2003-02-18  Marcel Telka  <marcel@telka.sk>

    * autogen.sh: Added autopoint call. Added '-I m4' parameter for aclocal.
    * Makefile.am (SUBDIRS): Added intl, include and po.
    (DIST_SUBDIRS): Removed.
    (ACLOCAL_AMFLAGS): Added '-I m4'.
    * configure.ac (AC_INIT): Changed version number to 0.3.
    (AC_CONFIG_FILES): Added intl/Makefile and po/Makefile.in.
    (AM_GNU_GETTEXT): Added.
    (AM_GNU_GETTEXT_VERSION): Added with version 0.11.5.
    * include/gettext.h: Copied new file from gettext share.
    * po/LINGUAS: Added new empty file.
    * po/Makevars: Added new file.
    * po/POTFILES.in: Added new empty file.
    * src/Makefile.am (INCLUDES): Removed JTAG_DATA_DIR.
    (localedir): Added path to locale directory.
    (DEFS): Added JTAG_DATA_DIR and LOCALEDIR.
    (LIBS): Added LIBINTL.
    * src/help.c: Included gettext.h.
    * src/jtag.c: Included gettext.h.
    (main): Added l10n support.

2003-02-18  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flashmsbin): Changed flash error message.
    (flashmem): Changed output messages. Enabled verify for 2 x 16, not
        for 1 x 16. Added better end of file test for verify.

2003-02-18  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CONFIG_FILES): Added src/bus/Makefile.
    * src/bus.h: Moved this file...
    * include/bus.h: ...here.
    * include/Makefile.am (noinst_HEADERS): Added bus.h.
    * src/ixp425.c: Moved this file...
    * src/bus/ixp425.c: ...here.
    * src/pxa250.c: Moved this file...
    * src/bus/pxa2x0.c: ...here.
    * src/sa1110.c: Moved this file...
    * src/bus/sa1110.c: ...here.
    * src/bus/Makefile.am: New file.
    * src/Makefile.am (SUBDIRS): Added bus.
    (jtag_SOURCES): Removed bus.h, ixp425.c, pxa250.c, sa1110.c.
    (jtag_DEPENDENCIES): Added libbus.a.
    (jtag_LDADD): Ditto.

2003-02-18  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable.c: Added <sys/types.h> include for useconds_t on some systems.
    * src/flash-amd.c (amdstatus29): Disabled unused function.
    (amdisprotected): Ditto.

2003-02-17  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_line): Fixed segfault for 'set' command.

2003-02-17  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_parse_line): Added new 'get signal' command.
    * src/help.c (help): Added help for new 'get signal' command.

2003-02-17  Marcel Telka  <marcel@telka.sk>

    * data/intel/pxa250/pxa250: Changed comment.
    * data/intel/pxa250/pxa250c0: Ditto.

2003-02-17  Marcel Telka  <marcel@telka.sk>

    * src/help.c (help): Added help for new command 'script'.

2003-02-17  Marcel Telka  <marcel@telka.sk>

    * src/flash-intel.c (intel_flash_autodetect): Fixed Intel flash algorithm Id.
    (intel_flash_autodetect32): Ditto.

2003-02-17  Marcel Telka  <marcel@telka.sk>

    * configure.ac (AC_CHECK_FUNCS): Added getdelim and getline.
    (AC_CONFIG_FILES): Added src/lib/Makefile.
    * src/Makefile.am (SUBDIRS): Added lib.
    (jtag_DEPENDENCIES): Added libjtaglib.a.
    (jtag_LDADD): Ditto.
    * src/jtag.c: Added portable getline() declaration.
    * src/lib/Makefile.am: New file.
    * src/lib/getdelim.c: Ditto.
    * src/lib/getline.c: Ditto.

2003-02-16  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag_creae_jtagdir): New function (Alessandro Zummo).
    (jtag_load_history): Ditto.
    (jtag_save_history): Ditto.
    (jtag_readline_loop): Ditto.
    (jtag_parse_file): Ditto.
    (jtag_parse_rc): Ditto.
    (jtag_parse_line): New funcion, content extracted from main function, added new
        'script' command (Alessandro Zummo).
    (main): Moved parsing capability to jtag_parse_line function (Alessandro Zummo).

2003-02-16  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flash_drivers): Added missing 1 x 16 Intel flash driver.

2003-02-16  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Corrected error message for 'instruction' command and added
        a notice when an instruction is unknown (Alessandro Zummo).

2003-02-16  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Fixed segfault in 'detectflash'. Thanks to August Hörandl
        for reporting this issue.

2003-02-16  Marcel Telka  <marcel@telka.sk>

    * src/Makefile.am (jtag_SOURCES): Added new flash files with flash driver
        framework (August Hörandl).
    * src/flash-amd.c: New file with AMD flash support (August Hörandl).
    * src/flash-intel.c: New file. Extracted Intel flash support from src/flash.c
        file (August Hörandl, me).
    * src/flash.c (set_flash_driver): New function. Added support for flash
        drivers (August Hörandl).
    (flashceck): Ditto.
    (flashmsbin): Added support for flash driver (August Hörandl).
    (flashmem): Ditto.
    (flash_erase_block): Function moved to src/flash-intel.c (August Hörandl).
    (flash_unlock_block): Ditto.
    (flash_program): Ditto.
    (flash_erase_block32): Ditto.
    (flash_unlock_block32): Ditto.
    (flash_program32): Ditto.
    * src/flash.h: New file. Interface for flash drivers (August Hörandl).
    * src/help.c (help): Added list of supported flash drivers for 'flashmem'
        command (August Hörandl).
    * src/readmem.c (detectflash): Removed Intel specific code. Enhanced output
        messages (August Hörandl).

2003-02-14  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (jtag): Added command history load/save support (August Hörandl).

2003-02-14  Marcel Telka  <marcel@telka.sk>

    * src/readmem.c (readmem): Added support for 1 x 16 bit memory configuration and
        buffered file writes (Christian Pellegrin).
    * src/flash.c (flashmem): Added support for 1 x 16 bit flash configuration and
        buffered file reads (Christian Pellegrin).
    (flash_erase_block): Added debug messages (Christian Pellegrin).
    (flash_unlock_block): Added debug message (Christian Pellegrin).
    (flash_program): Ditto.

2003-02-14  Marcel Telka  <marcel@telka.sk>

    * src/cfi.c (detect_cfi): Added support for 1 x 16 bit flash configuration (Christian
        Pellegrin).
    * src/detect.c (find_record): Added error message if file cannot be opened (Christian
        Pellegrin).

2003-02-14  Marcel Telka  <marcel@telka.sk>

    * data/xilinx/xc2c256-tq144/xc2c256-tq144: Added JTAG declarations for Xilinx
        XC2C256-TQ144 (Alessandro Zummo).
    * data/xilinx/xc2c256-tq144/STEPPINGS: Ditto.
    * data/xilinx/PARTS: Ditto.
    * data/Makefile.am: Ditto.

2003-02-14  Marcel Telka  <marcel@telka.sk>

    * src/ixp425.c (setup_address): Removed set_gpio() call.
    (set_gpio): Removed unused function.

2003-02-13  Marcel Telka  <marcel@telka.sk>

    * src/ixp425.c: Added bus driver for Intel IXP425 (Christian Pellegrin).
    * src/bus.h: Ditto.
    * src/jtag.c (main): Ditto.
    * src/Makefile.am (jtag_SOURCES): Added ixp425.c (Christian Pellegrin).

2003-02-13  Marcel Telka  <marcel@telka.sk>

    * data/intel/ixp425/ixp425: Added JTAG declarations for Intel IXP425 (Christian
        Pellegrin).
    * data/intel/ixp425/STEPPINGS: Ditto.
    * data/intel/PARTS: Ditto.
    * data/Makefile.am: Ditto.

2003-02-13  Marcel Telka  <marcel@telka.sk>

    * include/bsbit.h (BSBIT_BIDIR): Added new macro (Christian Pellegrin).
    * src/part/bsbit.c (bsbit_alloc): Added support for bidirectional pins (Christian
        Pellegrin).
    * src/part/parse.ci (read_part): Ditto.

2003-02-10  Marcel Telka  <marcel@telka.sk>

    * src/sa1110.c (sa1110_bus_read_start): Added support for all six static memory banks.
        The function is now 'static'.
    (sa1110_bus_read_end): Ditto.
    (sa1110_bus_read_next): The function is now 'static'.
    (sa1110_bus_read): Ditto.
    (sa1110_bus_width): Ditto.
    (sa1110_bus_write): Added support for all six static memory banks (bug 682660).
        The function is now 'static'.

2003-02-07  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/arcom.c: Added support for Arcom JTAG Cable (patch 682310,
        Ian Campbell).
    * src/tap/cable.c: Ditto.
    * src/tap/Makefile.am: Ditto.

2003-02-07  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/mpcbdm.c (mpcbdm_clock): Fixed port address for TRST & TRST1.

2003-02-07  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/mpcbdm.c: Added support for Mpcbdm JTAG Cable (Christian Pellegrin).
    * src/tap/cable.c: Ditto.
    * src/tap/Makefile.am: Ditto.

2003-02-04  Marcel Telka  <marcel@telka.sk>

    * src/help.c (help): Added missing short help description for 'set' command.
    * src/jtag.c (main): Added test for uninitialized ps for 'set' command.
    * src/tap/tap.c (tap_shift_register): Changed final state to Run-Test/Idle
        for immediately propagation of the new BSR values.

2003-02-04  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Added more checks for syntax errors. Added support for
        printing input data registers - command 'dr'. Added 'set signal'
        command.
    * src/help.c (help): Updated help for 'dr' command, added help for 'set
        signal.

2003-02-04  Marcel Telka  <marcel@telka.sk>

    Version 0.2.2 released.

2003-02-04  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Changed version number to 0.2.2.

2003-02-04  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flashmsbin): Changed instructions to BYPASS after successfull
        flash.
    (flashmem): Ditto.

2003-01-30  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/byteblaster.c (byteblaster_init): Added support for
        parallel ports with I/O addresses above 0x3FF.
    (byteblaster_done): Ditto.
    * src/tap/cable/dlc5.c (dlc5_init): Ditto.
    (dlc5_done): Ditto.
    * src/tap/cable/ea253.c (ea253_init): Ditto.
    (ea253_done): Ditto.
    * src/tap/cable/ei012.c (ei012_init): Ditto.
    (ei012_done): Ditto.
    * src/tap/cable/wiggler.c (wiggler_init): Ditto.
    (wiggler_done): Ditto.

2003-01-19  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Added AC_GNU_SOURCE.

2003-01-18  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Added new 'frequency' command.
    * src/help.c (help): Added help for 'frequency' command.
    * include/cable.h (cable_wait): Added new function prototype.
    * src/tap/cable.c (cable_wait): Added new function.
    * src/tap/cable/byteblaster.c (byteblaster_clock): Added support for TCK
        frequency limit.
    (byteblaster_get_tdo): Ditto.
    * src/tap/cable/dlc5.c (dlc5_clock): Ditto.
    (dlc5_get_tdo): Ditto.
    * src/tap/cable/ea253.c (ea253_clock): Ditto.
    (ea253_get_tdo): Ditto.
    * src/tap/cable/ei012.c (ei012_clock): Ditto.
    (ei012_get_tdo): Ditto.
    * src/tap/cable/wiggler.c (wiggler_clock): Ditto.
    (wiggler_get_tdo): Ditto.

2003-01-16  Marcel Telka  <marcel@telka.sk>

    * data/MANUFACTURERS: Added Cypress (patch 669157). Thanks to Chris Ellec.

2003-01-13  Marcel Telka  <marcel@telka.sk>

    Version 0.2.1 released.

2003-01-13  Marcel Telka  <marcel@telka.sk>

    * include/state.h: Added new function tap_state_reset().
    * src/tap/state.c (tap_state_reset): Ditto.
    * src/tap/tap.c (tap_reset): Added explicit TAP state reset.

2003-01-13  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Changed version number to 0.2.1.

2003-01-11  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/bytebaster.c: Added support for Altera ByteBlaster family cables.
    * src/tap/cable.c: Ditto.
    * src/tap/Makefile.am: Ditto.
    * src/help.c (help): Increased space for cable short name.

2003-01-11  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable/wiggler.c: Added support for Macraigor Wiggler JTAG Cable (Stas Khirman).
    * src/tap/cable.c: Ditto.
    * src/tap/Makefile.am: Ditto.

2003-01-10  Marcel Telka  <marcel@telka.sk>

    * src/tap/cable.c: Added missing stdlib.h include (bug 665923). Thanks to Chris Ellec.

2003-01-09  Marcel Telka  <marcel@telka.sk>

    * src/jtag.c (main): Fixed minor typo in 'cable' output message.

2003-01-09  Marcel Telka  <marcel@telka.sk>

    * src/discovery.c (detect_register_size): Changed register length test iteration.
        Now the test iterates to MAX_REGISTER_LENGTH, not to MAX_REGISTER_LENGTH - 1.

2003-01-08  Marcel Telka  <marcel@telka.sk>

    Version 0.2 released.

2003-01-08  Marcel Telka  <marcel@telka.sk>

    * include/cable.h: Unified and simplified cable driver handling, added driver name
        and driver description into driver interface structure.
    * src/help.c (help): Ditto.
    * src/jtag.c (main): Ditto.
    * src/tap/Makefile.am: Ditto.
    * src/tap/cable.c: Ditto.
    * src/tap/cable/dlc5.c: Ditto.
    * src/tap/cable/ea253.c: Ditto.
    * src/tap/cable/ei012.c: Ditto.

2003-01-08  Marcel Telka  <marcel@telka.sk>

    * include/cable.h: Added cable driver for ETC EI012 JTAG Cable.
    * src/help.c (help): Ditto.
    * src/jtag.c (main): Ditto.
    * src/tap/Makefile.am: Ditto.
    * src/tap/cable/ei012.c: Ditto.

2003-01-08  Marcel Telka  <marcel@telka.sk>

    * configure.ac: Bumped version number to 0.2, added check-new and dist-bzip2
        parameters to AM_INIT_AUTOMAKE() invocation.
    * src/jtag.c: Updated year in initial banner.

2003-01-08  Marcel Telka  <marcel@telka.sk>

    * include/cable.h: Added cable driver for Xilinx DLC5 JTAG Parallel Cable III.
    * src/help.c (help): Ditto.
    * src/jtag.c (main): Ditto.
    * src/tap/Makefile.am: Ditto.
    * src/tap/cable/dlc5.c: Ditto.

2003-01-08  Marcel Telka  <marcel@telka.sk>

    * include/Makefile.am: Removed ctrl.h, added cable.h.
    * include/ctrl.h: Removed obsolete file.
    * include/cable.h: Added common declarations for JTAG cable drivers.
    * src/detect.c: Replaced ctrl.h include with cable.h (JTAG cable driver support).
    * src/discovery.c: Ditto.
    * src/tap/tap.c: Ditto.
    * src/help.c (help): Added help for new command 'cable'.
    * src/jtag.c (main): Added support for JTAG cable drivers, added new command 'cable'.
    * src/tap/Makefile.am: Removed ctrl.c, added cable/ea253.c, updated includes.
    * src/tap/ctrl.c: Removed obsolete file.
    * src/tap/state.c: Changed default TRST state to 1.
    * src/tap/cable/ea253.c: Added driver for EA253 JTAG cable.

2003-01-06  Marcel Telka  <marcel@telka.sk>

    * src/discovery.c (discovery): Fixed memory leaks, added out of memory test,
        added test for invalid IR length.

2003-01-05  Marcel Telka  <marcel@telka.sk>

    * include/register.h (register_inc, register_dec, register_shift_right,
        register_shift_left): Added new functions.
    * src/tap/register.c (register_inc, register_dec, register_shift_right,
        register_shift_left): Ditto.
    * src/Makefile.am: Added discovery.c file.
    * src/discovery.c: Added new file with discovery() implementation.
    * src/help.c (help): Added help for 'discovery' command.
    * src/jtag.c (main): Added 'discovery' command.
    * src/tap/tap.c (write_command): Removed unused function.

2002-12-16  Marcel Telka  <marcel@telka.sk>

    * data/Makefile.am: Renamed intel/pxa250/pxa260 to intel/pxa250/pxa250c0.

2002-12-11  Marcel Telka  <marcel@telka.sk>

    * data/intel/pxa250/STEPPINGS: Renamed file pxa260 to pxa250c0.
    * data/intel/pxa260: Ditto.
    * data/intel/pxa250c0: Ditto.

2002-11-29  Marcel Telka  <marcel@telka.sk>

    * src/flash.c (flashmsbin, flashmem): Fixed crash if flash memory is not detected.
    * src/readmem.c (detectflash): Ditto.

2002-11-27  Marcel Telka  <marcel@telka.sk>

    * data/xilinx/xcr3128xl-cs144/xcr3128xl-cs144: Added pins and BSR bits.

2002-11-26  Marcel Telka  <marcel@telka.sk>

    * data/xilinx/xcr3128xl-cs144/xcr3128xl-cs144: Added user-defined
        instructions.

2002-11-25  Marcel Telka  <marcel@telka.sk>

    Version 0.1 released.


$Revision: 1502 $
